commit 036daaf34f055b1efbcee6a4afc4d90a325ce569
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 18:39:50 +0100

    Disable debug output

commit b99c62542708adb8b9417b4b7f7f0a7267fa9a82
Merge: 4fa26f52d 2246c6671
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 21 Mar 2026 17:19:39 +0000

    Add menu item for MAX_FPS
    
    Merge 'z-man/release_0.2.9/max_fps_item' into 'legacy_0.2.9'
    
    See merge request armagetronad/armagetronad!190
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/work_items/164

commit 2246c6671fbc8c2ef9238fb4adea3a6573232e4a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 17:58:57 +0100

    Adapt patch note generator to presence of work items

commit 2e36dca490e0aa2799415c22beac98c08fb19d49
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 17:34:00 +0100

    Fix server compilation

commit 85bb9a3fd219cc62dc7adb853e161ba47c156688
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 16:40:58 +0100

    Change default MAX_FPS to 360
    
    Was 0 (unlimited) before. Now that we have it in the menu, we can do
    that and make the least possible number of people angry.

commit 86c78350d3f1cdae52103892767288b549ee6236
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 16:39:12 +0100

    Add menu item for MAX_FPS
    
    Two, in fact: One for the common case to pick between a fixed set
    of predefined values that get spaced out more as they grow,
    and one for the case the user changed MAX_FPS over the console so some
    random value, then it is a range based int selection item.

commit cf468685ee6c373a0e94a7b62991e0fab592387c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 Mar 2026 12:21:40 +0100

    Pointer disambiguation
    
    cross-file cherry pick from trunk

commit 4fa26f52dcbf3cc43a62c26e68fe38073fc4165d
Merge: 29c259235 1ed388ba9
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 15 Mar 2026 19:53:08 +0000

    Alex Bagnall's fixes from trunk
    
    Merge 'z-man/legacy/cherry_picks_from_trunk' into 'beta_0.2.9'
    
    See merge request armagetronad/armagetronad!189

commit 29c259235a77f174261cbbc3b3db307900db8e97
Merge: 644fd1248 18d18b094
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 15 Mar 2026 19:15:41 +0000

    Merge 'z-man/legacy/remove_unused_variables' into 'beta_0.2.9'
    
    Remove some unused variables
    
    See merge request armagetronad/armagetronad!188

commit 1ed388ba98d4e9c31afde05b9de4f319ffb9cefc
Author: Alex Bagnall <abagnalla@gmail.com>
Date:   Fri, 2 Jan 2026 23:57:07 -0500

    Fix likely mistakes in index expressions
    Address comments (fix index expressions)

commit f271d7e349394010043f42d6102277b66ff70c37
Author: Alex Bagnall <abagnalla@gmail.com>
Date:   Sat, 3 Jan 2026 13:30:13 -0500

    Avoid NaN that causes right-turn bias in edge case

commit 7cc8228254f058818e7950c81a5f805f0cbe391b
Author: Alex Bagnall <abagnalla@gmail.com>
Date:   Fri, 2 Jan 2026 22:16:59 -0500

    Prevent division by zero in degenerate case

commit a34aa2b411e01760be4b4c68a8f671b2c7e5355a
Author: Alex Bagnall <abagnalla@gmail.com>
Date:   Fri, 2 Jan 2026 20:14:13 -0500

    Fix copy/paste bug

commit ac49a8accc3013f61860c01fc20ac6304e0cd75f
Author: Alex Bagnall <abagnalla@gmail.com>
Date:   Fri, 2 Jan 2026 19:26:23 -0500

    Fix tASSERT in eGrid::DrawLine

commit 18d18b09435cb461536f39d9d312b22276ef9f9a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 15 Mar 2026 19:50:12 +0100

    Remove some unused variables
    
    Pointed out by clang on macOS

commit 644fd124866f6178fe39e459557c5740d09eeeb9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 15 Mar 2026 13:39:57 +0100

    No longer put steam deployment on manual
    
    Steam Guard seems to work fine now

commit 3dd15e4a7ad6b28e86cdad73fb32d08e0f5c3c9e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 15 Mar 2026 11:26:34 +0100

    CI logins to Steam should happen without password
    
    That we gave the password every time seems to be the reason the token
    got invalidated. We may also need to keep config.vdf between runs, let's
    see.

commit f094ac81fe222a66373d79486ba67b506d6e0cb5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 15 Mar 2026 01:38:22 +0100

    Trying to find out what is wrong with steam guard memory

commit 93d65e66dbbb953756828ed68907fa63a6f6a91a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 14 Mar 2026 11:09:19 +0100

    Adapt to ~/.ssh maybe already exisitng

commit 4dd3aeada0a996e1cf3a3822addd0c75c35f04f0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 13 Mar 2026 23:21:16 +0100

    Rely on LP_CREDENTIALS_FILE environment variable getting set correctly

commit 38e9613a01c5dc1b23a4883c2bc04dc94f5c729b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 13 Mar 2026 21:56:57 +0100

    Launchpad upload should now work with modern Ubuntu

commit dc3a19d16fc4b6e46d28522a400786dca2b2757d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 13 Mar 2026 21:50:01 +0100

    Adapt our bits to python3

commit 309dfb3361ec44fca41407f6b9a85585df1ce575
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 13 Mar 2026 21:36:06 +0100

    Merge in changes to lp-project-upload from Ubuntu 24.04

commit f641442ccb4e31897c5a76700cc561d214dd5c07
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 12 Mar 2026 20:32:39 +0100

    Restore lp-project-upload
    
    It looks like we customized it to get the series in there?
    We definitely did our customizations elsewhere in the script.
    We could probably do the same with the newest version of the script.
    
    This reverts commit 73b5031042c5561116b1ad91db9fd4e93de9236b.
    Revert "Rely on system installed lp-project-upload"

commit 95049650b8cc049daeccf94e1acb1acc39559913
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 12 Mar 2026 20:31:17 +0100

    Looks like we need an Ubuntu 16.04 based armadeploy back
    
    for lp-project-upload. 0launch also stopped working on 16.04,
    so we need to keep 20.04 around... 24.04 is then not needed yet.

commit 54d826ff9fe7cb000d22985ded54c6baaab61ce4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 11 Mar 2026 23:32:01 +0100

    Apparently, lplib adds a 2 to the credential filename?

commit fc841ad83df2cc317af391584c309da3119833a9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 11 Mar 2026 22:48:01 +0100

    Split armadeploy image into two
    
    one old one with Ubuntu 20.04 for 0launch
    one new one with Ubuntu 24.04 for the rest

commit 40dd59f327aa50571679e8d6061cc8fa887f02ae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 11 Mar 2026 21:08:09 +0100

    Upgrade armadeploy image to ubuntu 24.04
    
    The LP_CREDENTIALS_FILE feature we need is only available since 22.04,
    we skip that version in the hope it will postpone future upgrade needs.

commit c1944b7af513c2f113d417ce23515bfe1b82d7b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 11 Mar 2026 18:56:34 +0100

    Set full path to lp-credentials file

commit 10307981ae26ce99b46fafd122398012fba6ab8f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 10 Mar 2026 22:55:20 +0100

    Adapt to new lp-project-upload

commit aeb13ba36ef98b9ac43e9da084d970e1363b3224
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 9 Mar 2026 22:18:46 +0100

    Update release notes for 0.2.9.3

commit 73b5031042c5561116b1ad91db9fd4e93de9236b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 9 Mar 2026 21:58:26 +0100

    Rely on system installed lp-project-upload
    
    We should have it in the relevant docker images.

commit 967596e9eafec5b94202852aa260cb1c89a7944e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 9 Mar 2026 21:58:16 +0100

    Explicitly use python3

commit 56d4d7bdd4aa10ec67d6126329fc4ece9d1522c6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 8 Mar 2026 21:54:01 +0100

    Revert debtest name
    
    and clarify why we are using a really old one

commit 970d94bd9d898102b061d0e7fc8c430f8d4f691b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 8 Mar 2026 19:10:47 +0100

    Document control changes

commit 883a3b3ac23998d261ec84baecee70b896937cdf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 8 Mar 2026 18:50:15 +0100

    Add one implementation of libcurl-dev to armadeb_64 image
    
    Pick the least know one, the one not explicitly in 'control',
    to really test the dependency resolution

commit 196aefabf3e75e0a1c12d487b9a306d7aff4305e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 8 Mar 2026 17:34:55 +0100

    Add libcurl dependency

commit 2ca7c4ad3b58832e3bf9024ff56225e1d1536463
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Mar 2026 21:59:51 +0100

    Activate conanrunenv.sh in 'make run', if it exists

commit 8c50521ecfcce66ac8188d99e01ab70ed0731945
Merge: 2093a4f2f 3df908d47
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Mar 2026 18:09:50 +0100

    Merge from release_0.2.9

commit 3df908d4725d0a4be06e50c288d06c8d2737aee8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Dec 2025 00:21:09 +0100

    Adapt itch butler download URI
    
    Of course they had to break the old one right between rc and release...

commit 0be2c3981152d544cc9d0c1e192312dc72dd41d3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Nov 2025 18:47:23 +0100

    Update metadata

commit 2093a4f2fb554ceda7707ef782573e532aa99a72
Merge: 7dc52fdd3 b2ad99a9d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Oct 2025 16:44:13 +0100

    Merge 'beta_0.2.9' into legacy_0.2.9

commit b2ad99a9d5329c3da77c1172a841cd3fcd4d6168
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Oct 2025 16:35:00 +0100

    Use destructors to clean up SDL
    
    The previous code was both using manual calls and atexit(), which may have been trouble.

commit 0af807b3fe82755715db97b544d1b71d8943720b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Oct 2025 16:33:50 +0100

    Disable sound startup workaround
    
    The comment suggests it had its purpose; however, removing it
    
    fixes https://gitlab.com/armagetronad/armagetronad/-/issues/161

commit f9275c732c8503855bb6da0db1b869fdf7ebab14
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 23 Oct 2025 22:22:41 +0000

    Syntax

commit 55a294c987d27698e8e3a65a150e24acd95d5be1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 24 Oct 2025 00:21:00 +0200

    Make steam deployment manual
    
    Steam guard only lasts 24 hours now, tops.

commit a6ea92651f31a366448fad8ac5f37be930924a03
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 23 Oct 2025 19:22:39 +0200

    Try and read Ubuntu releases from variable
    
    getting sick of updating git just because time passes

commit 7dc52fdd30a13e4d649b273cfa4b5d6189eeac6c
Merge: 5af1fe263 e1afcbef5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 23 Oct 2025 18:52:11 +0200

    Merge 'release_0.2.9' into legacy_0.2.9

commit e1afcbef5ce92e1740dfc490496e0017c5f4892d
Merge: 55b728340 83256d713
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 22 Oct 2025 23:03:49 +0200

    Merge branch 'release_0.2.9' into beta_0.2.9

commit 83256d7132de621c20877205e4b29fac8dbea474
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 22 Oct 2025 22:50:46 +0200

    Don't fail on rerun because unzip refuses to overwrite files

commit 21c0d6ee7e57e0c96b413964c52afc807065ac2b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 21 Oct 2025 22:55:04 +0200

    Add two current ubuntu releases for PPA builds

commit 5af1fe26352592c08bcb9a6f7d916ce067553903
Merge: fe8d09158 afbc6c6bd
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri, 16 May 2025 20:08:57 +0000

    Merge 'legacy_0.2.9_appdata' into 'legacy_0.2.9'
    
    Patch .desktop suffix back in for AppImage
    
    See merge request armagetronad/armagetronad!175

commit afbc6c6bded020ef9c8ddccede2e415b205e7f4d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 16 May 2025 21:55:09 +0200

    Patch .desktop suffix back in for AppImage

commit fe8d091585fbe057b45e23a4e56c5165be4b4963
Author: AsciiWolf <mail@asciiwolf.com>
Date:   Sun, 4 May 2025 23:04:16 +0200

    Fix AppStream metadata
    
    Remove the .desktop suffix from app id. It should not be there and causes Flathub linter to fail

commit f843791ac51a9979251af3948d878a4428bb8aa0
Merge: 9fc0300ef e2ee48c4a
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 11 May 2025 18:00:32 +0000

    Merge 'legacy_0.2.9_conan' into 'legacy_0.2.9'
    
    Start of Conan support
    
    See merge request armagetronad/armagetronad!174

commit e2ee48c4a7d9c90c691652ff7642bbc281393525
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 May 2025 19:45:20 +0200

    Add Conan lockfile

commit c1f4aadf7b917dc2761f0c655dcc167c5f53b63b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 May 2025 19:35:11 +0200

    Add conan instructions

commit c51d97a62b4ac56aad7d8f5b372dcfc50ebe70c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 May 2025 19:34:24 +0200

    Disable http support from libxml
    
    It is deprecated and causes us warnings; besides, that is
    why we also add libcurl here.

commit 9fc0300ef4f30afb8a7b5521b046c24e0ae8eb40
Merge: 51959c114 8a64ff659
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 11 May 2025 11:22:57 +0000

    Merge 'legacy_0.2.9_flatpak_yml' into 'legacy_0.2.9'
    
    Remove quotes from flatpak substitution
    
    See merge request armagetronad/armagetronad!173

commit 8a64ff659afa3bf63f0df50f6e178737763c3930
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 May 2025 13:04:39 +0200

    Remove quotes from flatpak substitution

commit 51959c1147509fcef23e48d3df24fcf1cc785130
Merge: 4960e32b8 a8a66c699
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 11 May 2025 10:16:16 +0000

    Merge 'legacy_0.2.9_flatpak_yml' into 'legacy_0.2.9'
    
    Adapt flatpak metadata patching to yml
    
    See merge request armagetronad/armagetronad!172

commit a8a66c699d0c1a2c5ece3d5ab19bad721a1f8eae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 May 2025 11:50:24 +0200

    Adapt flatpak metadata patching to yml

commit 1a1586d1630a5acf059073618c0ee45a9569639a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 21:21:52 +0100

    Add our lib collection folder to runtime environment

commit d300fab6897429aa90b5e7b2e0c8fc37e852c175
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 21:14:36 +0100

    Add generate step to collect dlls

commit c1f692e280298ab84557219d6908fc47ad78d255
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 20:49:27 +0100

    Move conan stuff into its own subdirectory

commit 11a6f456a2d2819f2b9c646c3114c738c955b629
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 20:46:24 +0100

    Activate dynamic linking, like we would want it

commit b4e87f23d0437ea9a01ba941b71247c7a75c0678
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 19:21:24 +0100

    Add libxml2
    
    Seems like no options are required to disable icu and python support
    like we do for the docker images, they are off by default

commit e1101ee7687573004e2ccd9851e8123ed5bf541f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 18:13:21 +0100

    Explicitly restrict to static linkage while we figure things out

commit 95e14d49bdfbd73485a786e465fddcd0b2a1525e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Mar 2025 12:21:30 +0100

    Humble beginnings: conanfile for curl.

commit 4960e32b899646f0c39400e0cbb8d72e26666a3f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 7 Mar 2025 23:53:10 +0100

    Don't mess with the shared_modules submodule
    
    The missing update reverted it to some old state

commit ef3564c0d73a7d95ebd1d3093d2d5a27188c35fb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 23:57:20 +0100

    Mention the other version constraint

commit 4ee89434a706333dd63ce993ea32702204a3f1d7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 22:54:55 +0100

    One step back to Ubuntu 20.04 for deployment
    
    0publish does not work on 22.04.

commit 92a81aa225f2f92352126bc65e921aaf7a5f4345
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 22:30:12 +0100

    Recursively clone flatpak git repo
    
    It now seems to be required to have the commons submodule checked out,
    even though we don't touch it

commit f50f598702d08b40cade26486b3f8279518c49ed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 21:25:43 +0100

    Re-upload new images again with updated libcurl

commit 088f4ce8b12e06b2d67f3505530f897cbd24bfea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 21:24:52 +0100

    Remove libpsl form libcurl dependencies

commit 912e262886d4822e0073deae53a68cabf843734e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 19:25:37 +0100

    Fix typo, add another library
    
    These are big again, let's see if we can get rid of them

commit ff7f2ec78b5fa3d180a51437fb08eacba06b8f62
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 00:10:19 +0100

    Also add libcuuuc

commit 1363ba04490953f09d50ab5d78fce85d422e0b19
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Mar 2025 00:07:25 +0100

    Add libpsl, needed for self-compiled libcurl

commit 54e9061ddeca65b8a84e37e6b7916c6b73ec350b
Merge: 577bcfe8b b9624e817
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed, 5 Mar 2025 22:25:19 +0000

    Merge 'legacy_0.2.9_curl' into 'legacy_0.2.9'
    
    Fix AppImage
    
    See merge request armagetronad/armagetronad!169

commit 577bcfe8b1e5fb0d899227b42f9393e767c63f40
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed, 5 Mar 2025 22:18:42 +0000

    Bloat fix is incoming, so activate curl use

commit b9624e817c1a38429dd3040263c68f8dad9a37d3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 23:16:19 +0100

    Rebuild images with docker and reupload

commit c8717dc58e4aa1a7c8395fc065a68a4be53dbb3e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 22:20:33 +0100

    Compile libcurl for ourselves to get a leaner version

commit 0114ba16bdf549143e237f0ba3b1871f268a1b7a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 22:19:57 +0100

    Don't show errors if podman is not there

commit 6be487a88c53e3178998aba474d3d5f8b07352ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 18:55:34 +0100

    Add build script for a minimal libcurl

commit b23960883da8e98f4f4144c50d27c96aa1646595
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 18:55:11 +0100

    Add rsync to armadeploy
    
    apparently, it was removed from the base image.

commit 0c6197125082166646b02eb1dd98b4167624b763
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Mar 2025 00:12:49 +0100

    Disable curl again while we figure out how to shrink it

commit 0466938f1c3a7efcb45c78de956dbb9dbd0169ab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 23:40:49 +0100

    Add a whole lot of libraries for curl

commit 54319679ecec5f7f6e9b7c176c307735a36a3471
Merge: ae2a0aa27 37d95deb9
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 4 Mar 2025 20:54:12 +0000

    Merge 'legacy_0.2.9_curl' into 'legacy_0.2.9'
    
    If desired or required and not blocked, use libcurl for http fetches
    
    See merge request armagetronad/armagetronad!168

commit 37d95deb9f2da1c702d596d0e32d0bb4e0ae30b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 21:00:16 +0100

    Back to latest butler
    
    With the deployment image upgraded, this should work again

commit ed45384529c10133bc4b1453c008fcd25933f8f4
Merge: 4ca7eecb6 55b728340
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 20:59:39 +0100

    Merge beta_0.2.9

commit 4ca7eecb6e830e6b8fd1d1eab83e0c52a234e763
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 20:49:50 +0100

    Update armawineblocks image digests

commit c78701cccb3aed146d53803437c7c3b73a214199
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 20:43:21 +0100

    We seem to be needing a longer pause now

commit ccc8ac57d081823d9db7a33facb213de756ef457
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 20:27:14 +0100

    Build new images, upload and update digests

commit a6f000c259a5050369d290c203b5f0f25992a828
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 19:32:57 +0100

    Bump up docker image epoch
    
    We are rebuilding everything anyway...

commit ae61444c6fe7298e63e7098ffd412a6749cce350
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 19:32:29 +0100

    Correct libcurl package

commit 7a5c94cd7a430a66fbd88a3795a822fe49f15bd4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 19:32:12 +0100

    Bump deploy base image to Ubuntu 22.04
    
    0install stopped working properly on 16.04, can't blame them

commit c439d10c2b9449d39ac7e013c4994aa9c8f3176f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 18:59:13 +0100

    Deliberately add curl dependency

commit afc5ad3a590ee4c7368f0b0ddf6dc45d6e778f95
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Mar 2025 18:58:36 +0100

    Update 0publish and FeedLint URIs, Add curl

commit 55b7283405a65c6f4f7f041778f1664acc490e9e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 3 Mar 2025 23:02:52 +0100

    Pin butler version
    
    LATEST is no longer compatible with our base docker image.

commit 13fdb46d1025b652f5857308c78fe1a1c741a939
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 3 Mar 2025 22:56:54 +0100

    Prefer libcurl if included
    
    even if nanoHTTP would be available. In that case, libcurl is only
    available if the user explicitly requested it.

commit 5d84e17b58aef6db39f9bd6ca0914225c437931e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 3 Mar 2025 22:56:22 +0100

    Automatically activate libcurl if needed

commit 82d0bacb52725cd080af70738aa8ba410aef0d66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 3 Mar 2025 00:58:34 +0100

    Add --enable-curl configure option
    
    We don't want to silently enforce linking with curl even if we need it,
    it should be a conscious decision. But we do detect if it would be
    required and complain about it.

commit 58d001d2a0844d945c46918c89363168f1c05630
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 12:21:35 +0100

    Explain why we always check for libcurl

commit dd13ef27ed7a5360ae4d70baf055b3c3cb6f88e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:54:06 +0100

    Set other recommended options to libcurl

commit 8637ea7dea79e9aefe32c4f320ae23cb9a08eb59
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:43:38 +0100

    Follow redirects

commit f6b62102dbccf1c5f4970652af428990aa558215
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:39:29 +0100

    Rename enum values, Windows has one of them as a macro

commit 13923dd97077c9b1e17bdaa3702514948823c873
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:27:05 +0100

    Error code propagation
    
    Sometimes, only 0 means OK...

commit ab0d22fe74dc90c13ea4c94c48fdb0d1a9730b94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:04:32 +0100

    Adapt to future changed return code of nKrawall::FetchURL
    
    More fully map actual URI fetching return codes to FetchURL return codes

commit e89e8f9b9b4b278b7ffa3d489bb661c959f25609
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:01:58 +0100

    Use new return code

commit 972772a558ee444ef35f4c4af0fcc67a2cca7ae5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:01:38 +0100

    Change values of URI fetch return codes to match HTTP return codes

commit 3539390a36fbb8db56685a38cf65c0a8f02bc67d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 00:01:13 +0100

    Document future possibility of more negative error return codes

commit f99e605a7207305df977033735324a162a638737
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Mar 2025 23:45:34 +0100

    Delete target file on error

commit 9e7a9d3e08308821bc2e26397586d6b1e50fb0fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Mar 2025 23:31:46 +0100

    Complete basic CURL implementation
    
    Use real URI
    Use real output stream
    Use standalone receiver function
    Activate error handing

commit 70a65268beea7ace1f53c9676dccbc219f894277
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Mar 2025 21:10:01 +0100

    First draft of impelementing downloading using curl

commit 92612c7c7fdf1fcc910d0e9e78d644594b130374
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Mar 2025 20:24:55 +0100

    Add libcurl detection

commit 7d0988a623b05b7200486856dd7546427fc078e3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Mar 2025 12:40:43 +0100

    Add upcoming Ubuntu 25.04 (Plucky Puffin) to PPA list

commit ae2a0aa2700176d080d612c05ba7343f46a790fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 30 Oct 2024 18:26:00 +0100

    Make private messages visible on the sender as proper chat message
    
    Report and analysis by https://launchpad.net/~nickwinston123
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/155
    Launchpad: https://bugs.launchpad.net/armagetronad/+bug/2085958

commit 4772a129cb811b605306c1bd76817c9f8004602e
Merge: deec2386c 02b83ff5c
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 13 Oct 2024 08:04:08 +0000

    Merge 'legacy_0.2.9_max_fps' into 'legacy_0.2.9'
    
    Add MAX_FPS
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/154
    
    See merge request armagetronad/armagetronad!166

commit 02b83ff5cbe5d24c3dedb3e7530673ac779248e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 13 Oct 2024 00:40:19 +0200

    Add help for MAX_FPS

commit 3fac581e70223653d7c5fa76734f162127e35d6b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 13 Oct 2024 00:23:19 +0200

    Remove separate USE_MAX_FPS switch
    
    MAX_FPS 0 is now off
    
    Disadvantage: We can't give a default for MAX_FPS if we want it
    off by default. Oh well, people would probably get mad if we did.

commit 82a51e22fd28bce888c1362310b85b7b113d0b1f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 13 Oct 2024 00:18:59 +0200

    Factor FPS limit into own function
    
    Now it's almost like the removed commented out code :)

commit 33dc7366a58a9b1b9164be52309dafd248614f7a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 13 Oct 2024 00:15:24 +0200

    Refactor: more const, less static
    
    Functional change: if frame limit strikes, always increase
    last_time by the target seconds per frame

commit 69ea30a1643463448119e98b47a9ab1fbf70047d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 13 Oct 2024 00:04:35 +0200

    Remove commented out code

commit 8c8a4fcb58e8200edcb4fb3cd243c2101c863e20
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Sat, 12 Oct 2024 23:55:57 +0200

    Apply MAX_FPS patch

commit deec2386c40b5b2bca9439841de9a92206d87ac6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 9 Oct 2024 22:49:00 +0200

    Be careful about apply new minimal ping subtraction
    
    Only apply it on the server if server controlled ping charity
    is supported by all clients. We need to stick to the legacy
    logic otherwise.

commit b1766288ced95075de55d5fc6c0a59813853d35c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Oct 2024 00:20:08 +0200

    Allow zero PING_CHARITY_SERVER
    
    Subtract half of the lowest ping from PING_CHARITY_SERVER. Since
    each player's half ping gets added to their configured PING_CHARITY,
    this makes it so that if the lowest ping player disallows PING_CHARITY,
    there really is none and all clients are forced to sync their clocks
    to the fully forwarded server time.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/153

commit 0c32ded522400172f0b25a91fd3dbcbda2a584e0
Merge: 18283d29e 842e726e5
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 15 Aug 2024 21:19:19 +0000

    Merge branch 'legacy_0.2.9_feature_more_merge_request_tests' into 'legacy_0.2.9'
    
    Execute more merge request tests
    
    See merge request armagetronad/armagetronad!164

commit 842e726e5aa8af91f8cdd95679c808d5f5f104dc
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 15 Aug 2024 21:19:18 +0000

    Execute more merge request tests

commit 18283d29ea20218260eb31c32165aa1bd9e4000a
Merge: 410284864 be2ad0e08
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 Aug 2024 12:49:15 +0200

    Merge from beta_0.2.9

commit be2ad0e0834ec853b20ae4bcd5dd1d216f22bb69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 Aug 2024 09:40:19 +0200

    Update PPA targets

commit 41028486459f9710ab82b5c76af7b02674588394
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Jul 2024 00:24:30 +0200

    Add quick and cheap Wavefront .obj models
    
    Essentially, just removed our explicit vertex index and added
    smoothing at the top. No texture coordinates, no normals.

commit 48ada05b5ba445e1042f4137d11f6b4135c646d9
Merge: 7747ff004 a054ff6aa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 23:28:14 +0200

    Merge from release_0.2.9

commit 7747ff0043a7727d7a1c2e3e598e437a85f21ea8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 23:25:09 +0200

    No longer auto-merge from 0.2.8.3
    
    We now prefer cherry-picking from 0.2.9 to 0.2.8.3 as needed

commit a054ff6aaa6867fe348e94073de2202a45b26bae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 22:27:28 +0200

    More timestamp logging
    
    in case it causes more problems in the future.
    
    For now, everything is solved by setting disable_snapshots to true
    in the gitlab-runner configuration on macOS; that causes an entire
    new virtual machine to be cloned and powered up for each build,
    which takes time, but ensures the proper current time is fetched
    from the network.

commit dc5392094e6e1b9c6f5514ad94a8a08f2180562d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 22:26:57 +0200

    Tab style indentation for shell scripts

commit eb38d85890cba167b9713524056bb664c8790abb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 19:37:01 +0200

    Log a timestamp
    
    for debugging the RequestTimeTooSkewed errors

commit 795a4194372bc87ec6160dbed16ec9f301e5d756
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 23 Apr 2024 19:37:01 +0200

    Log a timestamp
    
    for debugging the RequestTimeTooSkewed errors

commit 41db2d5c92de91dc750c03cf7647c9262019efd6
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Sat, 20 Apr 2024 08:00:54 +0200

    Allow to override build date with SOURCE_DATE_EPOCH
    
    to make release builds reproducible.
    See https://reproducible-builds.org/ for why this is good
    and https://reproducible-builds.org/specs/source-date-epoch/
    for the definition of this variable.
    
    The previous code was added in commit b940783d0a38246fbf7326e9ccf625fd185c062f
    by Manuel Moos (@zmanuel)
    but only helped when running bootstrap.sh with a .git dir.
    However, release tarballs don't have a .git dir.
    
    This patch was done while working on reproducible builds for openSUSE.

commit 35f21730740a3d9c6601e3094f7c336d82ebeebf
Merge: 820bb355b 26ef027e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 21:29:16 +0100

    Merge from release_0.2.9

commit 26ef027e1fbf250290b25df179a8976cbd86bc90
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 20:36:55 +0100

    Bundle metadata to actually enable Retina resolutions
    
    Hope that is the last 'actually'

commit 2d5c52198687b8a955a7fa680aeadba18a14d16b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 19:39:42 +0100

    Activate Retina display specific variables
    
    Without SDL12COMPAT_HIGHDPI, setting a higer resolution only
    changes the RENDERING resolution, the image will still be
    scaled down to the non-Retina resolution.
    
    Properly implements https://gitlab.com/armagetronad/armagetronad/-/issues/147

commit 14ace1e869a733913c3943a5e972822564d407be
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 19:15:55 +0100

    Probably not a good idea to delete the bundle
    
    after we just filled it

commit e0c5f42423820161d5400505974b0243f130425d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 18:57:39 +0100

    Rebranding of icon name in manifest
    
    hopefully fixing the flatpak alpha and beta builds

commit 820bb355b2d78c76af9bd4aadeb0fb6abc7d3b8e
Merge: 860168b3e f67727148
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 06:52:58 +0100

    Merge from release_0.2.9

commit f677271488323dcb4ec67832317b25c58a0b0188
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 26 Mar 2024 00:40:36 +0100

    Only include SDL2 for the client

commit c4afbb23766eeac50df3450f7b23625f13da2fa6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 25 Mar 2024 21:59:35 +0100

    Include SDL2 into app bundle manually
    
    Modern homebrew has switched to sdl12-compat, which dynamically
    loads SDL2 at runtime, so it is not found by dylibbundler.
    But we can help it!
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/147

commit 860168b3e0892c696b64847d27b7a41b3b38ece4
Merge: a1e3a2f28 21f07166d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 25 Mar 2024 00:23:13 +0100

    merge from release_0.2.9

commit 21f07166db4325105416056e353f09e00df7ed35
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 24 Mar 2024 22:41:42 +0100

    Only modify XCODE path if Xcode is installed

commit 87d4665005d779b6c4de588df19f24b95c42d01b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 24 Mar 2024 17:52:05 +0100

    Remove obsolete altool notarization path
    
    it no longer works. But `xcrun notarytool` also does not work
    out of the box on the builder, so try plain notarytool.

commit a1e3a2f2869732b7fc5598a79e805b5989cdc88b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 23 Mar 2024 17:29:50 +0100

    Further version bump for alpha branch

commit b51c7f18ba63f2f514e622176c99ec0d78b8578e
Merge: 62481390c feaeb4151
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 23 Mar 2024 17:29:04 +0100

    Merge from release_0.2.9

commit feaeb4151432f9e8c7e63806c5c822096e7f7da9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 23 Mar 2024 17:25:41 +0100

    New version marker
    
    so rc builds get accepted into the PPA agian

commit 3222da821cd24568afb88be8b4bf386b303e5c98
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 19 Mar 2024 21:55:50 +0100

    Correct formal developer ID

commit 62481390ca653d1f21d8ec880b3345bda82da88b
Merge: 1cdb6f405 fab4f62d9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 23:37:27 +0100

    Merge from release_0.2.9

commit fab4f62d9f3687415d376fc0827b622c58676266
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 23:22:11 +0100

    Hide developer entry from old linter

commit 2fb9c61f8443143054cc6146058b285f587b055f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 22:48:15 +0100

    Add missing bits flatpak is complaining about
    
    so that maybe next release, we can live without a patch there

commit fc1934fdfb6b18dacbad8cf8ee5f4d1c48194add
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 22:48:00 +0100

    Add special style for appdata.xml.in

commit 9ef71a06f6ec63e1f6b60c70d16ab903f73704ec
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 17:04:52 +0100

    Add blurry 64x64 and 128x128 icons
    
    Flathub now requires them. We can patch it in there, but that
    is not desirable long term.

commit 45c8ed2ab3cffef1e1c2a44114c4cbdcb70cb75d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 00:16:58 +0100

    Remove tag/branch distinction here, too
    
    Tags deploy to the production environment, which is protected
    and requires manual approval anyway

commit f531688a7e75363bbec7f4443bde459e4d2386a6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Mar 2024 00:12:19 +0100

    Staged steam deployment failed, kill it
    
    I am not in the mood to find out the reason, and I think now
    one should make as little difference between build types
    as the deployment targets allow.
    (Like, launchpad becomming unusable if you push too many builds
    preventing us from using it for alphas)

commit 3fe89d9b2d30a631d045c3538346f79b255d92bb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 16 Mar 2024 22:35:54 +0100

    Do not forget to upload AppImages to launchpad
    
    They have no version number any more and the previous
    wildcard did not catch them.

commit 6be5fb6a0de2d2daaa9648af6fec449941fc08d8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 16 Mar 2024 22:29:52 +0100

    Add steam staged deployment for tagged builds

commit 26cb1a127a2644ff621162c8ae156dda4974fb94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 16 Mar 2024 22:13:20 +0100

    Print decision about action/no action for steam

commit 7d3a858fb4b3fba2e02f317cdd5757a791b1e5dc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 13 Mar 2024 23:01:19 +0100

    Do not push future release candidate AppImages
    
    They would go to the same place as full releases and people
    using AppImageUpdate would get them delivered to them.

commit 1cdb6f4053a0f9303e69be20745306eccc905aa1
Merge: a85cc5680 a2c4ab51d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 12 Mar 2024 23:20:09 +0100

    Merge from release_0.2.9

commit a2c4ab51d775c65445595abc4aeeceea80068a40
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 12 Mar 2024 22:10:10 +0100

    Fix tag deployoment

commit 56be3367dd0de28b1c7292654fa5c5e4f8b75efc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 12 Mar 2024 20:44:45 +0100

    Update changelog

commit 517119ae5a77125cbbdda00ce061cea021d050cf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 12 Mar 2024 19:23:42 +0100

    Make this one shebang more compatible

commit a85cc568043c3c41bac94ade084aa697154cb78b
Merge: bf5b5795c 8a6a5fe87
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 11:05:21 +0100

    Merge from legacy_0.2.8.3

commit 8a6a5fe87a0ca353e134ccc67ef841a6b3c8f2a0
Merge: cf24661aa a3d5cd744
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 11:04:08 +0100

    Merge from release_0.2.8.3

commit a3d5cd74402eac7dc8697fd5d7c44035aa6e939a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 25 Dec 2020 19:05:24 +0100

    Cherry-pick .gitignore changes from legacy_0.2.9

commit f62a7f67aba4fd38c7bcaceed4be940dc07aad1c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 19:10:04 +0100

    Remove lunar ppa build, it is obsolete

commit bf5b5795c227ea73de540b61cf253e5ef5792849
Merge: 8046f3303 cf24661aa d6e06de7d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 01:02:02 +0100

    Merge from legacy_0.2.8.3

commit cf24661aaef49a2a6732ae97148305701d6db99b
Merge: cf750d29d 0f32bf27e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:59:39 +0100

    Merge from beta_0.2.8.3

commit 0f32bf27e236b68c5d0c3abc6ebd65158ec33dce
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:57:57 +0100

    Fix assertion
    
    It was not actually testing what was used below

commit d6e06de7d264490134686f7df331687c8d647e83
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:55:35 +0100

    Const-correctness, and fix assertion.

commit 8046f33037ae7187571dddbe0970785136f6d6ac
Merge: 01b28d54d cf750d29d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:45:12 +0100

    Merge from legacy_0.2.8.3

commit 01b28d54ddb9bb06f6dd6b06b38ca3bd8f87c446
Merge: 866b96260 b94a8c384
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:44:55 +0100

    Merge from beta_0.2.9

commit b94a8c384266f45fa4756d0026857f4cc14d4bde
Merge: 65b3686dc 25669e009
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:43:37 +0100

    Merge from beta_0.2.8.3
    
    No changes merged. They were only modified cherry-picks.

commit cf750d29d934a0312e2e87ec0ac0d75e9825fb51
Merge: 715315025 25669e009
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 25 Feb 2024 00:37:57 +0100

    Merge from beta_0.2.8.3

commit 25669e0091af728c4b0ca9de9392f6ff1869f8f1
Merge: c8dc0019f 62685a42c
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 24 Feb 2024 23:21:08 +0000

    Cherry pick the tLinkedList changes from legacy_0.2.9
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/145
    
    See merge request armagetronad/armagetronad!160

commit 62685a42c517fa6c451613f2166c050134b58b7b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 24 Feb 2024 23:40:03 +0100

    Oh, come on, no auto either? What is this, C++ 98?

commit e5e34ff87b82c5d7404ddfc246b09d177eb663e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 24 Feb 2024 23:34:59 +0100

    Back to full content of .cpp file, just comment it out
    
    to keep the patch small

commit 2122f66cc305d0be30334171aae2f46703b1295e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 24 Feb 2024 23:25:40 +0100

    Go back to NULL, nullptr not available in old build system

commit f07922f76ef343a196dcef7221be17b335b7cf9f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 24 Feb 2024 23:00:55 +0100

    Make tLinkedList compatible with source were we can
    
    and adapt the one instance where we can't.

commit 89dfe52606a94bba913ee24eee29be5fc3fa5d32
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 24 Feb 2024 20:33:44 +0100

    Cherry pick the exact tLinkedList changes from legacy_0.2.9
    
    They do not work here! But we will try to make the interface compatible.

commit 866b962607d918005128975e1c818a7eacf374ca
Merge: 7af79075f 65b3686dc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 23 Feb 2024 22:23:03 +0100

    Merge from beta_0.2.9

commit 65b3686dc5982bbb945bea53759263d9242aa40c
Merge: c5b6b148f 1f06c1f23
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri, 23 Feb 2024 21:11:37 +0000

    Merge branch 'bugfix_mm_undefined_behavior_in_linked_lists' into 'beta_0.2.9'
    
    Get rid of undefined behavior in tListItem
    
    See merge request armagetronad/armagetronad!159

commit 1f06c1f23492448b61baa1bf7c8f5fe0a5f44db5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 23 Feb 2024 22:06:41 +0100

    Assume our offset to anchor is zero
    
    offsetof is not available on our oldest platforms, so we can't use
    it; plus, the offset is guaranteed to be zero in the current layout.

commit 1eec813d340c990b593635faf2e71cca4c026919
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 23 Feb 2024 20:16:28 +0100

    Replace transfer loop with simple list swaps
    
    The loop was not only problematic (see previous commit), but also
    a bit wasteful, given that linked lists can be hurled around the place
    at zero cost.

commit 3083c78761756b5ab1c5664cf8744243e63f709b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 23 Feb 2024 20:04:45 +0100

    Get rid of undefined behavior in tListItem
    
    The issue was that to save compilation time and binary size,
    the bulk of the linked list implementation was in a
    non-templated base class and implemented in the cpp file, using
    basic pointer types.
    reinterpret_casts were used to convert the final list element
    types to the base type and back. Which was fine, mostly... except
    for the anchor pointers. These were pointers to pointers of elements,
    and while the reinterpret casts between them worked, it nevertheless
    was undefined behavior; we changed the value of one pointer by
    accessing them as a different pointer type, which the compiler
    is allowed to assume never happens.
    Thus, on fedora, the compiler optimized away a loop exit condition,
    causing an infinite loop when entering the server browser.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/145

commit c5b6b148ff655ff6deeb159b7a99a15f9ab9bdd1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 18 Feb 2024 20:21:47 +0100

    Updated release notes a little

commit 7af79075f0ada1e4cdc26b157498c52a9325c1b7
Merge: 91f3eb0af 611b5bf1b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 18 Feb 2024 18:17:12 +0000

    Merge branch 'bugfix_mm_login_should_not_be_blocked' into 'legacy_0.2.9'
    
    Login via chat is no longer prevented due to insufficient chat access level
    
    See merge request armagetronad/armagetronad!158

commit 611b5bf1be5fc18ddaf1474df99a5b882c3c1754
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 18 Feb 2024 19:08:01 +0100

    Do not require authentication check for /login command
    
    Fixes #https://gitlab.com/armagetronad/armagetronad/-/issues/144

commit e174440728b3aad476fc047c0e5f35bb36818749
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 18 Feb 2024 19:06:46 +0100

    Refactor spam check
    
    Individual tests can now be invoked separately. Especially,
    the chat access level check does not have to be called.

commit 91f3eb0afcb23da53012cce47384039e56d2ab87
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 14:21:29 +0100

    Add breakpoint opportunity to check on FPS calculations

commit e2e668a53cbf64cad16614a1c4b43fa0265660a7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 13:42:10 +0100

    Keep FPS values as floats for as long as possible
    
    Only round at the end. And when checking whether the current value is
    still OK, take into account that it will be rounded later.
    
    Deal with FPS < 12, that no longer causes deficit accumulation.
    
    Increase FPS backlog and averaging set for more stable values.

commit ff642a27836e5e943a8e136e1f912f74601000d2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 02:10:00 +0100

    Calculate min and max FPS as floats

commit d3dcce533473fca07d71596b5f1208c6e12cc91a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 02:05:51 +0100

    More FPS improvements
    
    store intermediate FPS values as floats
    average and round some of them only when an FPS update is required

commit 51e7722f9da5a8392d979b4e7a2ec5f287f690a6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 01:40:43 +0100

    Initialize frame counter so that it gives a more accurate result sooner

commit e192bec55d2ebbc91a379f1c6b2d7511ac6299bd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 00:48:55 +0100

    Simpler incorporation of leftover times

commit d88851ac2f7731ace7fe488849a4a561f3991966
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 00:28:44 +0100

    Simplify HUD FPS display
    
    The base reported FPS is only changing at most every 5/12th of a
    second, no need to guard against quick changes any more.

commit 06235816b90a6214ae8b9adce88d84909b0ef9c8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 00:18:59 +0100

    Increase FPS backlog to 5 buckets

commit 5df35d316b2627e098a5db2cf8eeaeeaa64dbb86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 10 Feb 2024 00:14:28 +0100

    Add StableFPS and LastFPS functions
    
    Also: Instead of taking the complicted median FPS when the current
    best value is no longer right, just take the most recent one.

commit 356c41f825139ddbd742cd6f692abf02dda7ed37
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 21:54:42 +0100

    Re-add tMath. It is required for std::isfinite
    
    My mistake was trusting superfluous include warnings in vim.
    Naturally, they do not cover all platforms.

commit 746ede0bb90f27bed39ea1d39b8fca3ae647770b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 21:46:29 +0100

    Remove werid character from comment

commit 38c8193d624775e78999038d9d6ad254150dcb5e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 21:32:46 +0100

    Rename PreciseFPS to just FPS, we only have one now

commit 379315e7fd44be940f9789171cd2d76439476c52
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 21:30:18 +0100

    Remove old smoothed framerate; keep AverageFrameTime

commit 311a4013fd7d156d41f2f7981c9a94bfb0c25d51
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 21:24:31 +0100

    Add proper rolling timeslice bucket based framerate counter
    
    (I just made that term up) It splits each second into twelve buckets
    and counts the frames in each. Every time a bucket is full, it sums
    up all and records that as a framerate, then advances to the next
    bucket.
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/143
    properly.

commit 34d095c8bcbac582deed008a2d9b1943dcbd25c9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 19:23:51 +0100

    Refactor: Integral FPS now provided by eTimer

commit 1415aeaaab701f12a968e1efd4c2c3364681df32
Merge: 04c9005a4 715315025
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 19:15:42 +0100

    Merge from legacy_0.2.8.3

commit 71531502516fa41feda1af242a34fc85432dc157
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 9 Feb 2024 19:10:04 +0100

    Remove lunar ppa build, it is obsolete

commit 04c9005a4f09ab5023f5113cdfd1a2b4e4825dcd
Merge: ce231f019 b7ca76123
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 8 Feb 2024 23:13:54 +0100

    Merge from legacy_0.2.8.3

commit ce231f0196f30cb3cb2682281ec2b951e2b6e0da
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 8 Feb 2024 23:10:16 +0100

    Round display FPS to nearest integer, not always down
    
    Minimal viable fix for https://gitlab.com/armagetronad/armagetronad/-/issues/143

commit b7ca761233293a4b39190926a3c9a3040802576f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 8 Feb 2024 23:09:08 +0100

    Clang-format options: Remove spaces in parentheses

commit fb5663aac9ae36c8f153b50805e0fb2b57ad1587
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 19 Jan 2024 06:10:18 +0100

    Reverting paranoid long term display list block
    
    The reason for the trunk display list bug turned out to be
    something completely different.

commit 447b1af7fc9c480964cde662713bcd9a4da8716f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Jan 2024 23:50:12 +0100

    Add extra long reuse delay to rim wall display list
    
    So that we can be sure it is only created and used for full height
    walls.
    
    Attempts to fix https://gitlab.com/armagetronad/armagetronad/-/issues/141

commit 1724838ca50a36814aa6dc660c67a28d498f97ac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Jan 2024 20:15:28 +0100

    Keep lowered rim walls lowered for a bit
    
    0.2 seconds, to be precise. Amends the flicker fix from the
    previous commit.

commit ca00114eb63baae6ba7970b83312a68b047f4d51
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Jan 2024 20:14:21 +0100

    Correct height limit logic for rim wall lowering
    
    finally prevents flickering of lowered walls; the previous
    code would bail out early on already lowered walls, failing
    to keep them down

commit 1a053b28c80f52d03269153e3337fa97beb78e6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Jan 2024 20:10:45 +0100

    Always decrease display list inhibit counter
    
    not only if a display list is there, that is a waste of perfectly
    good display list creations

commit c46a467de7583c0cf9d1156a010c142e7b05b1ad
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 16 Jan 2024 23:28:14 +0100

    Do not read VSYNC settings from recording

commit 20de27baf190c9dc02944cba6710d0a7c1b7e5d1
Merge: 08617203b 9378c804d
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 15 Jan 2024 20:35:17 +0000

    Merge branch 'feature_0.2.9_cherry_pick_vsync' into 'beta_0.2.9'
    
    Add VSync setting menu
    
    See merge request armagetronad/armagetronad!157

commit 9378c804dd36616f9ed8da5222471d34ffda6977
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Jan 2024 21:06:00 +0100

    Actually deactivate VSYNC if requested

commit 12be4283b1d5abf18f1d6feca49fef466bda507b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Jan 2024 19:58:22 +0100

    Manually cherry-pick vsync translations

commit b4b10f89def6c0b7876e1dce308f7c009330dfe1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Jan 2024 19:42:58 +0100

    Remove motion blur releated code

commit 17d2c0f28f91315e63157f12341f07af08a1241f
Author: z-man <Unknown>
Date:   Wed, 14 Nov 2007 10:11:05 +0000

    Cherry pick GLEW check from 0.4
    
    Non-functional here, but it disables the motion blur setting

commit 1cbd3e4225834313ee768874f2d2788ae1228cd1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Jan 2024 19:29:41 +0100

    Fix typo from cherry pick

commit bd71ae0492efaad63ed37b95ae87ec4f93ad5aaa
Author: z-man <Unknown>
Date:   Mon, 7 May 2007 11:40:16 +0000

    Add support for VSync setting changes via SDL
    
    Cherry picked from 0.4 a7b875cb193f0dd3496765e073fbfced39ae367e

commit 08617203b2f890af68baf76e0ad7e06b23bc3295
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Jan 2024 00:31:47 +0100

    Switch docker image base do Ubuntu
    
    Alpine and ZThread do not get along. As expected, the image gets quite
    big.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/138

commit 855f9e8dc7b524ee6d51b7fc81ca034e04f78a12
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Jan 2024 11:01:30 +0100

    Also add lptools
    
    Maybe that would have been enough? Previously, we had no installation
    of launchpadlib anywhere, but lptools is in the build image.

commit b60ca16bedb98b364b40979aa2b758eef9959e4f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Jan 2024 10:32:46 +0100

    Update release notes
    
    Mac builds are now considered stable

commit ebed12222c1f29e0cbd13ba6ca67489377af2d8a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Jan 2024 10:22:36 +0100

    Also add python2 version of launchpadlib

commit fa3fd474fd48cce03829deb323c7935f6e1d703c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Jan 2024 09:45:59 +0100

    Add launchpadlib to deploy image
    
    it is needed to deploy binaries to launchpad

commit 8d3e6f722da814372f633911a84f63808d485c01
Merge: 0e09e6d43 31a902ffe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 20:17:59 +0100

    Merge from legacy_0.2.8.3

commit 31a902ffe57ac689593a3bcb42c69a046354f179
Merge: 274153641 c8dc0019f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 20:17:15 +0100

    Merge from release_0.2.8.3

commit c8dc0019f4e15a4ec625ca02522ab68ab6fbcae0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 20:14:59 +0100

    Fully remove centos

commit 0e09e6d43766ec8f08b459b40da9488c14b1d8ef
Merge: 8165e296d 274153641
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 19:33:08 +0100

    Merge from legacy_0.2.8.3

commit 274153641e9b7838bf2624a523779cd2f7b1ee8d
Merge: 430dca073 71436db68
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 19:32:31 +0100

    Merge from release_0.2.8.3

commit 71436db686275dc23b9ea843ffdeb35c10d55a40
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 18:51:17 +0100

    Remove centos testing, it seems to be proper dead

commit 1477a674be4a1c0235ddcc5d017e5de0e6eae63a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 12 Jan 2024 18:00:52 +0100

    Add build for upcoming Ubuntu 24.04 "Noble Numbat"

commit 8165e296d480ed8cc5874cdb0ce592e9b3ef6419
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 15 Oct 2023 18:10:03 +0200

    Remove command logging again

commit a210b6de23e240887e4ae4b3b1e77be0f172acf6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 8 Oct 2023 18:40:00 +0200

    Simplify SOURCE_DATE_EPOCH generation
    
    Taking a big clue from !147

commit 9639562279cc5d4b9aecdf7de8a9482d6bcec1a2
Merge: 43aa2af0c bf53895ec
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 7 Oct 2023 20:35:34 +0000

    Fix clang warnings on macOS builds
    
    See merge request armagetronad/armagetronad!155

commit bf53895ec7a44d7435567b28b29264a6ec856305
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 22:25:56 +0200

    Fix a ton of warnings
    
    Several classes:
    - virtual functions getting hidden by new functions of the same name
    - alignment sensitive casts
    - unused functions or variables
    - missing constructors
    - unsafe sprintf, replaced by snprintf

commit 5aa876facacee440f694478e6c0c91774e63b1ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 22:17:48 +0200

    Fix pointer conversion warnings

commit 835385a197664051318d8d5399694be666275764
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 22:15:10 +0200

    Disable various 'unused X' warnings
    
    except when compiling the release client. It is quite normal to have
    unused varaibles on the dedicated server or in debug; it would be
    possible to eliminate them all, but messy.

commit 43aa2af0c0d4cfda3052b06073eb5a5829d08caa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 15:26:31 +0200

    Add macOS test result in comment; setsockopt failed :(

commit c4371e2667dba5470e42bc1a5e97e4c7a6c216dc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 14:37:06 +0200

    Have a fallback definition for DSCP_AF32 ready
    
    It is missing on MacOS. Since the low bits are identical to the
    older IPTOS_LOWDWLAY, this should be fine even if DSCP is not really
    supported.

commit bc05d5d803dad4e44ac17215f51c98f976bbf993
Merge: b927f8801 fc2441ac8
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 7 Oct 2023 11:45:12 +0000

    Merge branch 'legacy_0.2.9_network_tweaking' into 'legacy_0.2.9'
    
    Set the right network options to make our network traffic treated with realtime priority
    
    See merge request armagetronad/armagetronad!153

commit b927f8801a00e1cc50e961b6ace9227c619764af
Merge: 0d40fb0fb df37277dd
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 7 Oct 2023 11:39:17 +0000

    Merge branch 'legacy_0.2.9_warnings' into 'legacy_0.2.9'
    
    Fix compiler warnings (and hopefully bugs?)
    
    See merge request armagetronad/armagetronad!154

commit fc2441ac87c14e11801b2668f000d1f0be9483fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 13:38:15 +0200

    Switch network priority setting from IPTOS to DSCP
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/137

commit df37277dde4b201f1a1f37d1df6690a09bca96a9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 13:32:36 +0200

    Fix precise type of virtual function overrides
    
    I hope this was an error :) But we tried to override base const virtual
    functions with non-const ones. The compiler (gcc 13) now warns about
    that, sweet.

commit f6a40dc173dd7d0b7fc77ec1b930750987994e19
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 7 Oct 2023 13:30:35 +0200

    Use xmlSetGenericErrorFunc
    
    The older initGenericErrorDefaultFunc is now deprecated; the new
    function allows passing in a void * context for the error handler
    to read. We don't have a use for that, however.

commit 0d40fb0fbf7540bce255e4d66ff1645938d0666c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 23:05:43 +0200

    Move itch and flatpak deployment to their places
    
    in the final stage; also, add deployment dry run for flatpak
    in staging phase.

commit 3a41689a7c02922d64c2e225654f7a23511f0401
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 22:28:16 +0200

    Pass butler API key in environment variable
    
    like the docs suggest, not in the configuration files

commit 5b6407941a775c94c682dac5460d1463bb6160c6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 21:54:59 +0200

    Add flatpak deployment, also early stage

commit 6696fb9cb2bf931e135d976d075e4d1b003e5f5d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 21:53:02 +0200

    Remove dependencies on deploy_external/essential
    
    The pipeline is now supposed to handle these.

commit 991740fd0103e4a35e433890b7189fd23077a112
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 21:38:03 +0200

    Add itch deploy, earlier stage for testing

commit 1344e7b97f9ee55efe7659b811aa2fc72b2e5cd6
Merge: 318440918 430dca073
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 20:24:32 +0200

    Merge from legacy_0.2.8.3

commit 430dca073a30226afd59339f73606f5ca4bbc736
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 20:13:56 +0200

    Remove deep steam build configuration
    
    from the old 0.2.8 branch. We won't be doing real builds from here,
    it's better to maintain it where it is actually useful (0.2.9).

commit 2065d2654b50b5cb190eabab9efba6c512c6938f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 09:15:20 +0200

    Update docs to new build settings

commit 58421e0c361d934910a58a4a6f9fbdd9b2e84414
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 08:28:23 +0200

    Remove resource group for deployment serialization
    
    It is not required since we only have one deployment runner,
    and its presence seems to slow things down because with it, when
    the deployment runner finishes a job, it will not get a new one
    immediately because all followup jobs are still blocked at first.

commit 31844091836cb3ca70ce1bed5ae14993748a97ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 07:15:23 +0200

    Move steam deployment back to where it belongs

commit 0550b8e1ba74ed28ad48f099e748cabbee834394
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 06:48:01 +0200

    Fix post-depoly cleanup

commit a29a380f96eb0b68db6b99c70ed867c2e7a40a2e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 06:21:09 +0200

    Update steamcmd image

commit 9f2fbf28bcffbbe070135e1d57cbc125de9d8df9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 6 Oct 2023 06:14:40 +0200

    Pretend steamcmd actions happen as user 'steam'
    
    Conflict: You can't currently feasibly run tasks non-root in
    gitlab CI, but steamcmd does not handle its configuration, especially
    the steam guard unlock, as root. But it seems to suffice to set
    HOME and USER to fool it.

commit d5d16a6069c6204bc1a169651ac5f01f596fe680
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 5 Oct 2023 22:35:02 +0200

    Separate base image selection to extra line

commit 198712f58aecfaf82e2041326fa8acd76e4d595d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 5 Oct 2023 06:33:17 +0200

    Add zip to steamcmd

commit 33be505ddbb24bcafa9faa7bb42b2d57cbbf8d97
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 5 Oct 2023 00:26:13 +0200

    Bootstrap here, too

commit 9d08142fe927d9be1ebb924a16596f62a42136f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 5 Oct 2023 00:18:07 +0200

    Bootstrap steam basic server autoconf/automake
    
    Build complains otherwise and fails because it was built with a later
    version of the tools and links are missing.

commit 0a8f0aef94e5767d948022b38b6eae83983f83c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 5 Oct 2023 00:07:54 +0200

    Build initial steam server with correct image

commit 02fcfe1c93c0542a363945afb61f82671736c529
Merge: ad02c63ca fdabaa418
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 23:48:48 +0200

    Merge from legacy_0.2.8.3

commit fdabaa418ec94affe330e71dafec9616bd9bdf0a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 23:48:00 +0200

    Reenable mac build on alpha branches

commit ad02c63cae11acb69ec86e72b0df3f9484629d7b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 23:45:53 +0200

    Revert "TEMPORARY: Remove macOS requirement from steam"
    
    This reverts commit 8e274b73dfb38ec72dc760d45a5b333a5db2bae5.

commit 8e274b73dfb38ec72dc760d45a5b333a5db2bae5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 23:28:19 +0200

    TEMPORARY: Remove macOS requirement from steam

commit cacfdcbea5c27df9652fc54f5a206bd0154b4180
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 22:54:44 +0200

    Let steam deploy stand on its own

commit 5c0aa93ecacd414e0b779981f021122c71635962
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 22:54:22 +0200

    Add rsync and gpg to steamcmd

commit bb5030ce953af4223155de76bbabdbf7e392b201
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 22:26:20 +0200

    Actually use new steamcmd image

commit f8f0e534545de763cfbfcf2b713861803f6bbb11
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 22:10:01 +0200

    Reintroduce steamcmd, add some required stuff

commit 364e2bc2568a9a5b001c3a01af82c3c0bd2ffafc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 21:58:58 +0200

    Move steam deployment forward so it can fail faster

commit 5742e6f2c0954b2787abe87383dc73bf446192af
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 21:38:41 +0200

    Try using a stock steamcmd image

commit a343504805a8aeff90fc7df71d491f54296d7d4b
Merge: 925178259 257792cd0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 20:52:50 +0200

    Merge local changes

commit 65b7e11685f318c8eaaad03dc0eb635a1e23b5b3
Merge: 3a2ea3c2c 257792cd0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 20:44:52 +0200

    Merge from legacy_0.2.8.3

commit 257792cd03829177d6ffe2987ea36d01e64da946
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 20:44:08 +0200

    Really only deploy external in final_external

commit 3a2ea3c2c33cc998ec113cd8fc4c63a9146626df
Merge: 4ff316030 925178259
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 19:57:33 +0200

    Merge from legacy_0.2.8.3

commit 4ff3160306c07ab9689db897ab14b5c0b7fe090e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 19:57:00 +0200

    Make steam deployment independent of the rest

commit b3516dc9e8058092809550ccead72e6abc720111
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 19:53:42 +0200

    Add steam deployment in steamcmd

commit 925178259afe94827c1950d5b8740470ceece72a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 19:37:39 +0200

    Trigger deployment delay job right away

commit 2cd6032dbf763451916092b12ea22e3b4615b6df
Merge: 6883f9e56 92f355614
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 18:08:46 +0200

    Merge from legacy_0.2.8.3

commit 6883f9e56ea4662e72f9ed5f8861826a558f8df8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 18:08:31 +0200

    Update images

commit 92f3556142919989efc71269c883742d850bd0e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 18:06:41 +0200

    Move armabuild_32 to the back
    
    It is unlikely to fail unless _64 fails first, and we want
    the build scripts to fail fast or not at all.

commit a9937272038b1f8aaf5029cf7c43b1978c1753e6
Merge: 329115825 db1ec7b1f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:59:50 +0200

    Merge from legacy_0.2.8.3

commit db1ec7b1f096d24704e18d727d4d98f2abe62b28
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:51:28 +0200

    Ensure steam builds work by at least building them

commit c3a6c962c9d4920c00be13b2897275766392dd5d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:51:02 +0200

    Small script fix

commit e5f2d33a5d017670acf3769ffe95133895f1ec68
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:44:57 +0200

    Move python3-packaging to optional packages
    
    It is only needed in the main build images, not steam

commit 5ffc7c1dafe47eb35b260d81fae9620b72c3181e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:36:14 +0200

    Name consistency

commit 3291158256b78d1856242bd4047ba9140e55a5a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 17:32:21 +0200

    Late fix of merge conflicts

commit 1b9218b12556eae6ca9482290ae97dd9053aa19c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 09:15:09 +0200

    Update some images

commit 67c0def46d9f9f62102fddd056212ae1e0253257
Merge: 9d6c39cd6 b89c33940
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 09:08:24 +0200

    erge from legacy_0.2.8.3

commit b89c339406101c5f6622c8f2ed485c4476f4b29c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 08:37:30 +0200

    Use curl or wget to fetch pipeline info
    
    The images factually used right now have curl, not wget available

commit d7435abed04d26f153a2603c509b3cfd422e7f4d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 07:25:42 +0200

    Clear EXIT var after gpg import deemed successful

commit 8f89b957253b489db51b3f0cbeeace23cf65de0b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 07:20:42 +0200

    Make ppa installs independent from the rest

commit 563683bfbee3a3d65bfc8fe6fb3319f629859436
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 07:00:22 +0200

    Replace centos with fedora for CI tests

commit fbbc2d101ae0ea2620e7bea1c459c8315f2d3601
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 06:30:45 +0200

    Fully remove old centos test

commit 8c7939ae644adcf90f2af8333262951f7abb6001
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 06:07:18 +0200

    Remove centos_oldest tests
    
    Fail often in package fetch. The distribution has been killed off
    anyway, just a question of time before we need to remove centos_latest.

commit 8a071aac0f9283ee504dbbd8359e76267a3de16b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 01:01:52 +0200

    Fix mail recognition if key was already imported

commit 8b799d2aed5b55d433f9ca3d6537822d0739f1af
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 00:34:53 +0200

    Try to set python encoding to utf8 universally

commit d637e108fceddc65781d0c3f586ac0c81250e6cf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 00:23:42 +0200

    Explicit utf-8 format for frozen changelog

commit 2a6fbf13f75782e52db5bdd62cefb8efd4f91de7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 4 Oct 2023 00:00:44 +0200

    Add python-packaging for version package

commit 3d42c92aa129ceedb9a86db666a5527a12914a89
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:42:25 +0200

    Pick armabuild image fpr collector
    
    We need pandoc now.

commit cc67503ef52a3644e2a610455c0b59a0b431e136
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:27:40 +0200

    Use correct variable

commit 00bb88b736c568ea7c0d9152d4756251f57df5e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:25:33 +0200

    Proper regex? Poorly explained.

commit 174b801fb10a5a3260d66b036fcfded612816ba8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:22:09 +0200

    Update images

commit 8b341a74ec7324eafb068457e6822b39e678aace
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:15:21 +0200

    Really move pandoc into base image

commit e436cb541e0da0801442f9db16fcf61898aceccc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 23:05:38 +0200

    Temporarily disable mac builds for alpha branches

commit b5e766b3fca9417934c340479de87a9f34277f6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:54:41 +0200

    Reformat docs in build_collect
    
    now that pandoc should be available at that stage

commit dc565ff9985f3c896987d117b4325fdf89216ad1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:46:45 +0200

    Push pandoc into more basic images

commit 4d797c5601b9675266a6d85c1ce08e015fa8da79
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:21:11 +0200

    Correct stages some more

commit be3f4d4c787e9b58fcf4047fea6757cd27311e1c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:20:10 +0200

    Correct stages

commit 622d3d40b4faa773ff77425f05d848ca1179ece2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:18:32 +0200

    Seems easier to just add stages

commit 08f5414a76928ff91b3e246ba93366e1951d2e04
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:16:40 +0200

    syntax

commit e04b49026803e337e1a59f99c0a86d81ff4a5be0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 22:14:57 +0200

    Split deployment some more

commit c3ae2832ae639bf210a4f603127daa33c9998859
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 21:57:06 +0200

    Update to images

commit 7cf53fca7557832666a81f17242af806aa6fa769
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 21:33:33 +0200

    Update template references

commit fc785a72360f0a27e674f2c80aed4637ecb58709
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 21:25:29 +0200

    More templates for deployments

commit 454649e30e67d38352c1658ab1760b32efbed8ed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 21:17:06 +0200

    Make all apt-get install invocations noninteractive

commit 0e2e6f950568a7cc3ef4b75d4526fba1e459ad63
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 19:53:59 +0200

    Ditch retry delays from deployments

commit ee76bef88a054d05a96d565f909935064dea3e41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 19:16:14 +0200

    More tolerance for already imported gpg keys

commit 9d6c39cd6f490448f7a67f1f95e6923c28bd8ded
Merge: 189c76fe0 cfda979a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:41:57 +0200

    Merge from legacy_0.2.8.3

commit cfda979a27427bac9a5439cdc57cd41302fd0490
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:41:11 +0200

    Fix directory consistency
    
    popd was only inside the if

commit 189c76fe046eed5ad37defd922b0ad29d8e212a3
Merge: 01a0d4484 d3b7ce38a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:32:22 +0200

    Merge legacy_0.2.8.3

commit d3b7ce38ab995fd36488fd102ee5cd2f5e588352
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:29:53 +0200

    Avoid 'git -C' here, too

commit 01a0d44840adb7233bd547bd73afc4383894584f
Merge: 23c3c9dd3 45e4112b3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:20:40 +0200

    Merge from legacy_0.2.8.3

commit 45e4112b389a76f21ad24cf66ad8efe2e5ab1be5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:15:02 +0200

    Avoid using 'git -C' here
    
    the ancient steam image does not know about it yet

commit 9330bc0a539f560696eebfb56f132e3c57ea842c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:07:59 +0200

    Separate job for ppa deployment
    
    It requires a different image, plus we always wanted to make it
    possible to have it fail idependently

commit b9c84ec0f00287c175c0c7d197f14b0f2792226a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 18:00:59 +0200

    Factor out pre-script for deploy jobs

commit 23c3c9dd322cd6dc29a53c64c52a5242027639d6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 17:54:14 +0200

    Build steam linux client as root

commit 7c205cbd4f50ee99a78d061e5958acc944967f4d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 17:09:46 +0200

    Adapt jobs to their correct images

commit dad496015e281000b371e16f4503c063f5c383ac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 17:09:13 +0200

    Correct standalone hash baking

commit 7d71bdcfdc808ea9e2283918b2ba59b8a0e8fb13
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 17:01:43 +0200

    Build and update images

commit a0cc17e9e83912f6da9896e96dc721618f829ded
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 17:00:21 +0200

    Ignore duplicate pgp import key errors

commit 4bc79330b45b23100725501a2473017e01e6188a
Merge: 04aa9e2f7 f5a03bb71
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 16:26:34 +0200

    Merge from legacy_0.2.8.3

commit f5a03bb711274041750a8b8e8b0403c802fcbcfa
Merge: 5221dbf79 be5a8c7a7
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 3 Oct 2023 14:13:00 +0000

    Merge branch 'legacy_0.2.8.3_ci_overhaul' into 'legacy_0.2.8.3'
    
    CI overhaul
    
    See merge request armagetronad/armagetronad!152

commit be5a8c7a71caab342dce7dc8de27b1aa988d1872
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 16:08:56 +0200

    Revert temp job runner changes

commit d8bc3fbd64ec406c19eddfae15ac39f11cf4c6a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 15:58:29 +0200

    Add experimental packages to permanent ones

commit 203e72d9223992e118e05daaefa3bcb8ad8c3b69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 15:27:51 +0200

    Postpone reformat to deploy stages
    
    It's not costy and can only be done with the armadeploy image,
    pandoc is not easy to install

commit ec978e205e392797fbded0895e2589cef2b321f1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 15:23:42 +0200

    Exit _all.sh scripts on failure

commit fa528685c2974610516f863ec7ea543417f899fb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 15:13:14 +0200

    Add docker service to post-test
    
    probably required on shared runners

commit 064d50d9fdf78f6d1abd3f245bf75ecdaef17436
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 14:55:45 +0200

    Reactivate armaroot_64
    
    We need it for testing, only it can provide docker
    Also, it is conveniently filled with stuff we need for administrative
    tasks

commit 053140a33744315310e2154f872cfe074715a135
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 14:17:55 +0200

    Add zip to wineblocks

commit 55050d4ebeb8276c366d21ee41178fdc0b9fd32a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 14:02:58 +0200

    Add make to wineblocks

commit 6c0d787e42a6b587146ece746051122bc7de35f4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 13:40:24 +0200

    Fully remove diagnostics

commit ef67bc45a1d6e177174fa77db9959eb213dbdc61
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 13:38:13 +0200

    Add git to wine image

commit d69cc4390d248e06c371d7ccab2de19520c01c7b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 12:47:56 +0200

    Drop diagnostics

commit 32328c39a27fea20ba0d0c12bba9f9c5fbfe0cf1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 12:42:01 +0200

    Update images

commit eea2d8a4191cb7cb8fce135516554a48f87525ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 12:31:56 +0200

    Only build armawineblocks if configuration changed
    
    Because of the variable X11 port, the usual docker/podman
    cache mechanism does not work.

commit 7b0ce61850dda896280b48c77a053be39374420b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 11:12:59 +0200

    Deploy as root as well

commit 512d4b0926726d9480b49dbb5e52ca145326e25c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 11:10:34 +0200

    Also do windows build as root inside the container

commit 2bb0c0f41808baa1bb6161547c71dbb6c66a6603
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:57:13 +0200

    Update wine, debian and deploy images
    
    Put image references all in one block of the yaml
    
    temp: activate all non-deployment jobs for merge requests for
    convenient testing

commit 619670e75b6c5253e1f433bff3d42599ce3ea0ba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:34:05 +0200

    Use correct 32 bit image

commit b77584e8516bea2eb77c0b700c5f429fc6cc37df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:20:51 +0200

    Solidify python3 inclusion

commit 862de596679ffcc4fca415820f468bbdff1ebd69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:18:34 +0200

    Allow parameters to upload_all
    
    passed on to ensure_image so "upload_all.sh -f" can be the one stop
    shop for image changes
    also, better distinction between podman and docker uploads by checking
    whether --digestfile is supported beforehand.

commit 26d4f22e1962c966a2e6c3378c9a10695617e671
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:16:37 +0200

    Fix running scripts with parameters

commit b101f22bdcd20d2341fcf3293b5f93dcd50e87ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 10:00:54 +0200

    Add python3

commit 5d58d4d61b5b3a828b493cee9b49a5921c8c67e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 09:50:15 +0200

    Do not activate build user
    
    Gitlab CI starts out as root. Oh well, it's still inside a container,
    right?

commit 3bec3a52cd27e61a3c05a71f8a18ed2bbd0bf7b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 09:34:50 +0200

    Diagnostic output

commit 7dc9c708344a7b4e31061b60f61768804243f9b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 09:28:53 +0200

    Add autoconf/automake to armabuild

commit 6ca89d421b6498280cfc5463572b6358e4ffe56e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 09:08:53 +0200

    We should no longer need armaroot and docker

commit b1ffd89f2112019618fbc7a641b047bf902ab6be
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 3 Oct 2023 01:16:16 +0200

    Add shortcut: build directly without docker
    
    when running in gitlab CI. Assumes we already are in the correct image.

commit 2557c67830da106bc4c647663ec2698bbc1a6c00
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 2 Oct 2023 21:57:47 +0200

    Avoid listing images twice

commit a807411b54b28ae1498057ae373811c9c3eade3a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 2 Oct 2023 21:54:06 +0200

    Add scropt to just do the baking

commit a772cafb7975ba16525ba88d11a78bd0688017e4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 2 Oct 2023 21:50:22 +0200

    Bake all image digests into gitlab CI

commit 0fa7c54035b9181ba2b1a3a0c4b9438fb916ae97
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 2 Oct 2023 19:48:42 +0200

    Quiet podman errors

commit bff6b3cdbb4df6207b46545378df2405ab75bbfd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 2 Oct 2023 19:48:09 +0200

    Use our own runners
    
    While we are experimenting

commit 2e81f0d2f652656ba60c911c039dfdd0440d44b0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 23:14:54 +0200

    Test individual images for jobs
    
    prepare for test of update from upload

commit a93bdd467f3bdf275ea25bee1a207c76c4c65219
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 23:07:02 +0200

    Bump epoch
    
    Images changed quite a bit, new base for steam, use
    podman for wine...

commit 67de847d8e32be7083d883383973df00ea61b94c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 22:45:54 +0200

    Export DISPLAY
    
    required now?

commit 93d032e6bfb1a2497cf51eacab48fd40e39598b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 22:45:37 +0200

    Streamline dockerfile

commit 658044a9635a63f11568c2043a282657f569cfbc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 22:09:29 +0200

    Restore test instructions
    
    add image tag
    wait for X window close

commit 6896064f55eb3d47a805eb9ea2c010dc6ddfdcfe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 19:29:15 +0200

    Auto-accept on any problems in 0install
    
    It has deterioated a bit, I'm afraid. Key servers produce internal
    errors. However, according to github changes, the project is not
    dead yet.

commit e15c925c33e80ccc85a663f184db2f13fbcf3578
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 19:18:07 +0200

    Directly use valve-provided imanges for steam
    
    Specifically, the Steam Runtime SDK

commit f6e1153e1427e4a1793f4b3288bad5235d1beec7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 1 Oct 2023 17:23:27 +0200

    Make podman redirection a function, not an alias
    
    TIL aliases do not work in noninteractive scripts.

commit df649a5c34f7855ad4fb57ec9b49059a33bc58fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 23:52:20 +0200

    Prefer podman for image builds

commit ab4ee42ddb6cfe1285dc01ec419513a748a33fe2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 23:52:12 +0200

    Cosmetics

commit 1bb7332a632a60e1564a7781f2f1a22a2644118c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 23:50:17 +0200

    Cull one build step for windows builder
    
    Do the interactive part now inside the dockerfile, after
    starting a suitable X server

commit 882733a452506db00dc4ba5f9504c932c8088327
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 23:42:07 +0200

    Add script to use podman when available
    
    Creates an alias. Needs to be sourced.

commit 4746e6dd62c999d25bffdcdf4418898bb214afa8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 13:59:39 +0200

    Add resource group to serialize deployments
    
    Ok, so we only have one deployment runner, so only one job can
    run at any one time anyway, but maybe that will change sometime?

commit 04aa9e2f721ea82fc0ce691961cb7a1a9af77d9a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 30 Sep 2023 00:15:32 +0200

    Add 'make steam_guard' for painless steam guard
    
    Requires deploy/secrets/steamuser.sh
    Runs mostly automatically. Logs in to steam, fails, prompts
    for guard code, logs in with it, uploads config.vdf to
    deployment server.

commit 0560c0b2ce3c5ebef0d77d55cf7f0d4d6fb2ce44
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 21:08:44 +0200

    Adapt names of release environments

commit b8bb54d7fd028e7aeb78bdec5d7945aecee2d74b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 21:05:44 +0200

    Apply pipeline improvements on 0.2.9
    
    Use templates; avoid explicit tags and rules
    Don't use dependencies when you have needs

commit b1439d1a2262dd50745ec8e3e4acb7935285a22a
Merge: 571642aa5 5221dbf79
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 20:53:37 +0200

    Merge from legacy_0.2.8.3

commit 5221dbf798b1d9b5e08618b696245a5b21244e7c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 20:49:19 +0200

    Snake case

commit 75037569ba43db92487f53fb747cdc3951319f93
Merge: e51d69352 6936e7255
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri, 29 Sep 2023 18:00:24 +0000

    Merge branch 'legacy_0.2.8.3_simplify_deployment' into 'legacy_0.2.8.3'
    
    Simplify pipeline
    
    See merge request armagetronad/armagetronad!151

commit 6936e7255a56d69038b3ff5db47c7ecd795c7959
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 19:56:12 +0200

    Remove redundant dependencies
    
    needs have them covered

commit 9633f3bf69feb73dcec0853dee69883265a23ba3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 19:51:01 +0200

    Add and use deployment template, simplify delay
    
    We no longer need a special rule to manually trigger final deployment,
    the protected environments do that for us

commit e51d69352ebbb9e6b673341c05f97e9505e98248
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 06:25:23 +0200

    Also add tags to shared runner capable task, we need linux
    
    and docker, at least for now

commit a0c183b7bf439f1d09fb65327e1b272213d6a17c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 06:12:00 +0200

    Add linux tag so tasks do not accidentally run on the mac

commit 3fbd4ee447b23e3caf5125fe66d7a7b434d63c28
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 29 Sep 2023 00:07:01 +0200

    Better environment names
    
    just 'testing_branchname' for branch builds,
    staging_x/production_x for tag builds

commit bb2886418cde097dceb55c2904e957c50def047a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 23:57:33 +0200

    Forgot one broken dynamic tag

commit 8f85e3fa264eed717d6e844206033bfd71e017de
Merge: 868f4a8f7 88b58133b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 28 Sep 2023 21:55:07 +0000

    Merge branch 'pipelines_save_quota' into 'legacy_0.2.8.3'
    
    CI post-cleanup fixes
    
    See merge request armagetronad/armagetronad!150

commit 88b58133ba2e8a4a3fd1449c7ba7e27d8b04a4e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 23:33:03 +0200

    Give up on dynamic tags

commit ec6b737206ccec06948eca2b1b6e1c16e62f1cfa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 23:45:55 +0200

    Correct environment names

commit 868f4a8f7d111d064d2d68053a93d1238f7b9a2d
Merge: b64c3e9af 4fa983f40
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 28 Sep 2023 21:04:08 +0000

    Merge branch 'pipelines_save_quota' into 'legacy_0.2.8.3'
    
    Cleanup CI
    
    See merge request armagetronad/armagetronad!149

commit 4fa983f4032fc0294096b0d603d2525709a36662
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 23:00:06 +0200

    Configure retries

commit 5099294d6f4791fda6e708649236bf5ae5fd3df4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 22:47:31 +0200

    Add deployment environments

commit b367340a09a5db560f17c4c8ac99fe424b44e6f3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 22:23:10 +0200

    Test if there is a downside to building the client directly

commit 6bab2d538bf4d36e1829ac24f720437015be0248
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 22:14:37 +0200

    Simplify .merge_request template

commit 6ce80b4ad585627ef0c7812e2617677b072df58a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 22:04:00 +0200

    Workflow: Only run on merge requests or protected branches

commit de48ecc555473759ef6a912987640567ef57afa1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 28 Sep 2023 19:57:12 +0200

    Use job templates to cut down on repetition
    
    Have most jobs only run on protected project branches, doing
    basic client/server compilation should be enough for MRs.

commit 571642aa5c2f0691400955c01cf6bd06b9ce4b4c
Merge: 00ca1d3ce b64c3e9af
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 27 Sep 2023 22:32:46 +0200

    Merge from legacy_0.2.8.3

commit b64c3e9af0ca7bf745311a339a3a1a5e827551b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 27 Sep 2023 21:44:27 +0200

    Unify tests, they mow all require our runners

commit 00ca1d3cec5a910cca405bd3d02cb9fc8d3e8552
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 27 Sep 2023 20:04:33 +0200

    Do not run docker build for merge requests
    
    They would get stuck anyway for lack of runners.

commit 61d15747a89fccd7aefcf28227b5b5bf21d45fe9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 27 Sep 2023 20:02:11 +0200

    Restrict docker builds to our own runners
    
    Seems like just requiring docker is not enough. Got to look
    into that sometime.

commit e85f1d9b85eff6c9339874188f8cf32bf625dd80
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 27 Sep 2023 19:45:37 +0200

    Add docker tag to docker jobs

commit cdde3b2082b44bd91c66b7e9b8a8af0b92cb2063
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 25 Sep 2023 20:00:12 +0200

    Mac compatibility of debug build restored
    
    On the mac, $0 does not follow symlinks. Therefore, we need to
    go up either one or two levels in the direcory tree to find
    the build directory.

commit 18733bc5e3015b25c5f6be709bdb871d2f7e34ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 24 Sep 2023 23:50:09 +0200

    Redo allowing to run debug/dev builds from anywhere

commit 8c801d6516c1e5af695f813e6f69b606eda62c64
Merge: ec92e5dbc 52083f740
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 23 Sep 2023 00:47:39 +0200

    Merge from legacy_0.2.8.3

commit 52083f740b4ad9840e38dec56fda745fe55e8011
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 22 Sep 2023 19:45:58 +0200

    Add hypthetical clang-format options, all disabled for now

commit cfb6503dbc431bca6db5e0d42aab1a099e1f542f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 22 Sep 2023 18:40:54 +0200

    Do not mess with line breaks unless you have to

commit bedb9e93b99bd56b5ee2d84eef2b9328a2ef32d4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 22 Sep 2023 18:26:25 +0200

    Add pre-commit configuration
    
    An easier and better way to get clang-format to run on changes

commit ec92e5dbce509f99a5bb17626bc80e2622a2b4b1
Merge: aa0438ac2 e6ffed758 568a186d1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 21 Sep 2023 23:56:10 +0200

    Merge from legacy_0.2.8.3 and release_0.2.9

commit e6ffed758311df196379cc1cd8011921e504a3ad
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 21 Sep 2023 23:36:53 +0200

    Add docu on how to add a pre-commit format hook

commit 7d154640c93b91d9a0e99a6f7b834313b703f95a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 21 Sep 2023 19:22:14 +0200

    Add editorconfig file
    
    We have different tab/spaces rules (tabs for xml and makefiles)
    and different encodings  (latin1 for European languages, utf8 for the rest).
    Also, we want to make it clear that line endings are unix-style,
    hoping the Windows editors people use respect the setting.

commit c3575a2616240e3dd1a427792722cd717cfaa99e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 21 Sep 2023 19:21:30 +0200

    Merge changes done on the mac side

commit 03771adc4182636fdb09f12996f5da2e40a9c08a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Sep 2023 23:46:14 +0200

    Remove flag that no longer exists

commit 1d6e58d9464f3dcf1df185772bc7377996f49e21
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Sep 2023 23:44:16 +0200

    Modify clang-format settings to match source
    
    as far as possible; clang-format is all-or-nothing and
    the practically used styles are not very consistent

commit 6c5e096a18d7d59c34ad610854b6159a3675c774
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Sep 2023 22:57:33 +0200

    Change AccessModifierOffset
    
    to get the in-class indentation we want

commit bfbf769e585726aa52e2f4adb7effa6be2b57303
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Sep 2023 16:26:03 +0200

    Add clang-format configuration
    
    There can be no perfect match to astyle or whatever we were
    doing, but this is a start

commit 2aa40e298a0235531cfb427efeae40ed704dd26e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 9 Sep 2023 12:41:03 +0200

    Add files purely for clangd linting
    
    It is not currently possible to read true compilation for use with linters,
    so these two files give us at least some basics.

commit aa0438ac267e9b726b18f56636d79297de6b136f
Merge: 05d232f89 1bff8b569
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 10:17:11 +0200

    Merge from legacy_0.2.8.3

commit 1bff8b5697b10ec177a292a98009734bdec4d27f
Merge: f01760cd7 0e5637795
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 10:15:04 +0200

    Merge from release_0.2.8.3

commit 0e56377959fddb87918ec0954f453f3e05708757
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 09:59:21 +0200

    Use debian oldoldstable tag to fetch the oldest LTS build

commit a0bed2d908bd2177069e1a53b397dc64f5e0efd8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Nov 2021 23:57:25 +0100

    Switch to dynamically using the latest images for testing
    
    instead of hardcoding the last known values.
    Have them pulled each time so we don't get stuck by accident.
    (We can always freeze the version if we can no longer support true latest)
    
    Cherry-picked from legacy_0.2.9 74d593383f3b26587cd9235cfb906ca959096e38

commit 568a186d1c89e08f9a144631bbcc6bf901504203
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 09:06:14 +0200

    Add reason for 0.2.9.1.1 release

commit f01760cd7abf31a691e078172b38f532d8a5f93c
Merge: b833054e0 fdee9c7cd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 08:50:47 +0200

    Merge from beta_0.2.8.3

commit fdee9c7cd749156e7ad2de3e671db95ae145ca1c
Merge: a62e41185 18d26ee78
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 08:48:25 +0200

    Merge from release_0.2.8.3

commit 05d232f894f3d5e19ab4b2246356eb0956b171ae
Merge: 21ce1c1eb 1213672c4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 00:50:02 +0200

    Merge from release_0.2.9

commit 21ce1c1ebd6a5c787a3ddaeb3b5c7454c0b87511
Merge: 032aa1e49 b833054e0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 00:48:09 +0200

    Merge from legacy_0.2.8.3

commit 1213672c406855e7f1f7bd5e55df253fdc808e13
Merge: 3c90903ac 18d26ee78
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 00:13:21 +0200

    Merge from release_0.2.8.3

commit 3c90903ac892c49fe078f7a8bf17f5df85246c92
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Aug 2023 00:09:09 +0200

    Adapt to new way steam pins steam guard
    
    Taken from documentation of https://github.com/game-ci/steam-deploy

commit af7e15985b305481b5dd2a39d6d4794e029475bc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 22:37:11 +0200

    Itch: Download butler with -k
    
    The old deployment images do not recognize the certificate as legitimate.
    Try to remember to revert this if we upgrade the images.

commit 18d26ee788ab0226c68984eacc5ae5a66d9e744c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 23:24:37 +0200

    Ignore tags that trigger version.parse exceptions

commit f64271b1012c9c0639641dd5b838814305529fbc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 18:21:48 +0200

    Add Ubuntu Mantic
    
    Upcoming release, start building for it as soon as that becomes available

commit 5ee2b60390a146f51ce4b2f8f2fadd03522703bd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 18:18:17 +0200

    Remove ppa upload to Kinetic
    
    it just went out of support.

commit 67ae57948a85556c7d9ad421d97401541229e5fc
Merge: 0829d9959 c5ecbcd6c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 17:25:43 +0200

    Merge from relase_0.2.8.3

commit b833054e020cf142ba90f05a2dfb7b079b2be6ca
Merge: d835d3390 c5ecbcd6c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 17:23:29 +0200

    Merge from release_0.2.8.3

commit c5ecbcd6c7ef2b83bf2bdb6fc91e636f6cfa434c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 16:27:00 +0200

    Update PPA deployment
    
    to currently active Ubuntu releases
    
    Old non-ppa releases impish and hirsute go out,
    new non-ppa releases lunar and kinetic and ppa jammy come in.

commit 0829d99595c49d428680fe56bf05b63ee6bcd228
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 16:19:22 +0200

    Fix dedicated server compilation

commit 7171696ad1b05bd1e0d0e2524500b6c52c91927d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Aug 2023 15:33:25 +0200

    Work around crash in sdl12-compat
    when trying to load sound files that do not exist.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/131

commit 032aa1e49481efe55e4271473dec64a4b3dff2d4
Merge: 6e3277389 d835d3390
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 22 Jun 2023 10:09:33 +0200

    Merge from 0.2.8.3

commit d835d339005bd36c6dcf3c001c58ecfd57d04312
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 22 Jun 2023 10:06:03 +0200

    Correct "various http -> https replacements"
    
    The German and Polish texts were borked.
    Add some more replacements.
    
    This parly reverts commit da4e190df49e1a40c3849489a737e8ff45954d51.

commit da4e190df49e1a40c3849489a737e8ff45954d51
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 Jun 2023 16:37:56 +0200

    various http -> https replacements

commit 6e32773891c4ec351fb80d8931ca9fbff045e1d0
Merge: a78d33eb0 974ea02bd
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 6 Mar 2023 20:00:47 +0000

    Merge branch 'legacy_0.2.9_alpha_assert_removal' into 'legacy_0.2.9'
    
    Alpha calculation: Clamp, do not assert
    
    See merge request armagetronad/armagetronad!146

commit 974ea02bd10a12ccc658e0b2c07bb4f600739fe1
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 6 Mar 2023 20:00:46 +0000

    Alpha calculation: Clamp, do not assert

commit a78d33eb0f6cf9a9f7f54b7966c4a3ad52aa8dac
Merge: 60923122d 26ee944a6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Oct 2022 20:49:32 +0200

    Merge from 0.2.8.3

commit 26ee944a6d15288377b2e674b60288b7b6a9e263
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Oct 2022 19:27:39 +0200

    Correctly use len_ratio instead of len_mult
    
    Actually reading the docs, len_mult is for calculating the allocated
    length, while len_ratio is for the actual amount of data.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/130
    properly

commit 99dc3d1b1e14183a4037e7e2b73e28d337dcee3a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Oct 2022 19:13:34 +0200

    Reenable native support for 8 bit unsigned audio
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/130
    at least for our included 8 bit sounds, good enough for this branch

commit 60923122df10761f71fec4920888deedd4fdd1d0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 8 Oct 2022 21:35:27 +0200

    Change screenshot URIs to https

commit d387517367e01402f494aa9cffddada3596d80b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 11 Sep 2022 17:21:35 +0200

    Update default alpine version
    
    The previous 3.12 fell out of support.

commit f8a1d8f3df738ca4fa81a87ca0af8f6cd3e6297c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 6 Sep 2022 23:00:41 +0200

    Ok, deploy for rc and stable builds

commit c7c36cf57e58010b3c24defecfd8c0742799788f
Merge: ae73a0d98 ab4bd3f5a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 6 Sep 2022 22:58:32 +0200

    Merge from legacy_0.2.8.3

commit ae73a0d98a8e3691bec62fab8bdda42bd36ba73d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 6 Sep 2022 22:57:31 +0200

    Only publish to gitlab for stable builds

commit ab4bd3f5aab7189d977d56a6c2c76b9a45c70dfd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 6 Sep 2022 21:45:10 +0200

    Make artifacts expire faster

commit fe96bccd4bc955da4a3896b2e9edbad894d34fab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Aug 2022 00:10:01 +0200

    Completely fix merge conflicts

commit 1867f7bac601b52229bedbe2cb86a32e5268aeb0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 8 Aug 2022 23:25:49 +0200

    Fix leftover merge conflicts

commit 8ee4ff246d3027285236942ffa9d3b3b05e5a908
Merge: f64ac2ee2 852c11667
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 8 Aug 2022 22:52:13 +0200

    Merge from legacy_0.2.8.3

commit 852c11667fe1c4f5d37dc1ed07131c250c1fef8b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 8 Aug 2022 22:17:56 +0200

    freenode -> oftc

commit cf2d69bad394c6a973c8da57d2da7ea8df96847a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Aug 2022 16:26:51 +0200

    Don't log passwords

commit fb38936175d17a3ace79a81be82b2cdf24ca6ef5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Aug 2022 16:18:00 +0200

    If available, use notarytool
    
    to notarize app bundle. altool is deprecated and will stop working
    sometime. We'll wait with upgrading the build system to keep builds
    compatible with old macOS versions for as long as possible.

commit 80e22e3751a52e5d7ff609733d112b5f7f0f58b9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Aug 2022 14:14:21 +0200

    Increase exception safety of recursionCount
    
    No exceptions were ever to be expected here (all caught before
    they arrive), but if one got through, recursionCount would
    not get reset.

commit 65afa2f65a8c55df75b97aa98eea6df1f7526d2e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Aug 2022 12:06:00 +0200

    Remove obsolete Ubuntu release 'impish'

commit f64ac2ee2907ebcd0066314ee806e841a0bb6946
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 15:17:39 +0200

    Remove odd check for MAXCLIENTS+2
    
    it was confusing the static analyzer, making it think that value
    was a real possibility, and considering a later array access as
    possibly out of bounds.
    Add a generic bound check at the beginning of the function instead.

commit 33452f72048c2df9f9dee762e616ab8652a7a186
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 15:02:22 +0200

    Simplify removal a lot, fix bind2nd warning

commit 79a6bdcc1e0782e4547e0069c9cc7180b554a59a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 14:50:08 +0200

    When a new menu item is selected, instruct it to not show help
    
    Mainly for the server browser, where the DisplayHelp function just
    stores the help display state for use in the *next* frame

commit cf48dc3f4a757f73d9e11fa1faa085189274be8e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 14:44:11 +0200

    Fix compile error and warning

commit 47d5453b233ea0bb5eff056e59ec8e787060f852
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 14:26:33 +0200

    Fix line endings to be unix-style
    
    Oh dear, why was gServerBrowser.cpp Windows-Style?

commit c25e341240a5027f0c30619190068285f44665e5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 14:13:13 +0200

    Avoid late menu scrolling as oversized help comes into view
    
    Take server browser help text size into account right away
    by always displaying it (with alpha=0 if it should be invisible)

commit d2dd0a76583dd354afd827b7e05e58c07f42ccb4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 12 Jun 2022 13:59:36 +0200

    Sligtly improved menu scrolling
    
    For regular performing PCs, the exponential falloff of the
    menu position gets replaced by simple braking with constant
    decelleration once we get close to the target position, using
    weird math (the exponential decay DE is y' = -y, the one used
    to get to constant decelleration is y' = -sqrt(y)).
    
    For low FPS scenarios, we just snap hard to the target position.

commit 4a8543bd85c5d6ec80f6a3df18e294468ae3569f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 May 2022 14:10:20 +0200

    Bake version into steam macOS executable name

commit 8c2d030bdfb011e6f3fa8cfb30d949392ab5c721
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 May 2022 12:53:18 +0200

    Add forgotten .app suffix

commit 1776b857648a566e2e0f60000ba483f6df6ad8f4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 May 2022 12:16:41 +0200

    Itch: Give app bundle a unique name each build
    
    Hypothesis: The sponaneous breakage of updated app bundles comes from
    corrupted signature states during the update process
    Giving the app bundle a unique name should see it rebuilt from scratch
    every update, effectively doning a full reinstall every time.
    This should prevent the breakage, probably at the cost of download
    volume savings from delta compression.

commit 16e3b82c0064560efee326b604680b0f0235937b
Merge: 1d5430b99 54d8fc9aa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 17:01:58 +0200

    Merge from legacy_0.2.8.3

commit 1d5430b99310bebfd2bbe5009644a47947ab7d01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 16:42:46 +0200

    Don't touch mac builds that may not be there
    
    in PR test builds, for example.

commit 54d8fc9aae4aaefe7c19d2900d2cc3ff0d72d2f9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 01:20:39 +0200

    Use "Library/Application Support/TITLE" on macOS
    
    instead of unixy ~/.NAME. Should fix itch.io sandbox.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/125

commit 456244e64123e19f29372153ff41a6d1abc9dc46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 07:57:15 +0200

    Revert "What do Steam and Itch.io do with unsigned code?"
    
    They don't complain, but the borked incremental update problem seems to persist.
    
    This reverts commit 2defabd021fa6e53017aa6c6620c0ab688f10748.

commit 2defabd021fa6e53017aa6c6620c0ab688f10748
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 07:22:24 +0200

    What do Steam and Itch.io do with unsigned code?

commit c08e0fc3612c2b88138c62086c597b7b6e18087b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 28 May 2022 01:20:39 +0200

    Use "Library/Application Support/TITLE" on macOS
    
    instead of unixy ~/.NAME. Should fix itch.io sandbox.

commit 28727d28bfb8e3e659d9a794c09c82a008dbbff2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 20:17:41 +0200

    Make macOS builds idempotent
    
    Rerunning individual steps no longer fails

commit dd267711862c3882bba4fc680dfca420555dffee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 17:35:09 +0200

    Use variable for configure script

commit d3a7311b6dab38ce380a26a4e392f651416ad373
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 17:24:33 +0200

    Order change for efficienty

commit 206e561ab227b339e2255a102302bbfc92eca1bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 17:06:25 +0200

    Optimize macOS bundle, sign, staple and pack
    
    First build, bundle and sign everything and send it off to notarization
    Wait for stapling, then pack into dmg and zip, all serialized

commit c8cd62bc73f042ce756960999ea4d44c9a14a924
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 15:47:50 +0200

    Don't publish steam builds over zeroinstall

commit a7aa5717051675615bfdb363b5517122d94a8abd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 15:00:29 +0200

    Use proper branded internal name for Steam macOS
    
    Just rename the outer app bundle to 'Retrocycles.app' to please Steam's
    single launch option.
    
    Also, remove build interdependences.

commit 9fcaaf48d79bfb2325d1a3c8dfd4b81318f40cc2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 13:11:22 +0200

    Use correct build for macOS Steam

commit e7a08f03138c712ac442a44cd8c31c25caf56eb9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 09:16:18 +0200

    Upload all xml zeroinstall files
    
    instead of only the changed ones. 0publish is badly broken and won't
    work any more on any of my development machines, so I can't run the
    upload script any more after manual edits.

commit 727c5dbb0f9bbd5b8f0cde619f8fdb98c8303985
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 00:50:14 +0200

    Steam deployment depends on all steamdirs

commit dc65b73c34fe3831f0ab603c86ba8be89b11feaa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 27 May 2022 00:01:40 +0200

    Add macOS to steam distribution

commit cce155227f3b0078b49190a268548cbaf5638604
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 23:53:58 +0200

    Create macOS steam dir

commit afd08a2552e1711a129502eb632631cb7e26d50d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 23:42:30 +0200

    Fill CI_RELEASE_YEAR from current year
    
    if we have no other source

commit 9b99ded45b39165e7051d7c2fdc3c69a759473b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 22:51:23 +0200

    Edit correct makefile for Steam title substitution
    
    Fixes tile screen for macOS and Linux Steam builds

commit 0470f6b4eefb244fbe010f789b135a1c52b7a11c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 22:38:53 +0200

    Fix macOS 0install executable path for server

commit 29eed826f685913b50a8e9f565c505d880bca0f9
Merge: 00ab6968a 48731c8ba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 20:23:39 +0200

    Merge from legacy_0.2.8.3

commit 48731c8ba8a68d24078bef1d1f465a771a47d277
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 20:22:42 +0200

    Correct syntax for no dependencies

commit 3efc7b33dd07df37f618423ec291c9ac60df272c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 20:17:49 +0200

    Try and build macOS without any preparation
    
    Differences between the unix stuff and macOS configuration trip up the
    build, this breaks steam later

commit 00ab6968a87cccc2b09d79472186dfc6e6f4d821
Merge: dc399c43d a3326fbdd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 19:26:57 +0200

    Merge from legacy_0.2.8.3

commit a3326fbdd49b30dbba1f91a1c856d4935671a5c3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 19:26:24 +0200

    Repair mac steam build

commit 5a480103aa1a5ddab6f7ac9b1cd9c1987ce4206d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 19:25:32 +0200

    Fix arugment forwarding

commit 38cfd91ecb03254026042d1f4bd47dd9355fb1bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 18:45:16 +0200

    Revert accidental signature disabling

commit dc399c43d397dcf486c57497db62f84c62fc2479
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 18:16:56 +0200

    Activate steam build on macOS

commit 0e9351fbaced7532fcddf6fcc2f5159e88e9dc43
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 17:59:59 +0200

    Update macOS zeroinstall streams

commit fefa36ff863bb0822b2bae740326bbe359adae6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 17:59:27 +0200

    prevent errors if ssh directory does not yet exist

commit fb11d4d8b382dc66c69cb3a483db096ed9877e47
Merge: 09ee0a112 a72763afa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 16:44:03 +0200

    Merge from legacy_0.2.8.3

commit a72763afa5056c88fc135348aecedca5a0fa9ce2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 16:43:36 +0200

    Mac ZIP names now contain -client- and -server-
    
    like the Windows zip and linux binary tarball

commit 09ee0a1126d05925f0718b37f70e80d8428740fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 16:42:34 +0200

    Adapt to incoming macOS zip name change

commit 8776bb9115ac4c8ae4613aa0b79fae2910073301
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 16:04:00 +0200

    Add macOS deployment on itch.io

commit 70b92b1d2cc48e90540aace6ab502feef4a33456
Merge: 048707ec8 3de8bad50
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 00:54:11 +0200

    Merge from legacy_0.2.8.3

commit 3de8bad50157481ebdd26dbfca71a4ca44840aff
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 00:15:02 +0200

    Remove plain unversioned zip

commit d9b4afc2ef27a37885f6822c262e66a241178b41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 26 May 2022 00:10:36 +0200

    Distribute a stapled version of the app bundle zip

commit 6f37fce055d5a94ddac0b63ab1aaf5f9e7113848
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 25 May 2022 23:45:03 +0200

    Sign, notarize and staple app bundle
    
    not just the disk image

commit 048707ec81b0b16825c36e7bbe1c8ee36d66a4ec
Merge: da943ea71 1e0817bad
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 22:01:59 +0200

    Merge macOS signing from legacy_0.2.8.3

commit 1e0817bad478ad3310d84be4e0a0c5d20c4f58f5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 22:01:26 +0200

    Unique bundle ids for different builds

commit 573a26480b6b47813523b366bc02d8a4e6a44118
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 18:50:13 +0200

    Put localized strings into the correct place

commit 8e5179150e7c6cc91b1f08f8d11eec7be2d70790
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 18:41:18 +0200

    Disable test quarantine

commit 65bfa73168e976a3cbf2fa775312d38f80c71020
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 18:37:46 +0200

    Put icon into the correct place

commit 2ee18991cfa1d331b3ed8c5aab19ebc7d0421bdc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 May 2022 18:08:42 +0200

    Outsource correct bundle configuration
    
    into configure_for_bundle.sh, a script that can be called outside of CI

commit c974ba2e653cc2eb905534921873232d732a4b02
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 23:45:27 +0200

    Correct library search path
    
    and remove dead code

commit 45cdf131e6c84fa2468af8d391a52a4808b280cc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 23:31:38 +0200

    Set directories for proper App Bundle structure

commit a40169732e8620cec32135f3b755fbe12a37a77b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 23:31:06 +0200

    Respect bindir and libdir
    
    together with the right configure arguments (Prefix=/Contents,
    Bindir=/Contents/MacOS,
    Libdir=/Contents/Frameworks,
    Datadir=/Contents/Resources)
    this creates the proper App Bundle structure.

commit b9649253715d1361ab3bf59cb4751fa1ff9e7175
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 22:18:33 +0200

    Try and pass in some app ID

commit 57f7106d4c8b5d0efbb2eb69100a5ffb0e482f10
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 21:57:11 +0200

    More tests

commit 220f32b95730a45480a556218edefb93035e2f0c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 19:42:30 +0200

    Randomly change signing around
    
    At least it seems we now have a good validity check

commit ba05d87f366f19f6b66ab2ab1d1ce988fb8a702a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 14:56:27 +0200

    Revert "Test: Skip notarization"
    
    The reason the app bundle is marked as "damaged" does not mean it is broken,
    just that Apple does not like it.

commit 8e2bcc6f04ff58eeee9bc17dc79e776a5a353cc0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 13:37:38 +0200

    Test: Skip notarization

commit 56c113e1c76db0933a82dcd99a650009e2c84da2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 10:46:37 +0200

    Log unlocking of keychain

commit d65990670685ea9d4817417d75b07062f2fe207f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 10:38:43 +0200

    Do not log passwords, sheesh

commit 7a5f596cbccf2edbf04c77311951180ccf0edcd2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 09:50:24 +0200

    Give notarization some more time

commit 458c9dd40261d0b7198db393ed22649c2fcf40e9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 May 2022 09:44:17 +0200

    Unlock keychain

commit 36e40d4c3e07874228e44a8b7f87750074576a3b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 23:48:37 +0200

    Really disable password dumping
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/89
    (Well, all the previous commits and builder changes really do that)

commit b2a902817a21991ef82e1c5a58f597593c06c02e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 22:58:54 +0200

    Fix server packaging

commit 5ad179fbf80d7d03d0929f6fe7a8f94441bc5f63
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 22:49:22 +0200

    Only look for xcode if we need it

commit da425b57514194b4126f0e574fb1bf7ab2c89294
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 18:12:32 +0200

    Check post-staple state

commit 4e1bb24ed6a72440512de22fa972c1a56975daa6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 18:10:23 +0200

    Use hardened runtime, staple

commit 23ce14fb88669024d74fffcdf20110ddbd53d769
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 17:51:10 +0200

    Sign and notarize macOS build

commit 2ec9d1bdd61347da50d5c86b5b3c6634bb577b5e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 12:28:15 +0200

    Add upcoming Ubuntu 22.10 (Kinetic Kudu) to PPA deployment

commit da943ea7162b0693c93fb9106f34730e93942eef
Merge: a3a4b8461 39e22583e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 11:30:56 +0200

    Merge from legacy_0.2.8.3

commit 39e22583ea37b65181c2b5832324dc62c1902306
Merge: c9c3aab3e a62e41185
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 11:28:29 +0200

    Merge from beta_0.2.8.3

commit a62e411854b428c3628eaa940494aa991f202cb4
Merge: c35583291 5a18dbb50
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 11:22:15 +0200

    Merge from release_0.2.8.3

commit 5a18dbb50d295b80e3825c239553a1a1f6702399
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 21 May 2022 11:19:19 +0200

    Update anonymous test key to never expire

commit a3a4b846113d5469ec5704bc37194e58469636a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 20 May 2022 22:21:17 +0200

    German corrections and layout improvements
    
    Submitted by Goose from the forums

commit c9c3aab3e4b701d1d3c0a128a1ab1b9021474878
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 25 Apr 2022 19:41:23 +0200

    Remove Ubuntu Hirsute from deployment list, it fell out of support

commit f3a4abf3700303df9b319e739f7364300003b02b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Apr 2022 14:04:53 +0200

    Disable cute intinity trick for rim walls for everyone
    
    There were too many exceptions when it would simply not work.
    Not worth it.

commit 1004b89a788e1e8a34be68a2209b2cab2c062ed6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Apr 2022 13:59:52 +0200

    Disable custom memory manager in default debug mode
    
    Selfish reason: It broke for me.

commit 1440619bc5a4d2b93dbadd29a4f867caba4d0a15
Merge: a6a469ae7 63b89367d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Jan 2022 19:13:09 +0100

    Merge from 0.2.8.3

commit 63b89367d55f315e48b64883da42f37fc2e5a89f
Merge: d6cd8bc8d efcc4eaad
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 23 Jan 2022 18:03:49 +0000

    Merge branch 'legacy_0.2.8.3_split_post_test' into 'legacy_0.2.8.3'
    
    split post test
    
    See merge request armagetronad/armagetronad!144

commit efcc4eaad76601e1671b04aab617ebf17681c1b4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Jan 2022 18:47:08 +0100

    Split post_test job
    
    Docker based test of the appimage distribution does not work for GitLab's
    docker builders on ubuntu-latest. Split it off, make it not run for
    merge request test builds.

commit d6cd8bc8db763244f5d727fb4d2e4de4f2127e02
Merge: c286568a3 0f7e53237
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 23 Jan 2022 17:30:47 +0000

    Directly use autoconf provided directories
    
    See merge request armagetronad/armagetronad!143

commit 0f7e532370c54da7892ff4d74c28ee3687845f7f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Jan 2022 18:14:58 +0100

    Directly use autoconf provied directories
    
    instead of trying to build strange stuff with sed from less useful
    variables.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/119

commit 614b1080926acee6468b0f1836fab219e749686c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Jan 2022 17:55:37 +0100

    git-ignore in-source build files

commit a6a469ae761a790f2e90b6648c1e779a0646e201
Merge: 94086cd62 75103a64b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 23 Jan 2022 16:20:23 +0000

    Switch to std::isfinite
    
    See merge request armagetronad/armagetronad!142

commit 75103a64b8946416afe7f5e03d8a93a008ac1f52
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Jan 2022 17:03:17 +0100

    Switch std::isfinite
    
    instead of plain C finite (later isfinite, which is better)
    or _finite on Windows.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/120

commit 94086cd629e9adb5c00f91696758f4834e7fd85d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 28 Nov 2021 20:33:58 +0100

    This bitshift was no error, revert.

commit 37d89124ddd2913647c6e1dbb4836a96224f0898
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 28 Nov 2021 19:58:32 +0100

    Fix off by one bitshift errors
    
    They caused saturation clamping to do the wrong thing, leading
    to a lot of audio crackling when a lot of loud sounds were mixed.
    
    Cherry-picked from trunk.

commit c996036970f0d7bd695a07d8b1eb633c65ed72e7
Merge: 4f279f1e7 c286568a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Nov 2021 22:48:46 +0100

    Merge from 0.2.8.3

commit c286568a35dcc06cb376c37fe76c0f4439418726
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Nov 2021 22:46:29 +0100

    Add one more header to realloc-users
    
    Fixes recent macOS compilation on 0.2.9

commit 4f279f1e768b86095368ff7298e2bebee49ade2a
Merge: 70e65be5c 78b2f2553
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Nov 2021 21:55:40 +0100

    Merge from 0.2.8.3

commit 78b2f25536f6b424bfe4956a3da2efab7bfed025
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 18 Nov 2021 19:04:08 +0100

    Only delay non-protected branch builds
    
    That should be enough to not have them block important builds,
    and the 'drop outdated builds' feature is going to do some culling.

commit 70e65be5c9bc531a4a41cf0e3d6d0d991bb7ad16
Merge: f1a258f6c 66d77f6ed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Nov 2021 23:31:07 +0100

    Merge from 0.2.8.3

commit 66d77f6eda79b4241ddabf9919ee6cc4bd76d7ae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 15 Nov 2021 23:09:21 +0100

    Add Ubuntu rolling to standard tests

commit 74d593383f3b26587cd9235cfb906ca959096e38
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Nov 2021 23:57:25 +0100

    Switch to dynamically using the latest images for testing
    
    instead of hardcoding the last known values.
    Have them pulled each time so we don't get stuck by accident.
    (We can always freeze the version if we can no longer support true latest)

commit 59acd5ceaebdad2337e83b23d22ad4d7c502d642
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Nov 2021 11:11:13 +0100

    Put pipeline on manual for dev branches
    
    Motivation: Save runner time. MRs already do test builds, there
    is usually no need to do an extra build on push to the source branch.

commit f1a258f6c3f1a3d869866ad34ac6085c849b6c13
Merge: f4aab7d1e 0c4687dbb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Nov 2021 10:20:14 +0100

    Merge from legacy_0.2.8.3

commit 0c4687dbb7d224507b50af4ed05024a4a8200c05
Merge: 8ed711bcf cd7e10991
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri, 12 Nov 2021 21:28:04 +0000

    Merge branch 'legacy_0.2.8.3-invuln' into 'legacy_0.2.8.3'
    
    Slightly better invulnerability bug handling
    
    See merge request armagetronad/armagetronad!132

commit cd7e1099149684cd190941423df7ff5494d582f1
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Fri, 12 Nov 2021 10:10:57 -0500

    Slightly better invulnerability bug handling
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/111

commit 8ed711bcf1bd52d803bf0321f6a2c662c7ae1994
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Nov 2021 21:05:47 +0100

    Rewrite tConfItemLine::WriteVal to add escape characters
    
    for everything that can be escaped (quotes, backslashes, spaces,...)
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/110

commit f4aab7d1ef9205d64a4f975e8b7812f64ad5af2d
Merge: d30b2c8cf 0e53c709a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 3 Nov 2021 09:09:21 +0100

    Merge from legacy_0.2.8.3

commit 0e53c709a4269ed8b89962db80ed914ca5dca78a
Merge: 80341b221 c35583291
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 3 Nov 2021 08:42:45 +0100

    Merge from beta_0.2.8.3

commit 80341b221b4a0a2601b62be6ce08d35612edb3ba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 3 Nov 2021 08:31:44 +0100

    Merge in recent debian changes
    
    remove dh-systemd in general, re-add it for trusty and xenial
    in patches

commit 79bbafd92c78fc40bb06a7a366191ec14f03694c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 6 Jul 2020 17:46:39 +0200

    Embed debian build definitions
    
    in docker/build/context/debian instead of pulling them from doomed
    dailydeb repository
    
    Cherry-pick from 0.2.9

commit c355832914136079f6abc7ae67aa92913c4239f1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 23:29:18 +0100

    Make abandoning direct SF downloads permanent
    
    While it turned out sourceforge was probably not the reason for the
    certificate failures causing failed deployments and flatpak builds
    (rather, it was outdated ca information on the builders),
    the site is slow and full of ads. An if-not-found-redirect to SF
    ensures we can recklessly clean up our files anyway.

commit d30b2c8cff4c32d2630e0ed4ef92b116030d825a
Merge: 16ae3883a 790a72e3e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 10:37:01 +0100

    Merge from beta_0.2.9

commit 16ae3883ad28be81ff19d8bee01b412d3b7de996
Merge: 7e5f81960 3c81fe72c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 10:36:11 +0100

    Merge from legacy_0.2.8.3

commit 790a72e3e42425977703dcf8f47acd98412d5cdf
Merge: 63529ec9a 7f4358d72
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 09:20:37 +0100

    Merge from beta_0.2.8.3

commit 3c81fe72c0ba1790cb67cd9053c4cfe2e85a7bbd
Merge: e86b4bd22 7f4358d72
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 09:02:11 +0100

    Merge from beta_0.2.8.3

commit 7f4358d72bce89d709d10dd08f015e151fd91bf9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 23:15:20 +0100

    Add Ubuntu Jammy to ppa list

commit bf6c07f188eb42af947c74edaeb9e3228c1ca0eb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 23:48:34 +0100

    Spoken too soon, old ubuntus still need systemd
    
    Re-Add it wirth patches, the systems requiring it are in the minority.

commit 47b908578caef0d6fad7c688ccea24276f287ead
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 2 Nov 2021 07:58:22 +0100

    No longer use sourceforge for functional downloads
    
    Files take ages to appear as downloads and then the certificates
    are broken, making flatbak builds fail.

commit 63529ec9a80c324ea09962c189c8ddf73936af7c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 23:48:34 +0100

    Spoken too soon, old ubuntus still need systemd
    
    Re-Add it wirth patches, the systems requiring it are in the minority.

commit d650ea9576cc82c58a01dcfae162d2c480add174
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 21:58:02 +0100

    Disable SSL certificate checks while waiting for upload
    
    Sourceforge seems to be a bit bugged there lately, hopefully
    it will not affect real downloads. This change should make it
    so that while waiting for an upload to finish, we don't
    fail for missing certificates.

commit 201960beba701620950b86aafec4f44ae6e2db1a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 21:42:23 +0100

    Sort-of-merge from 0.2.8.3: remove explicit dh-systemd requirement

commit 8e89ee6e83fef62f65596b92293a9315edd6b868
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 21:58:02 +0100

    Disable SSL certificate checks while waiting for upload
    
    Sourceforge seems to be a bit bugged there lately, hopefully
    it will not affect real downloads. This change should make it
    so that while waiting for an upload to finish, we don't
    fail for missing certificates.

commit d902324a908fba4ad88ed4af0dedc3d5f1efbb17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 18:31:05 +0100

    Update ubuntu packaging for minimal build fix for >= hirsute

commit 7e5f81960415372e10808db580b84d5fb6c6870b
Merge: d528d4896 e86b4bd22
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 10:44:57 +0100

    Merge from legacy_0.2.8.3

commit e86b4bd224058efd565681ae350d79d231287fa4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 10:41:22 +0100

    Proper variable passing and error handling

commit 26285c8d0c0e664cfafb9d1cc842f39d2451a957
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Nov 2021 10:16:07 +0100

    Prepare future ppa manual pushes

commit 96a78b1c0c88a7891bc15a5059c2b34373220af7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 23:15:20 +0100

    Add Ubuntu Jammy to ppa list

commit e0e78102aefd0cbf96f3b55944a4126e57708d59
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 22:21:27 +0100

    Correct info about secret gpg key names

commit 3860cc6db51b3932336343789df6e9ecc7abbbac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 21:58:02 +0100

    Disable SSL certificate checks while waiting for upload
    
    Sourceforge seems to be a bit bugged there lately, hopefully
    it will not affect real downloads. This change should make it
    so that while waiting for an upload to finish, we don't
    fail for missing certificates.

commit a0a574cdf0ac9a2d39336740015f59ddce92ea29
Merge: fbb93ff13 2d45cec20
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 31 Oct 2021 18:50:40 +0000

    Merge branch 'fix_process_after_menu_exit' into 'legacy_0.2.8.3'
    
    Stop processing input when a menu exit has been triggered
    
    See merge request armagetronad/armagetronad!131

commit 2d45cec209aae5370f6914014bb7fbbaa02cac6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Oct 2021 19:26:31 +0100

    Stop processing input when a menu exit has been triggered
    
    Multiple key inputs may come in in a single frame; if one of them
    triggered a menu exit (such as ENTER in chat), a following regular
    event would still get processed.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/106

commit fcac40ca8a3463e20400f920b34e02b034e13ec8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 22:56:47 +0200

    Update release notes with Ubuntu changes.

commit d528d489627264a2266e365922a9e1da89a7677a
Merge: aee318a60 fbb93ff13 572225855
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 22:18:20 +0200

    Merge from legacy_0.2.8.3 and release_0.2.9

commit 57222585577b7528cc1924a98ab1422706c9eac9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 22:09:36 +0200

    Revert "Fall back to old style initialization"
    
    This reverts commit c963260e756d2c442a1e76528703f1f8b4bdde07.

commit beff17fc721057180bbd1eabf7def73c3c4b8a57
Merge: 212760243 392871be0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 22:07:11 +0200

    Merge from release_0.2.8.3

commit fbb93ff1339387f064ffd5546b9061261e8db5cf
Merge: 83efa64aa 392871be0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 22:02:30 +0200

    Merge from release_0.2.8.3

commit 392871be08721c417155adbfff049f299e02631b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 18 Aug 2021 21:59:22 +0200

    Ubuntu deployment update
    
    groovy goes out, impish comes in

commit aee318a60a35153026f566807a301d77bf30fbb9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 17 Aug 2021 10:31:42 +0200

    Increase stack size in docker image
    
    Using linker arguments
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/104

commit d52c590b69da9af49becbd4d4195e85a3f14e431
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 22 May 2021 15:53:09 +0200

    Move setting of caption to before screen initialization
    
    Should work around the previous crash on MacOS
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/102

commit 3c68939dabeca654226fdeb0b2be612f7c70cdf5
Merge: 0ca1a9be2 83efa64aa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 19:32:07 +0100

    Merge from legacy_0.2.8.3

commit 83efa64aafe882791be356a203547a26e15e4796
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 19:25:28 +0100

    Also skip build_collect and pack on merge requests
    
    They don't work unmodified (no steam) and serve little purpose.

commit 0ca1a9be215d8ea1c61d51e388fac20a4354d1ae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 16:19:53 +0100

    Skip steam builds on merge requests

commit 93478ec055c87ba8508bb1c95de2070d52f206cd
Merge: c48885802 45e00a292
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 16:15:37 +0100

    Merge from legacy_0.2.8.3

commit 45e00a292fdd465d966a27cf6971da890b24970d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 16:14:30 +0100

    Only do macOS builds on protected branches

commit c4888580240951f08da6768a63ffd659af241097
Merge: 3fe2c93dd 2351b4ad3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 12:13:12 +0100

    Merge from legacy_0.2.8.3

commit 2351b4ad3d69a57959e5b01edd6dfd315f5cae6c
Merge: d418b6c09 fd321757e
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 14 Mar 2021 10:55:38 +0000

    Merge: Less work for macOS build
    
    See merge request armagetronad/armagetronad!125

commit fd321757ebe4dc949ba6467568102a097fe7a90d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 11:12:16 +0100

    Redo bootstrap in root source for macOS
    
    Make tries to re-run it, but fails because of symbolic links
    going to wrong places.

commit 11b0b85e4ecaa87823deb6b497bf09cfe42e8080
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 10:36:11 +0100

    See if we can make the macOS build use build_prepare

commit d418b6c091db39a8d959befe9872ab09dc4a9a29
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 10:06:33 +0100

    Make sure that RemoveFromGame leaves player without team
    
    Required on 0.2.8 to make the previous fix for #98, developed
    against 0.2.9, work.

commit 289f216403633e89a9b6de9fc960df5f40cc8837
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Mar 2021 09:41:26 +0100

    Do not send team change messages for other players
    
    In ePlayerNetID::RemoveFromGame, only send team change messages if
    the player still is on a team. They are, at best, redundant; at worst,
    they are illegal, because the function is called on the client on
    destruction of ePlayerNetIDs that used to belong to other clients
    and that have been taken over by now.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/98
    the client part of it.

commit 651d4f5fb86e57234528bce5f28e1570678e4f0d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Mar 2021 22:57:00 +0100

    Properly handle language files
    
    Just pack them to EXTRA_DIST for distribution
    Have a single _DATA definition for installation
    
    This prevents the language files from being installed twice,
    hopefully really fixing spurious macOS build fails.

commit 3fe2c93dd88c80f9fc095f21f3ecff3f8fb56208
Merge: 1e8ffd2ee 95ce3bdc7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Mar 2021 00:08:27 +0100

    Merge from legacy_0.2.8.3

commit 95ce3bdc7f70994911ac0252f793f414a1f5abaa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Mar 2021 00:04:05 +0100

    Disable more things we do not need from macOS builds
    
    Reduces clutter and should fix trunks 'fail on first try' build problem

commit b3c201edd16f6178cff1d141da7dac26769654cb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 14:12:31 +0100

    Clear bundle target directory before filling it

commit 2fc7fb3f58479f3566a01952708c2cda064a7205
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 11:09:40 +0100

    Silence macOS OpenGL deprecation warnings

commit 1e8ffd2eed78ed3103876e1c094d4e121a563b13
Merge: 6c11339c5 d488dcfdc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 10:48:19 +0100

    Merge from legacy_0.2.8.3

commit 6c11339c5775fb7fc85768df48ec6e44818d00bc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 10:46:02 +0100

    Recognize new version-less appimages for download page

commit d488dcfdc66189a4c1a3df9a88bd9c0644e81994
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 08:13:47 +0100

    Serialize macOS packing
    
    The builds got stuck twice; I suspect it's because the dmg creation
    processes cannot be run in parallel.

commit e728743403ad6c53c726363a0181a8e10e183556
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Mar 2021 00:06:39 +0100

    Correct flag position for artifactclean

commit 8537501f2e55e12c236a8d63c76fef5dd12c27dd
Merge: 822778b7b cd7ae6d9e
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 6 Mar 2021 22:54:36 +0000

    Merge from legacy_0.2.8.3 with adaptions
    
    See merge request armagetronad/armagetronad!120

commit cd7ae6d9e35ff27566c74f688d94d0208067c78d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 23:22:24 +0100

    Correct Steam rebranding
    
    Destination files need to be removed or sed kills all contents
    on Linux
    Process title.jpg replacements file by file

commit be0a06e98e68772d37deffec5bb9f0ca0df1fce0
Merge: 822778b7b d1354c838
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 22:47:50 +0100

    Merge from legacy_0.2.8.3

commit d1354c838ac0d243917302e79e422070b69debe7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 19:34:20 +0100

    Have non-rsync based path available
    
    On macOS, the 'cp -lrf' command fails because it can't work, then
    we need to use rsync.
    On Linux builds, it sometimes failes for other reasons, and then rsync
    may not be available. So use 'cp -lrf' then, again.

commit 850a1ba7b0e0f21d736165ff91c31204649ccc46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 18:29:55 +0100

    Add macOS builder instructions

commit e9dc4d2faaa7f1f9aefda210cf8bac98c19fc206
Merge: 204684e47 1749b825d
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 6 Mar 2021 17:06:57 +0000

    Merge: Build macOS on own gitlab runner
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/88
    Seems so, anyway; the builder is on Mojave and using an older
    SDK where it may still be allowed to let the OS handle the scaling.
    
    See merge request armagetronad/armagetronad!119

commit 1749b825d2e66b1b4acf4b3bf624a3193a27a01f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 15:47:18 +0100

    Deal with missing nproc

commit d987a44c30bc3b3913f4a29be45be45f3d70753e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 15:29:58 +0100

    Split macOS builds in build and pack phase
    
    Future code signing can happen in pack phase

commit 014556fc269d3fa225637dac44bfe3b457af5d5c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 13:42:15 +0100

    Remove diagnostic output

commit 0f141e21b9c1d316a14e8b3579f441f8e9f111bc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 13:31:07 +0100

    Docker not existing on the build machine at all is not an error

commit 1cfa97d4c7f4195aab325384d22c06d2b7ef5a17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 13:26:59 +0100

    Build macOS directly from git
    
    Do not bother waiting for Linux based preparations, they don't work
    directly and would need to go through a tarball/untar process. Possible,
    but pointless.

commit 5d45fed424084235320890405c1ce0a75d7545cf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 12:51:49 +0100

    Remove GitHub macOS build repository

commit 79f1eca54d7cb031bdbd4f2a08a1e90c3048f0ce
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 12:56:08 +0100

    Remove remote macOS builds on GitHub targets

commit 99e132f612128a9e603a2f0c1dfa6def27e707e9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 12:47:52 +0100

    Skip macOS build if another one is already in the pipeline

commit ed27b2b04d832685a83239878f93af8315a6da38
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 12:41:28 +0100

    Add macOS build job

commit 67ee5a9cd30efd2004a46340b312a4300d53d242
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Mar 2021 12:38:30 +0100

    Add macOS target

commit 13a634231cee0be6afbd1f49cd8372c6d233bdde
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 5 Mar 2021 23:04:12 +0100

    Make basic build scripts macOS compatible

commit 204684e4764f659bca9f82f0d194ba95af06f8aa
Merge: c963260e7 bd0378682
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 4 Mar 2021 18:49:20 +0100

    Merge from release_0.2.8.3 and legacy_0.2.8.3_mac_improvements

commit bd0378682e0e35ce77cd190dbd3df59a081eedcf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 4 Mar 2021 18:27:41 +0100

    Move AC_PROG_OBJC to top level
    
    It needs to be called on all paths or configure complains on run on non-
    macOS systems.

commit 0c7e211e7be06a0e479b47c6310462894de937c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 3 Mar 2021 23:15:16 +0100

    Prepare for integration of Objective C files

commit 7fa3acd34c27a313bf2ad0008f43bbc659d6218a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 28 Feb 2021 11:12:42 +0100

    Get rid of entrypoint.sh
    
    Pointing to the true executable in Info.plist is enough.

commit 3965285fcfeebcb7a3452b83700942891b7bc879
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 27 Feb 2021 18:58:59 +0100

    Adapt build to macOS Big Sur
    
    Apple changed how included libraries are represented and dynlibbundler
    cannot handle that yet, but explicitly ignoring the system libraries
    works around that.

commit 8281ce72741620c74b360d36bc5a2411b896b634
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 04:37:48 -0800

    Add NSHighResolutionCapable to Info.plist
    
    The hope was to convince macOS to give us a scaled window and handle
    the required zooming to full size for us. It did not work, at least
    not with current SDKs.

commit c963260e756d2c442a1e76528703f1f8b4bdde07
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 27 Feb 2021 17:41:48 +0100

    Fall back to old style initialization
    
    On 0.2.8.3, we're not on C++11 yet.

commit 822778b7b6982c1dad437901fb88ca9c737dad64
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 22:47:00 +0100

    Add potential .dmg files to deploy_gitlab

commit f714aa72cf7489d3589494dea297204572035896
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 22:46:38 +0100

    Really divorce deploy_gitlab from deploy_base
    
    and therefore macbuild, which can't run unless we have deployment
    secrets. The whole point of deploy_gitlab is to have something that
    works without.

commit 7e9e5eb0fc271972d6260bc5fa2429a41e989cfa
Merge: e5b3fbe30 9088f9564
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 22:51:33 +0100

    Merge from legacy_0.2.8.3

commit 9088f9564cf2db8e86b2d4b28911db9bfb220f94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 22:47:36 +0100

    Revert: deploy_base needs to depend on macbuild
    
    It uses the upload directory, which is filled by macbuild.

commit ccbef7a3342f3815e4ae93e2d4100b6cb9a05a32
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 22:24:15 +0100

    Update macOS build reference

commit e5b3fbe306827dd01e1320361e247633e4762fa0
Merge: 752bae664 a0d497af6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 18:43:15 +0100

    Merge from legacy_0.2.8.3 with adaptions

commit 752bae664ea17b8401064b2299110a32d589ac97
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 16:53:15 +0100

    Remove empty line

commit 9b5b70b83a85996da8c89848c7ec1629a69de958
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 16:13:18 +0100

    Update foreign git branch name

commit ed13d21ae16e0f964e71b70699d348ecd215682f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 15:31:10 +0100

    More quoting of filenames in variables

commit a0d497af6453a549633f2ed300ac022d5185a86b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 17:13:57 +0100

    Move dependency on macbuild
    
    so deploy_gitlab does not run it again.

commit 84ed9e24878877ca637995f883878fceb8efb70c
Merge: 1778ffd0d 4ad689d0b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 15:15:47 +0100

    Merge from legacy_0.2.8.3

commit 4ad689d0b0bb90c938c3a4bebe0dec50aa4fe98c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 12:12:59 +0100

    Increase deploy delay from 6 to 16 hours
    
    The macOS builds done at deploy time cost someone something, we
    don't want to do them too often.

commit 29f0eb94853c747531a87bf8ae9adadae01aa34a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 12:10:18 +0100

    Mention macOS builds in release notes

commit 0ba9e349e892f04e707dcc2f59105652564326b7
Merge: e2c10899e 5c676c36a
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 14 Feb 2021 01:09:26 +0000

    Merge: Integrate macOS build
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/87
    
    See merge request armagetronad/armagetronad!117

commit 5c676c36ab23e8a12c98c8ffcebe4d0f90a9b8c3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 01:46:46 +0100

    Tweak waiting for macOS build
    
    Give it an initial five minutes to lower number of apparent errors
    Reduce maximum wait time to avoid job timeout

commit 9b09bb3da583f3e84422ee8c1f873fac42e114a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 01:07:29 +0100

    Update macOS build to full build without Steam

commit 5519a2283bc713b3852640a091b048537af2e9c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 01:02:19 +0100

    Disable macOS Steam harvesting

commit e7c49aa54263c907f741f9517c312d6dd5ad7303
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 00:54:00 +0100

    Set variables for macOS downloads

commit c70ff5ed2cee5376ce2040f5f07cf82ee352a517
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 14 Feb 2021 00:40:01 +0100

    Add target that builds for macOS
    
    Executes only if unstaged
    copies .dmgs and .zips to upload
    unzips retrocycles.zip into steamdirs

commit df69ae8bc3fffb1a4df8ad3f99f0b042f73f252c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:48:51 +0100

    Test the tarball is actually downloadable

commit 746e319e4da66c9f2de4a516729d153b1c4f7bda
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:16:03 +0100

    Add target for macOS build

commit 949f0e30eb735c3cb6b39461dc1595accc8642ac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:15:49 +0100

    Add macOS 'build' script
    
    Prepares change to GitHub mac build repository
    pushes it, that triggers a build
    patiently waits for build to finish
    downloads results

commit 87df6d128a038693ae85bd0f1d02ff0108c96976
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:14:41 +0100

    Add pattern for macOS zips

commit ff0894de9471cb0e643c2196e60d10b7aef678d2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:08:02 +0100

    Add MACOS_GIT
    
    Stores writable URI of macOS build repository

commit 9d967e926e0aa5297083bbd0e34238ad702526ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 23:06:46 +0100

    Make extension of zip archive .macOS.zip
    
    to bring it in line with the Windows zip.

commit 1f55dcd60ff3b68e6b5762172fa8be1eb23340b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 29 Dec 2020 17:38:09 +0100

    Add VERSION_SERIES containing our major version

commit 5ee464bc8cfc1ea66ce0fdcf3be7445e8ead5cc8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 19:37:24 +0100

    Add UPLOAD_SCP_BASE_STAGING

commit 3fbd76ca9ed64142ac77176cd37f988669fec4b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 18:27:39 +0100

    Add trust_github

commit 117eb6fc698b104beddc7dede79b585a5d3a22dd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 18:27:28 +0100

    Add DOWNLOAD_URI_BASE_STAGING
    
    Always points to our staging download site, to be used by macOS builds

commit f5bfc0be2454f3424acfb46582cede17e826d508
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 13 Feb 2021 18:02:58 +0100

    Fetch macOS build definition base from GitHub

commit e2c10899ea87d9c446c6e4fca3d995f4b88cf6dd
Merge: 5d316e990 5da83658b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 11 Feb 2021 00:00:35 +0000

    Merge: Build script for macOS bundle
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/86
    
    See merge request armagetronad/armagetronad!116

commit 5da83658b59729ca7ea6febde3950196c5e80e55
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 10 Feb 2021 23:30:19 +0100

    Put libraries where we look for them later

commit 7fde41b8a3df0c159f1b21f04bececbf16ac4117
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Feb 2021 13:41:37 -0800

    Enable server builds under a different name

commit be8af08a4df134b48ecf576ec518b5b42e233f61
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Feb 2021 13:06:53 -0800

    Add background to dmg, nicer positions

commit 3da9c32bf244b53d1be89b62368591b6d4818af8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 9 Feb 2021 11:48:13 -0800

    Add dmg packing

commit 4e5068cbe84bab5694f3362189703d2550494bc8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 8 Feb 2021 15:32:30 -0800

    Do the special bits first
    
    they are more likely to throw errors.

commit 18fbfb1121ae5ce7f50ff89b0e581f3188c2247c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 8 Feb 2021 15:23:28 -0800

    Add icons and plist to app bundle

commit 1778ffd0dc8565f47a12d641236f215c3ada6a69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 6 Feb 2021 12:44:26 +0100

    Remove redundant copy of itch rules

commit fa4cb8bd148a48d658e4b7f9e880510f72951301
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Feb 2021 15:46:04 -0800

    Add script to build application bundle
    
    Version 0. App bundle works, but is missing metadata and icons.

commit cc33a71449f19af8980b96df48c347f30e436357
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 7 Feb 2021 15:44:33 -0800

    Properly quote DESTDIR to allow for spaces

commit cefb8da1aa0525d2c3d4ec09b0c5e66e692a8f54
Merge: 8efc0f2b3 5d316e990 212760243
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Feb 2021 00:23:07 +0100

    Merge from legacy_0.2.8.3 and release_0.2.9

commit 5d316e990fa4eeeef20068ae1fe6aff6cc83a9c8
Merge: 8892b9134 7f389850a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 1 Feb 2021 00:13:19 +0100

    Merge from release_0.2.8.3

commit 2127602434f831be49fcb23afdab381d16cf36a6
Merge: 0d1310de6 9ef9bcab3
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 31 Jan 2021 23:09:27 +0000

    Merge: MacOS fixes
    
    and other small adaptions from release_0.2.8.3
    
    See merge request armagetronad/armagetronad!114

commit 9ef9bcab3aebcd2dc9a157ae99916707941fedbd
Author: Christian Mäder <mail@cimnine.ch>
Date:   Thu, 28 Jan 2021 21:36:10 +0100

    Guard SOCK_CLOEXEC on macOS

commit a17cbbabc1bc1c4e8edd5f390645efdad073edde
Merge: 0d1310de6 7f389850a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Jan 2021 23:24:08 +0100

    Merge from release_0.2.8.3

commit 7f389850a97bb236a8f3a709e53777a0bca0dd23
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Jan 2021 14:19:30 -0800

    Add define marking XCode compilation
    
    This was supposed to go to two commits ago, into
    8f69181f836b306c2d09c28d50ebe2a6be8e7b28
    but I forgot to save the edit.

commit e70a091247730d0bb924a1d7738c956da273a7f6
Merge: a24aad197 8f69181f8
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 31 Jan 2021 22:04:25 +0000

    Merge: Make build compatible with MacOS with dependencies from macports
    
    See merge request armagetronad/armagetronad!113

commit 8f69181f836b306c2d09c28d50ebe2a6be8e7b28
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Jan 2021 13:34:53 -0800

    Restrict special handling to OSX version built with XCODE
    
    The version built with autoconf/automake should behave like
    in Linux when it comes to directories.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/82
    some more

commit 565625b8f6ff4ec7d1d9094464c1b001449436b7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 31 Jan 2021 13:04:45 -0800

    Correct LIBS for MacOS compilation
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/82
    (The part that was reported)

commit 8efc0f2b32c8f50ceb44df9f331416140b40614f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 20 Jan 2021 22:14:13 +0100

    Make docker container more flexible
    
    Extend entry point script, give it canonical name
    if the entry script detects it is running as root, make it change the
    owner of the var folder to nobody and run the server
    as nobody

commit a0838dba1f717e94d63b8af014ec286410dfec28
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 18 Jan 2021 00:26:07 +0100

    Apply forgotten rename in other places

commit 19efc0e208404688e4b95f2dc73bd5a026eaa714
Merge: 7279f477e e704c9f93
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 17 Jan 2021 00:45:39 +0000

    Merge: Make docker image useful
    
    See merge request armagetronad/armagetronad!112

commit e704c9f93a9265da872732de3fdaba067cb90f23
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Jan 2021 00:51:08 +0100

    Make it easier to run with bind mounts
    
    Do not create a user
    Set default user to run as to 'nobody'
    Expect user data/config in /usr/share/armagetronad
    Store var data in /var/armagetronad, which is
    a volue by default
    Both can be mapped with bind mounts to directories on the host,
    with the data directory being read-only
    
    Minimal command line for podman:
    podman run -p=4534:4534/udp --rm -ti <image>
    
    Complete command line with bind mounts to local 'data' and 'var'
    directories:
    
    podman run -p=4534:4534/udp --rm -ti \
      -u ${UID}:${UID} --userns=keep-id \
      -v="`readlink -f data`:/usr/share/armagetronad:ro" \
      -v="`readlink -f var`:/var/armagetronad:rw" <image>
    
    The "-u ${UID}:${UID} --userns=keep-id" is the bit that makes sure
    the user inside the container can write to your var dir.

commit f64cdde7cd9ebf00abd1c4409cb357d842b156e8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 16 Jan 2021 13:05:27 +0100

    Fully qualified base image name

commit 7279f477e21f3761ffc12ab5b07cc0f3a1bbc63c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 17 Jan 2021 00:06:29 +0100

    Tiny typo fix

commit 28df2366f8bcd94ddc86b2e4bb7a82a7b2570e84
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 15 Jan 2021 21:24:08 +0100

    Branding for +ap
    
    Cherry-pick choices from ef680fa2fdf9a0d293eb2bd305e28179305f34a3
    Set up target Steam/Itch/ZI/PPA branches
    Set up configuration test

commit 148fc273c897990640843664d1d00ec798f4289b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 15 Jan 2021 01:01:29 +0100

    Deal with + and - in version for gitlab deploy

commit 6c5544433606fa448305bd0e0680fcaec7415c1d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 14 Jan 2021 22:59:27 +0100

    Filter + out from version for docker
    
    Should fix docker build on sty+ct+ap

commit 76b6b01f6b951371e12f8c6d1bd224ac9f0eee87
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Jan 2021 19:13:57 +0100

    Add deploy to gitlab package repository

commit 0a33800e37301dd6fb72e662f2d8be9438d6244f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Jan 2021 14:41:24 +0100

    Verify the docker image can actually run

commit 45dbf3b35923ba7e73b85fc05630bc79d6190712
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Jan 2021 13:52:51 +0100

    Add HAS_ARMADEPLOY variable
    
    Default to false
    Skip deploy/stage to website/steam/launchpad..., anything
    requiring non-Gitlab credentials, if false.

commit 5339da7c2d361403369088fd6bfa2600bb9f699f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 10 Jan 2021 01:17:48 +0100

    Avoid relying on non-posix date usage
    
    BSD's date does not support -I, -R or -d (the way we use it).
    Use explicit format string for -I, fallback on non-refernce
    date and drop determining the full date and time for now,
    we don't need it anywhere.

commit 07b3b6ce4a939163fb892ef3bd06d1921456cd29
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 8 Jan 2021 22:12:55 +0100

    Add docker ARGs for program name and title
    
    Use progname everywhere, streamline layers a bit

commit cb911c55a6f850bcbb87add70c0044f173b2147e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 8 Jan 2021 22:00:49 +0100

    Use docker build --pull to make sure the base image is up to date

commit 719fffd8eaeaa3ea6ab98db583227b6286d28572
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 7 Jan 2021 22:26:05 +0100

    Change cache argument order
    
    When looking up caches, docker picks the first image that matches
    anything. That should be the build we just made.

commit ee0aeed3e19125fa69d40efa4aa90acfdb3ccbd8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 7 Jan 2021 20:37:28 +0100

    Reduce cache size by clearing up source and build

commit e4e11be7191fc599a0e4c8c62d383d8f758aec4d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 7 Jan 2021 19:28:42 +0100

    Try to get zthread binary into the cache

commit bf95e63255e7589abe929126a6fc856de2d8aede
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 7 Jan 2021 18:57:21 +0100

    Only push to cache in build phase

commit ae7437f43f8d3af8a8c9f29825a76be56405d1f9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 7 Jan 2021 18:30:12 +0100

    Reorganize dockerfile to make caching better

commit e92acf1ec2144d8eb77dd2ac9977b66200047449
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:22:18 +0100

    Use new obsoletion mechanism for docker deploy, too

commit 5c0c7fe85658ffd221c74077154ba4d7c401528a
Merge: ba71f4d31 8892b9134
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:39:20 +0100

    Merge from legacy_0.2.8.3

commit ba71f4d3137d90f5d624feff150fbfa574c813ff
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:38:04 +0100

    Handle login in docker script, not yaml

commit 8892b91347a59479b25d6e461a83a2501b095861
Merge: a1f6e99e5 a24aad197
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:19:33 +0100

    Merge from release_0.2.8.3

commit 80c338b56acaba0f98d16d6fb0d0f425d30a8c96
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:15:17 +0100

    Docker: Use remote cache

commit e00a1db24147018df08c474160c8fc9289e3003a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 23:14:42 +0100

    Change build order for easier caching

commit a24aad1975fdfa77073f955dde84417120462662
Merge: e6359b5f6 799d2dc78
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed, 6 Jan 2021 21:21:07 +0000

    Merge: Better cancel on obsoletion
    
    See merge request armagetronad/armagetronad!109
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/80

commit 799d2dc785f05879226ec14aa3883cb0b5dad131
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 21:00:23 +0100

    Use new obsolete pipeline detection
    
    The old method used to drop some marker file in a directory
    made available by later runs and would not work across different
    builders.

commit ef3f8bb5f2ff4a020bf392217769aee9c50875f3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 20:59:33 +0100

    Add script that checks gitlab API for newer pipeline runs

commit d7e4c1996cca7488617ed4f1ab6bfddfad3836f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 00:39:49 +0100

    Also abort docker deploy if a more recent build is in the pipe

commit 8d4d3676d2f655b0120c688b082616e51bfd5b66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 6 Jan 2021 00:37:28 +0100

    Consistently use underscores in CI job names

commit 6e15c5d0381bba5b268b1a9b8cafc8efdf694dcc
Merge: 7d8ef36fb a89114a36
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 5 Jan 2021 23:27:49 +0000

    Merge: Provide docker image
    
    See merge request armagetronad/armagetronad!108
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/79

commit a89114a36e39bbddee84b389ed8fbc8b22d33e68
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 23:37:35 +0100

    Phony dependency debtest -> docker for build pacing

commit 213ad0fa3e9552aa56253fe388929c11d414ea2d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 23:14:06 +0100

    Space -> Tab replacements

commit fe58e8ce1b55efe6479f4d08225378d22dc4f72a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 06:36:49 +0100

    Three stage docker: build, stage, deploy
    
    The task that gets manually triggered for final builds
    is now the delay job; Now that we have several final
    deploy tasks, it's easier to trigger the delay than
    the deployment.

commit 6ae2980e9081d37232dd988a0628384150428b33
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 06:26:44 +0100

    Distinguish staged/unstaged docker deployment

commit 7c592aa4129f4a6d2c4689de63761fb814ca10d5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 06:05:40 +0100

    Push adduser to lower layers

commit 6a41746a44ecf8dd5902ee65a122ef92507061a0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 00:31:01 +0100

    Silence docker login warnings

commit 8eb9bd8e32dc84f6ef92b49baabf89e9e297fded
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 5 Jan 2021 00:10:27 +0100

    Don't bother with curl if curl does not exist

commit 9d48af6e5bd985a8a26802dde57be908c2b4fa0c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 4 Jan 2021 23:54:07 +0100

    Add build job for docker deployment
    
    Add docker login
    Only deploy on protected branches

commit 79ab25cdd36a71c90f106a69fe7f2f01c7397f96
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 4 Jan 2021 23:53:53 +0100

    Add deploy_docker script and makefile target

commit 9c7ae427f35f01c72e77f836b767337ff51204e7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 4 Jan 2021 23:16:01 +0100

    Make docker ultimate layers smaller
    
    by using dynamic linking for ZThread.

commit b940783d0a38246fbf7326e9ccf625fd185c062f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 4 Jan 2021 00:16:51 +0100

    Use epoch time from version.m4 to determine dates

commit a7df2f0f4d3251f4aa6c06d1b3499587854cd094
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 4 Jan 2021 00:16:26 +0100

    Define SOURCE_DATE_EPOCH from git directly

commit 1b351c74e1fb6b885f19838aa822ae47babc1acd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 23:55:10 +0100

    Include Dockerfile in tarball

commit fe6cecd44d6077e46f08c8a74c59733bae6704fb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 23:54:53 +0100

    Update to alpine 3.12 as default base

commit f1afe98b8ceb04683241b9cb692cd80d6bef0980
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 23:54:34 +0100

    Do not try to print version.m4 if it can't exist

commit c1fd76e7f04414aa7af85bcd9d25e8728a0954eb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 23:27:46 +0100

    Use new armagetronad user to run server in docker

commit 7d8ef36fb703a775efabce62f13953509dc961e4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 22:55:31 +0100

    Add entry point and port declaration

commit c8d1c36a192cf2e9cb78f050e7b2e8b1aef058d2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 19:45:49 +0100

    Focus for root dockerfile: Build server

commit fa6794404f4add12ddf37c54ab9c6d990d3cb2a4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 16:03:58 +0100

    Also clear appimage context

commit cc4b793dd149c16e2acc091fd0f7420352da8f71
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 15:39:12 +0100

    Mention Flatpak and AppImage changes

commit 36f0750e5505cc0fedb661a21371238dc4c0091b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 15:22:18 +0100

    Make AppImage build depend only on apptar result
    
    Not the appdir result archive. That one does not enter the
    CI artifacts and rebuilding the AppImage on deploy, with signatures,
    failed.

commit 129ae5d72477110317bc4150802e2969f06f9fa5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 12:27:19 +0100

    Rebuild AppImages with signatures in final deploy

commit 81c249099faf923a9cda2c983af262b03c192d2c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 12:11:09 +0100

    Sign appimages, if a key is provided in secrets

commit 3b6b6996429c8ca2adf6177e0c737fb0289db65a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 11:48:03 +0100

    Make AppImage filenames versionless
    
    Two reasons:
     - After a successful AppImageUpdate, the version would be a lie
     - The filename on creation is baked into the update information,
       and the update only works if a file of that name is on the
       server, which it isn't; it's always the versionless variant.

commit c4ebe6216fd7176d66ff4d328e1da2fde2b55324
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 3 Jan 2021 00:25:38 +0100

    Add link to relevant docs
    
    The previous commit...
    implements https://gitlab.com/armagetronad/armagetronad/-/issues/78

commit df55642f136cc2aba812c8f664abb1aa0ea8030e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 2 Jan 2021 23:32:15 +0100

    Add AppImage update information

commit 192d0756a4a8931f486585c955897dca7132c38d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 31 Dec 2020 17:05:43 +0100

    Make build_image handle foreign base images

commit 39d64926f851281643f28596c8d6eac8ed0222ed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 31 Dec 2020 17:36:31 +0100

    Disable script that would not work

commit 3e10f3a82a2d4fdb423a192a707ea015c9d6e285
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 31 Dec 2020 13:00:19 +0100

    Add XDG_*_HOME variables to log

commit b041e0fde9768a159be3330f0cac2dbc27e8b8f2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 31 Dec 2020 12:24:50 +0100

    Steam: Do not pull in system library paths
    
    Steam already sets up LD_LIBRARY_PATH perfectly for its own
    runtime, no need to add anything, and in fact it's dangerous.
    
    Also, logging essential system settings, errors and output
    into var/steamlog.txt. Overwritten every run.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/77

commit 41c8ba89c16b5dd98fe5c01ced117ecb0d370cdc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 30 Dec 2020 22:57:21 +0100

    Use pre-supplied images from steam SDK repository
    
    Activate only for future updates. The version we used for the current
    build images isn't available the easy way.

commit 1743844418472f866fb4b2568feede7bfef43cbb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 29 Dec 2020 17:50:37 +0100

    Base _ci flatpak branch on curent non-ci branch

commit de2f9147a9be9c1a38932b5b6f11d4488c273d81
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 29 Dec 2020 17:38:09 +0100

    Add VERSION_SERIES containing our major version

commit 8fd3681a35b1369fb5fe72a4737d90666fd26bfb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 29 Dec 2020 00:35:52 +0100

    flatpak branch names always match zi names; append _ci
    
    to keep automated changes as isolated from manual updates as
    the developers care

commit f990372c6f2d5f5abbb25392b6119065fec783a5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 27 Dec 2020 15:50:26 +0100

    Combine two installs into one

commit 4c6680530a79232dc6620636d17bfe42f75c1eb8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 26 Dec 2020 22:12:14 +0100

    Add stricter definitions for HACKS and WIP series

commit a37e02f61893c0fa835ede25e4e47213493432e9
Merge: b11987d09 0b3476ac3
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 26 Dec 2020 21:12:35 +0000

    Merge: Flatpack definition update
    
    See merge request armagetronad/armagetronad!107

commit 0b3476ac3fdfb97169b276e5195fffa1bfecd9cb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 26 Dec 2020 18:45:15 +0100

    Add failed attempt to build flatpak in docker

commit 10ed671bce260161337e55ae35782c6c7392385f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 26 Dec 2020 17:41:31 +0100

    Add update of flatpak build definitions
    
    Check out flatpak git module, update, commit, push.

commit b11987d091d3d5a200565370c30ca20d4f2f241a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 26 Dec 2020 09:55:26 +0100

    Fix windows build
    
    Add define for PROGNAME if it does not yet exist

commit 6dbede09aff1b60642d72ea621f8c29b9c5b71dd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 25 Dec 2020 19:51:58 +0100

    Replace hardcoded "Armagetron" string with PROGNAME

commit f5a465392f7cd9fbc78e9c21d824374a4cf2a453
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 25 Dec 2020 19:05:24 +0100

    Add autogen.sh injected by flatpak built to .gitignore
    
    Prevents it from counting as a modification and messing with
    versioning

commit 6a17953976fd2e629cd1393f7dd1f9005d2248a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 24 Dec 2020 16:44:42 +0100

    Remove fixlinks
    
    Its job was to turn absolute into relative links. All our
    links now already are relative, so it is no longer needed.

commit 8663ad40fc830cb0bc034f54f2d67b9f5d823179
Merge: 3bd3f4869 a1f6e99e5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 24 Dec 2020 13:24:43 +0100

    Merge from legacy_0.2.8.3

commit 3bd3f486911c6b99bcc2f4de4c213399ecdea98e
Merge: b3ab4e60e 989f205fd
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 24 Dec 2020 12:22:39 +0000

    Merge: Fix flatpak issues
    
    See merge request armagetronad/armagetronad!106
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/75

commit a1f6e99e5cf900ec8c37691687284f305dd5385a
Merge: e302fbab1 e6359b5f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 24 Dec 2020 13:22:03 +0100

    Merge from release_0.2.8.3

commit 989f205fd8f2844e668840e96f73f71b2836150d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 24 Dec 2020 12:43:03 +0100

    Name icon in appdir like the desktop file demands

commit 8bec79bd3a1dd3f862eab560b278c4d23656c3a7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu, 24 Dec 2020 01:42:44 +0100

    Simplify libpng check
    
    using PKG_CHECK_MODULES, sniplet taken from flathub patch

commit b610a5b54abf64e130b47a5f0bd04858e0fd7e0f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 24 Dec 2020 01:24:56 +0100

    Give icons the right name

commit 5c46ee2e9dbaa71efd375f4bae7738a2db06f8d3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 23 Dec 2020 23:53:30 +0100

    Use relative paths for linking files
    
    Avoids having to deal with later movements of the whole installation
    Makes flatpak find the icons

commit 1929049f23813b8460c5a37499d0463945b4e01b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 23 Dec 2020 22:34:41 +0100

    Use @progid@ instead of org.armagetronad.@progname@

commit 68da82fec6938d14d90f693918ea5c4b1b083f06
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 23 Dec 2020 22:33:53 +0100

    Add substitution variable @progid@
    
    Contains fully qualified program id, like org.armagetronad.armagetronad

commit 6bfd5bcc4f1c4dc2034ff8b5959302a49377af49
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 23 Dec 2020 22:30:39 +0100

    Add version and date to appdata.xml
    
    Specify date format for ChangeLog so it is usable by date -d
    Add substitution variables date_ifc (short, just day) and date_rfc (long)
    Add version section to appdata.xml.in

commit e6359b5f625f450ad0c86b58257f1a436f6d95f0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 23:15:57 +0100

    Add PPA support for Ubuntu 21.04.

commit b3ab4e60ee6cfa54741c6f8a4f099e1796dc05ac
Merge: 2159cc194 ef6e6efb1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 18:29:57 +0100

    Merge from legacy_0.2.8.3

commit 2159cc19416d08b31366c79773a83ffd94b3f4a8
Merge: bca6cfe36 3a6d766ed
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 21 Dec 2020 17:22:28 +0000

    Merge: Correct desktop and metadata file locations
    
    See merge request armagetronad/armagetronad!103

commit 3a6d766edd683ebe6eb7fc8a4b85a7e37fcc7d84
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 17:32:24 +0100

    Install appdata into appdata folder
    
    Not the similar metadata folder, where the appdir standard
    expects it; for appdirs, we have a separate script that
    can do its own thing.
    
    Fixes rest of https://gitlab.com/armagetronad/armagetronad/-/issues/73

commit 6c0e3806dd70c55ab7223f5c3312eae90bfbd281
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 17:13:21 +0100

    Put desktop file into PREFIX/share/applications
    
    Debian and flatpak expect it there.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/73

commit bd320252b86f5ad65998adf52c8cbf5f239bdb53
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 16:26:40 +0100

    Fix final location of icons
    
    The script calling code forgot how install_link works.
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/73

commit e302fbab1c5e8c7bcec87779cf5b993361bddb35
Merge: dfada0427 8fecd35f0
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 21 Dec 2020 15:25:22 +0000

    Merge: Prune KGN Logo
    
    See merge request armagetronad/armagetronad!102

commit 8fecd35f0c64722f5795464decb0f271c7b082e8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 13:50:52 +0100

    Remove KGN logo. Was never actually used.

commit 9177f74223a57c13608fc920a64738cc2fe07af3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 14:13:39 +0100

    Remove KGN references from translation comments

commit 4e6753f54a4125bd09a87600746b56c81cdc0c61
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 14:10:37 +0100

    Remove KGN logo references from code

commit ef6e6efb1ee2cf7abad4c40d511a6b5780f86688
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 14:13:39 +0100

    Remove KGN references from translation comments

commit cdd7e3e022593952ef20c1d096fafe8acdf6e6fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 14:10:37 +0100

    Remove KGN logo references from code

commit ee8d4bed3230e877f9e09858cdd6063c0b376ca4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 13:50:52 +0100

    Remove KGN logo. Was never actually used.

commit bca6cfe36b7c5fd9d7216ab948052c03ca05bea9
Merge: 1132d8a34 dfada0427
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 09:09:43 +0100

    Merge from legacy_0.2.8.3

commit dfada0427bdf0b511048ae799695b022641ba2f9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 02:13:17 +0100

    Determine release year in CI_INFO
    
    None of the information sources we need are available at deployment

commit f4b162b992f54baa394982b95570decafe355600
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 01:09:20 +0100

    Use timestamp file for determining release year
    
    Not 100% reproducible, but git is lost by the time the script runs,
    and at least the timestamp file is created at the start of the built and
    kept around.

commit db441091d03069938fd45461ce4691d770060aab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 21 Dec 2020 00:24:01 +0100

    Correct release year determination
    
    Use correct working directory for git command
    Add error handling

commit 1132d8a3445992eb6337bfab56b36e6a31663c06
Merge: e9fe13df5 209574a1a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 20 Dec 2020 20:44:14 +0100

    Merge from legacy_0.2.8.3

commit 209574a1a67159e8d9e64bdf7cc82d1db8b12ceb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 20 Dec 2020 20:41:14 +0100

    Correct fallback SF_DIR and LP_SERIES

commit 9fc827259ede98d1be4f8607622c326437194a47
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 20 Dec 2020 20:28:43 +0100

    Add current year to SF upload directory for easier cleanup

commit 8dfee68c5cefe6fce5bc63e024abea19263e9464
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 20 Dec 2020 17:10:48 +0100

    Partial rollback: keep LP uploads for betas
    
    We don't do that many and it may be useful to have the upload code
    verified in the beta phase, not just release candidates.

commit 5edae2abcd97f35152dca15dbbffc66585fd8300
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 20 Dec 2020 16:57:24 +0100

    Do not upload alphas and betas to launchpad
    
    The launchpad web UI gets overwhelmed and times out too often
    if we upload everything.

commit 3719ff83fc1139d547e45ebb00340dd97bf565cc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 19 Dec 2020 19:54:08 +0100

    Really test whether appimage can run

commit 621ba61e8447555031d87a30c2ae507fa0019b2c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 1 Dec 2020 22:16:44 +0100

    Fix typo in release notes

commit e9fe13df5409fec0c789aa455ebe967abc88c364
Merge: 938458c71 0470ed842 0d1310de6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 1 Dec 2020 00:04:14 +0100

    Merge from legacy_0.2.8.3 and release_0.2.9

commit 0d1310de602a45c66cea7598d51f44ab229fa02d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 1 Dec 2020 00:01:40 +0100

    Correct frozen changelog, it was missing an entry

commit 18ee451d58a106beb8391caa752af20651b4391d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:48:36 +0100

    Make slightly saner changelogs
    
    Base version to build on to now 0.2.9.0
    Do not duplicate changelog entries for base version

commit d227f5348e9a55cdc8eabd5025f8327844e9fb7c
Merge: e4e928c4d ff0d579c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 23:46:59 +0100

    Merge from release_0.2.8.3

commit 0470ed84230302ef49e0d49b7ec8db5b2d4a581d
Merge: d568b5fab ff0d579c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 23:41:55 +0100

    Merge from release_0.2.8.3

commit ff0d579c5f7c55df17fb606e65f25142f4ed3b31
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 22:49:55 +0100

    Remove extra ~ppa1 from debian version
    
    It simply was added a second time from two spots.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/70

commit 3fd1ab30c5ccb177953d8d34be037feff36a2945
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 22:49:21 +0100

    Correctly source version.sh to display debian version

commit 412044b7fffb869c6603e01227d987142a78b05e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 22:20:06 +0100

    Disable use of git tags for automatic versioning
    
    That is the job of the CI system.
    
    For the future and for safety, filter out leading v of tags.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/72

commit 313fa8584f7ebd7c1f75b88d6a63309820a3f26a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 30 Nov 2020 21:58:11 +0100

    Download site update: Only wait for essential files
    
    Not all files in the upload directory are linked to from the
    download pages, not all are uploaded to launchpad.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/71

commit 938458c71b8ea9253abc1400f38202709263f448
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:15:57 +0100

    Prepare for 0.2.9.2
    
    Update minor version
    Restore release notes
    Update change log

commit 84c8713c99615a6f94451f9f98f06bc1b55696bb
Merge: a47713c68 e4e928c4d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:11:18 +0100

    Merge from release_0.2.9

commit a47713c68a7dc692c0d4f6a22896fb285a802c63
Merge: 223125cf8 d568b5fab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:10:57 +0100

    Merge from 0.2.8.3

commit d568b5fabba7e57fdfa743019d5b1e9a39fa6d11
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:04:54 +0100

    Remove 0.2.8.3.6 specific release notes

commit 6a91c9ca9f9da3bc24209537869a051397187cd1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 23:04:39 +0100

    Bump version to 0.2.8.3.7

commit e4e928c4d5f4ff920a02685ebce66db2c7f60236
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 19:47:53 +0100

    Update change log

commit 8ebeb0b5f1846f5967b4e94ac1ded1f677d28743
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 19:39:42 +0100

    Update change log

commit 67e21118b2a69cf47e8e1637a31fca1589e2298b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 29 Nov 2020 19:37:24 +0100

    Add security issues to release notes.

commit 0152250c1e98e4586d3b3ae943fe43779fa2a1ff
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 Nov 2020 19:14:36 +0100

    Small release note addition

commit 9409daf928078112010b54a8791ab8caabf7ea09
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 23 Nov 2020 19:02:23 +0100

    Amended release notes
    
    ultrawidescreen is not a single word
    mention compatibility improvements

commit 7b83035a48d704bc92fb5120890f37df62a6098c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 Nov 2020 14:01:58 +0100

    Update release notes for 0.2.8.3.6

commit 9f2ed822004c31bbf040df321aa2e3ddc5d803f3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 Nov 2020 13:44:11 +0100

    Update release notes

commit 223125cf8ccfb3145936e6fbe90256eb15e8b2e1
Merge: 7e0140a32 fe8ff15ea
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 22 Nov 2020 11:09:31 +0000

    Merge: Distinguish between sources for game pause
    
    See merge request armagetronad/armagetronad!100

commit fe8ff15ea55371b3b2caebe0c2bc7e622607987d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 22 Nov 2020 11:45:08 +0100

    Make pausing the game timer distinguish between different sources
    
    Game management logic, menu activation, focus loss and the
    dedicated pause button now count as different reasons to pause
    the game, all sources need to agree that the timer should run.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/68
    maintains explicit pause when the game loses and regains focus
    fixes micro-advancements when you're in the menu and alt-tab
    away from the game and back

commit 7e0140a32ca0d57c60f1094c870f2f65169406be
Merge: 740f41312 6516b6fdc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 4 Oct 2020 17:59:33 +0200

    Merge from beta_0.2.8.3

commit 6516b6fdc165d6018d4adab34c4597c6ac4a063d
Merge: 39a77cedd 61ff9291b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 4 Oct 2020 13:12:34 +0000

    Merge: Guard key repeat data with a second, local, flag
    
    See merge request armagetronad/armagetronad!99

commit 61ff9291b16320d62e7b25ba34d9f26a02c4154f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 4 Oct 2020 14:42:58 +0200

    Guard key repeat data with a second, local, flag
    
    This makes sure it does not get used uninitialized, the previous
    guard flag was global.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/66

commit 39a77cedd6ae6f7cfbbae1642245cc4f4aba6ce7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 11 Sep 2020 18:27:21 +0200

    Handle negative CONSOLE_COLUMNS, too

commit 34f42ae4b776bb29d23e2a057ca7b467d4d7822e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 11 Sep 2020 18:12:32 +0200

    Use semi-sensible fallback on CONSOLE_COLUMNS 0
    
    If the user switches between 0.2.8.3 and 0.2.9.X, problems
    arise because 0.2.9 sets the new default of
    CONSOLE_COLUMNS to 0, signifying pixel by pixel font rendering
    there. Here, we just fallback to the default 78 columns.

commit 740f41312a025241d622928581f89f323c722e9b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 10 Sep 2020 22:07:31 +0200

    Update image digests

commit fa4674717a3e59c1e25c7929c167ff4438c5c7ed
Merge: f33d89989 d683b7be6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 10 Sep 2020 20:53:36 +0200

    Merge from legacy_0.2.8.3

commit f33d899894e22a0c7d512c62c720f76f4bb5dc2d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 10 Sep 2020 20:51:43 +0200

    Update merge script to branch rename

commit d683b7be6a387cdeddd817a2cf6081c9a46eb94c
Merge: a6446f0ba c7a904049
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 10 Sep 2020 18:48:32 +0000

    Merge: Improve AppImage content
    
    See merge request armagetronad/armagetronad!97

commit c7a9040498ced36088088fe68b0d6a446121d1c8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 10 Sep 2020 20:34:12 +0200

    Update image digests

commit 84781a403cb920c26d0799113cc949937cd95285
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 9 Sep 2020 21:37:07 +0200

    Adapt SDL build
    
    Take over some debian build settings for SDL
    the usual goals: more compatibility while keeping file size small
    
    Add libraries to armabuild for sound compatibility
    
    Enable shared (dynamic runtime) linkage in SDL
    with X11, alsa and pulseaudio
    
    pulseaudio in particular pulls in FLAC and ogg as dependencies, blowing
    up our appimages. By having SDL load them on demand at runtime, we no
    longer have them as hard dependencies.
    If none of SDL, alsa or pulse are present on the user's system, they don't
    get sound, but they still can play.

commit 8f39a2ee615a1158e7e7055e62dcb1c03651723c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 9 Sep 2020 00:11:49 +0200

    Take sdl_image flags from debian
    
    Fixes crashes on Fedora 32.

commit 860a6d838b621d2cd91d08298ec4e472a362e315
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 14:42:03 +0200

    Pick unrealistic versions for CI variable test

commit 5cf699e30b02d366d54e50e83fd542c31046f7c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 14:41:31 +0200

    Chage SF target dir to alpha for alpha builds
    
    For consistency. Was snapshots.

commit 0a1adfb13932882d41566ab4b05c4d6ecde3a1e9
Merge: ef8f186f8 a6446f0ba
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 6 Sep 2020 10:01:18 +0000

    Merge from legacy_0.2.8.3

commit a6446f0ba8866dda0462d0d319cb531154e1ff1b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 11:21:34 +0200

    Let curl follow redirects
    
    and use -o to redirect the output to /dev/null.
    
    For SF downloads, it's not enough to wait for the base URI to become
    available, you need to follow it to the end.

commit d686864a9c9ca61d067dd39137bf71faa2d0c082
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 10:37:37 +0200

    Remove .gcc. suffix from Windows installers
    
    We only have this one version.

commit 4da72a489452af2d02a2bc2bc25ae6da07f23a00
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 10:17:43 +0200

    Fix call path

commit f3df3b00019ae2596259fa26935ad1abf93aa76f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 09:47:11 +0200

    Move wait_for_upload into its own script
    
    Use it from deploy_download.sh as well.

commit ef8f186f8d249f4080904bf57767e23898073d56
Merge: bdb1eacd7 2c139e7b6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 6 Sep 2020 00:09:19 +0200

    Merge from legacy_0.2.8.3

commit 2c139e7b69708f1d9623c0ca9b64ba91388cb833
Merge: b157d0135 9f6824a84
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 5 Sep 2020 21:35:17 +0000

    Merge: Wait for uploads to finish and be available
    
    before releasing Zero Install stream and download site updates.
    
    See merge request armagetronad/armagetronad!95

commit 9f6824a84c10fd920bdc435c1cda639f1b8a3c5b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Sep 2020 23:20:32 +0200

    Have website deployment wait for Zero Install
    
    to make it wait for URIs to become valid, too.

commit 97b52820b797254eb4a0243335c6b6f4ffbb40c7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Sep 2020 23:19:49 +0200

    Make sure download links are ready
    
    before creating the Zero Install Stream releases.

commit bdb1eacd735ef9f7e5642b689b924b1b746e485f
Merge: 173b9ffdd b157d0135
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Sep 2020 18:23:05 +0200

    Merge from legacy_0.2.8.3

commit b157d01352509283dd25dbc08f7986162d1ba7cd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 18 Aug 2020 00:00:54 +0200

    Add post-build tests
    
    Cherry pick from legacy_0.2.9

commit 9d77d30e944f0b3e59814385cd97df3e22f75f9a
Merge: ed6393254 06e8605a1
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 5 Sep 2020 15:55:50 +0000

    Merge: Cherry pick build system improvements from 0.2.9
    
    See merge request armagetronad/armagetronad!94

commit 06e8605a1ad8ec5f95b832cf02d13ab4a0f0fb41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Sep 2020 17:39:05 +0200

    Update image digests

commit 0d1edcbc0f81aa87c646806964341f5800120df2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 23 Sep 2011 22:55:27 +0200

    armagetronad --version no longer returns an error code.
    
    Cherry picked from legacy_0.2.9

commit 22c1396d61ac1e0e7f91843319219980533197e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 29 Jun 2020 23:52:56 +0200

    Change prefix in AppDirs from /usr/local to /usr
    
    We're in our own space here anyway, and AppImage expects the metadata
    in /usr/share.
    
    Cherry pick from legacy_0.2.9

commit eea506c261fcfeebaa5b922fc68634faa87b79df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Aug 2020 21:45:25 +0200

    Cherry pick and squash build system changes from 0.2.9
    
    Replace ubuntu provided libraries with ones compiled from source
    so we do not have to distribute all of the second level dependencies
    
    Add AppImage tests
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/63

commit 173b9ffdd6b7576024f0dfbb3df5d6494c0acd56
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 5 Sep 2020 11:52:26 +0200

    Add skewed appimage tests
    
    where some libraries are installed on the system

commit 1f11b37b8f792b58be196e0c4d39e3d533dac8f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 3 Sep 2020 23:54:04 +0200

    Move libjpeg from special to regular libraries
    
    Its inclusion works there now. Disable the special library section.

commit c68681a878341ce2e903200a02ad9c400ee6821c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 3 Sep 2020 00:07:30 +0200

    Update image digests

commit 4401e1bfe2fbaddda7b1dde696d1e8f6fb72fee5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 2 Sep 2020 23:19:37 +0200

    Explicitly disable support for webp and tiff

commit d053facc85c76970b4e59f2ca62bd2687dca1ca9
Merge: ca5f016df ed6393254
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 2 Sep 2020 19:34:24 +0200

    Merge from legacy_0.2.8.3

commit ed639325491d011e8d289d9c71c091e0a3cf7a06
Merge: 10405635b 884bed3c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 2 Sep 2020 19:32:33 +0200

    Merge from 'legacy_fixes'

commit ca5f016dfb3e83bb3ca8b49449bec52522b606b8
Merge: ea4b3fb53 12b1004e6
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 31 Aug 2020 22:18:41 +0000

    Merge: Build SDL and SDL_Image from source
    
    Refines https://gitlab.com/armagetronad/armagetronad/-/issues/63,
    makes resulting packages smaller, even smaller than they were
    before the fixes.
    
    See merge request armagetronad/armagetronad!88

commit 12b1004e61454d5aee1eea0f94d62fa72924f53f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 23:57:00 +0200

    Don't let debsrc overwrite the image to use for other builds

commit fab2713d9115aba4be43e1739397421f65b17e18
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 23:45:25 +0200

    Update image digests

commit df6b3baffe134974ef012f772341313fab6ae48a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 23:34:13 +0200

    Build libsdl from source

commit a0919e913b3a25c77b4109d8f8544d650d66716b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 23:33:50 +0200

    Add scripts to build sdl and sdl_mixer

commit 6a5f1ebe28e4e42f38cabd952def9ccc4c10c031
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 23:33:41 +0200

    Add patch to make sdl compile in this environment

commit df783a5d0a6989411cc51269abf05dbdb88611c4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 21:43:04 +0200

    Build sdl_image from source, too
    
    with just the image libraries we need: png and jpg

commit 33ced77f3f6e77a06afc887cd6bdedf0511c71f0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 31 Aug 2020 21:40:15 +0200

    Enable CFLAGS=-Os, remove obsolete comment

commit ea4b3fb5308b3fe1c6ea09ced2cd3e09e760175e
Merge: 59110ed7b c8154d709
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 30 Aug 2020 22:32:03 +0000

    Merge: AppImage library content
    
    See merge request armagetronad/armagetronad!87

commit c8154d709d6b4f072285f4d677013d156f8badbb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 22:25:24 +0200

    Update docker image tags

commit 2405ce8adfed600a3a5adad5eb93923906c2d7de
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 23:58:43 +0200

    Move own libxml2 compilation to final armabuild
    
    The debian build insists on having a purely debian-installed
    libxml2-dev.

commit 2da6fa78df97d16bf39760ebec7af0f03ab93164
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 23:57:08 +0200

    Add 'test' target to docker makefile
    
    Makes all builds, runs the few tests we have

commit dc87ed989507f6a14a5469565c1dd14e3987e383
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 21:30:00 +0200

    Improve removal of steam runtime libraries
    
    Record which libraries are present in a vanilla base system,
    remove them from the Steam distribution.

commit 893407c3551113b5c18ab92739c933ae87e29460
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 18:59:12 +0200

    Remove all bug workarounds from appimage tests

commit 80f10f212f230a0b6ac9d1490f8304dc1d673a69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 18:58:46 +0200

    Add missing libraries
    
    for https://gitlab.com/armagetronad/armagetronad/-/issues/63

commit 7e696a6c841c91fdc7c793dbe998913dab38fa4a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 18:05:29 +0200

    Build against libxml2 without icu
    
    libicudata is too big to be included in appdir based distributions.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/63

commit 8c3e8aa38bbfc9482f3725704c4e005c06efa347
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 17:19:17 +0200

    Only rebuild here, do not upload
    
    Otherwise, the name of the script is confusing.

commit afb274b30f4ab2d5a432e10a993a8f2615c04e0f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 17:18:36 +0200

    Pass on exit code from docker build

commit 59110ed7b4b51aaa84dc29233bc4d40eb52d6411
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 12:50:22 +0200

    Add test files to clean, make clean lists merge better

commit 306d7c2cb25fdb26002f41b1b8f7c24f51ad811e
Merge: 158463467 b6ce82080
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 30 Aug 2020 10:16:55 +0000

    Merge branch 'legacy_0.2.9' into 'legacy_0.2.9'
    
    Only trigger ROUND_CENTER_MESSAGE on server/local game.
    
    See merge request armagetronad/armagetronad!84

commit 158463467c1d98c667ed378d3f6e26790d1a5759
Merge: 3ec807654 b0880ef9f
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 29 Aug 2020 22:27:35 +0000

    Merge: Use only big font in Full HD
    
    See merge request armagetronad/armagetronad!86

commit 3ec8076543f75246898d3a6ac6a08b03c34debc3
Merge: f0e4a2375 af3a3a9a3
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 29 Aug 2020 22:12:31 +0000

    Merge: Hooks to adapt user configuration to new versions
    
    See merge request armagetronad/armagetronad!85

commit b0880ef9f1fd3f4970613811bf7a7c86d2ab0b20
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 30 Aug 2020 00:05:26 +0200

    Add cfg upgrade hook for 'fastest' HUD settings

commit bd3f434c780698dcd66e6d4c8aa1bc2feff3da86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 28 Aug 2020 22:33:28 +0200

    Increase size of gauge current value text
    
    to match min and max texts and give them always the same font.

commit 0f15b0e30ba87cac47fecbded392929de62c32b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 28 Aug 2020 22:33:04 +0200

    Change default FASTEST_SIZE to match the other texts

commit 6c3aacb64333988df3c2125e8f9428320442fec0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 27 Aug 2020 22:48:43 +0200

    Lowering default threshold size for font switchover
    
    The big font looks fine even at slightly smaller sizes.
    
    Works towards https://gitlab.com/armagetronad/armagetronad/-/issues/60

commit af3a3a9a359f94170dd3035be231492992ac9500
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 29 Aug 2020 23:37:54 +0200

    Only advance SAVED_IN_VERSION
    
    Rationale: If we allow the version to go back and forth,
    adaptions to new versions may be done multiple times, for
    example overriding explicit user choice to stay at old
    default values.

commit e8f0542ef9cf7afc0c0202d67bad34487f3cbb04
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 29 Aug 2020 23:34:20 +0200

    Register configuration migration for CONSOLE_COLUMNS

commit b7df1794ce33e4e5d6abbc1383fcbf7c2c151ebd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 29 Aug 2020 23:31:58 +0200

    Add tConfigMigration to adapt user configuration to new defaults
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/61
    Callbacks can be registered with static tConfigMigration objects,
    the constructor takes a function object that gets executed
    if the configuration is loaded from a different version than
    it was saved in.

commit b6ce820802d80b9099d0eb9f67d9a37b447504db
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Sat, 29 Aug 2020 16:14:49 -0400

    Only trigger ROUND_CENTER_MESSAGE on server/local game.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/49

commit f0e4a2375b55bc5f3e768000cea29dd83f4c6a5b
Merge: e408d3946 1745b8686
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 29 Aug 2020 15:25:57 +0000

    Merge: Center message improvements
    
    See merge request armagetronad/armagetronad!83

commit 1745b86865f85f8b8100ca21f423eb47d38e5d2a
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Fri, 28 Aug 2020 16:55:51 -0400

    Filter colors before getting length of center message.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/62

commit 79f828ddeba2af3669486972493e3409ef11d7f0
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Fri, 28 Aug 2020 16:52:06 -0400

    Use SetBlendColor to set the transparency of the entire center message
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/62

commit e408d3946ee8346b0f52d8eac17851505d653e7b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 27 Aug 2020 22:27:27 +0200

    Negative CONSOLE_COLUMNS also diables the small screen exception.

commit c8e3139b51b3df580264362cf29902cc6a519843
Merge: 2bb50bf3a ab5b4f2e9
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 25 Aug 2020 22:51:40 +0000

    Merge: Console and small font improvements
    
    Still related to https://gitlab.com/armagetronad/armagetronad/-/merge_requests/79
    
    By default, don't let the console show more than 47 rows
    (Value arbitrarily picked so Z-Man just about gets his desired font style)
    Can be overridden with CONSOLE_COLUMNS -1, or of course some large value.
    
    Default console and tiniest font rendering are now pixel perfect
    
    Tiny font is more readable due to added pixel gap
    
    Fix big font screwups
    
    See merge request armagetronad/armagetronad!82

commit ab5b4f2e97a4988ae9ee97d3a38128e6d8bed89b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 26 Aug 2020 00:04:48 +0200

    Fix position of numbers and capital letters and the period
    
    The period was waaay up (maybe that was charming?), and the
    capital letters, numbers and some extra characters were one
    pixel higher than the lower case letters.

commit 2eb873883b572e19eee3a65783be9bab3d03d7af
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 25 Aug 2020 23:53:50 +0200

    Add one pixel gap between small font glyphs in rendering
    
    That decreses the maximal number of columns you can
    put on screen, but keeps the text as readable as the font allows.

commit d4b7574c0c2a7f17f1bc1a7862a3be1d132de400
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 25 Aug 2020 23:25:33 +0200

    Make smallest possible text align to pixels
    
    It's a little crammed, though. The font rendering code and texture
    layout leave no spaces between letters.

commit f01b3a7a53749a52f19140a8450ee6e3328f0144
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 25 Aug 2020 22:52:32 +0200

    Refactor: Move coordinate pixelation into rTextField

commit 4f1545a5adb97e4707468cfc097e459681535729
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 25 Aug 2020 22:41:35 +0200

    Diversify magic values for CONSOLE_COLUMNS
    
    Tiny high res screens may make the text unreadable in pixel
    perfect mode. So now only -1 always picks the pixel perfect mode.
    0 tries to, but won't put more than 47 rows of text on the screen.

commit 2bb50bf3af8fe959280825e01d4367f01a0e65ac
Merge: 5e0ab2d60 b5bc9608a
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 24 Aug 2020 22:37:58 +0000

    Merge: Console improvement: Automatic size
    
    Also related to https://gitlab.com/armagetronad/armagetronad/-/merge_requests/79
    
    See merge request armagetronad/armagetronad!81

commit b5bc9608aaa17572c18508d1fd48a91e3454b26b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 25 Aug 2020 00:09:59 +0200

    CONSOLE_COLUMNS 0 means automatic mode
    
    It tries to pick the console font scale so that the big font
    is shown mostly pixel intact (slightly offset to give a little
    hint at antialiasing).
    It's the new default for new users. The old fixed 78 columms
    can get ridiculously big.

commit 5e0ab2d606470292ee9fcb479dbc77372fa4bb82
Merge: d9507900d 02f9747a9
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 24 Aug 2020 19:55:58 +0000

    Merge: More HUD fixes
    
    See merge request armagetronad/armagetronad!80

commit 02f9747a9bf8cf6d9783a8c97420abf72870e3fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 24 Aug 2020 21:26:30 +0200

    Move default location of fastest player to the left
    
    It overlaps with the other displays if the fastest player's name is long.

commit 8b1f76288966d31b24c2f3641683be39a335740d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 24 Aug 2020 21:34:59 +0200

    Forgotten: Give the HUD clock correct aspect ratio and position

commit d9507900dcd89957bd089c952e49959f99bc995f
Merge: 0e875e4ca b38eb030b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 24 Aug 2020 17:07:22 +0000

    Merge: Text and HUD aspect ratio fixes
    
    See merge request armagetronad/armagetronad!79

commit b38eb030b68cbf3c0fb06c115cee34cf91ec142a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 24 Aug 2020 10:32:42 +0200

    Add HUD_MAX_WIDTH
    
    Limits the width of the HUD relative to the screen height, useful
    for ultrawide screens, and gives it the correct aspect ratio back.
    The default is 1.33333, limiting the width to what it would be on
    a 4:3 screen.
    
    The legacy value for old players is 0, which is the
    non-aspect-ratio-preserving stretching over the whole screen width.
    
    Fixes more of https://gitlab.com/armagetronad/armagetronad/-/issues/59
    Yes, the original plan was to not fix this on 0.2.9, but the groundwork
    was already done by the splitscreen implementation. And precisely
    this setting is going to be useful on 0.4.

commit 721fff7e4615bde969533c477ea88b78fe384b29
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 23:10:49 +0200

    Fix font aspect of FPS display

commit 5ad85b8f597bec1ec614fc8f9116a531d6040990
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 22:25:09 +0200

    Correct aspect ratio of name on cycles
    
    For https://gitlab.com/armagetronad/armagetronad/-/issues/59

commit 50e892eb779cd8f496d99b1267096be0ad9c7838
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 22:24:11 +0200

    Add more DisplayText functions
    
    One where you only give the desired character height and the
    width is calculated automatically, mostly: DisplayTextAutoWidth

commit 7d519b77495885a6f8b7fea75040f8d0b6cc0e98
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 19:52:48 +0200

    Correct aspect ratio of server browser texts
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/59

commit c038a4ef2523c69eb49741ec1ba7f53ec316280a
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Thu, 2 Jul 2020 18:24:26 -0400

    More aspect ratio correction: fullscreen messages.
    
    Committer note: cherry pick from -ap,
    65e0e7f034356e71054604fa652c52e5c926dbea
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/59
    The server browser fixes from the same source didn't merge well.

commit 624946973753a7bb4b1a57175967e2f58c02a2d0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 20:10:57 +0200

    Clamp font scaling factors at 1
    
    We don't want text to leave the screen for people in
    portrait mode. They still get squished text, but that's all we
    can do right now.

commit f44d6d0379ad7e8a212d5c0b7d884518415dc8f4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 23 Aug 2020 19:30:08 +0200

    Refactor: give the aspect correction factor a name and function.
    
    Related to https://gitlab.com/armagetronad/armagetronad/-/issues/59

commit 741ba862bc0db43d5853c4e1223c42fecfd70407
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Tue, 30 Jun 2020 16:05:15 -0400

    Aspect ratio correction for text.
    
    Committer note: Cherry-picked from -ap,
    commit 76df33e4b6c60fefbeeb5b30da10ad15b220f84c
    fixes https://gitlab.com/armagetronad/armagetronad/-/issues/59
    for menu and score table.

commit 884bed3c01a5fb6a26737c33d3343d76a79e4a55
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 21 Aug 2020 23:30:16 +0200

    Remove deployment to outdated Ubunut Eoan

commit 0e875e4cae9db47ccf602e8748e4b8761934db94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 20 Aug 2020 21:59:40 +0200

    Disable debug mode in make test
    
    Also add early script exit so we don't forget it should
    we add more script lines later.

commit a19f5376d1efb51a8b3c811d703bd84112aa2370
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 20 Aug 2020 21:57:54 +0200

    Move post_test into build_collect stage for faster fails

commit 9cf770b43b2a2d3bf9ce447c058e1a9999eef0ed
Merge: 1b8b4ae7b 10405635b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 20 Aug 2020 19:51:54 +0200

    Merge from legacy_0.2.8.3

commit 1b8b4ae7b25b62d27bb42026f5a9eae9157166bd
Merge: f3942c0f1 08b5cdb63
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 20 Aug 2020 19:51:32 +0200

    Merge from release_0.2.9

commit f3942c0f1f5d46299c07fec500b8315d0acfd9b1
Merge: 245957bff 8a81c9cd3
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 20 Aug 2020 17:44:54 +0000

    Merge: Activate appimage tests in CI
    
    See merge request armagetronad/armagetronad!78

commit 01b5565a42287c5bb9c6e07a6ceb3d86bd0ea6c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 13 Aug 2020 21:34:10 +0200

    Only do something with masterinfo if it is non-null
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/58

commit 08b5cdb630b96727c9da90622bc6bb6e4c9d3969
Merge: a4b745b1b 58b5a3a89
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 20 Aug 2020 16:59:26 +0000

    Merge: Add dummy workflow
    
    See merge request armagetronad/armagetronad!77

commit 10405635b480d881a2657502cb3b494a9b18e57e
Merge: 5a7435741 58b5a3a89
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu, 20 Aug 2020 16:50:23 +0000

    Merge: Add dummy workflow
    
    See merge request armagetronad/armagetronad!76

commit 8a81c9cd373d18f7064e5ce5e49702fba8b69e5b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 18 Aug 2020 00:00:54 +0200

    Add appimage tests to new post_test job

commit 58b5a3a89cdcabdd604b4f4b9cde4df874a050ee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 20 Aug 2020 18:32:54 +0200

    Add dummy workflow
    
    That silences warning spam about it missing.

commit 03c3f3f80fe9d1910d24762d4da66ed2f3d15640
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 18 Aug 2020 00:37:30 +0200

    Add lean CI appimagetests target with fewer tests
    
    that still should give enough variety to catch most errors

commit 812429d169bb67bd6eccfc16e42c522ef9c877dc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 17 Aug 2020 23:57:03 +0200

    Delete old test images
    
    After we're done benefiting from their cache

commit 245957bffd825a57ad361348080e730f436dbb99
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 17 Aug 2020 23:26:14 +0200

    Add AppImage run tests with mostly vanilla docker images

commit a4b745b1b2068532703cee3ee91d2256e86c8906
Merge: 03c4e7930 8922057d7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 15 Aug 2020 23:28:34 +0200

    Merge from legacy_0.2.8.3: deploy order

commit 5a7435741c93d7a64a30830f46cb401f1eebc3ef
Merge: 88915a4ea 8922057d7
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 15 Aug 2020 20:43:44 +0000

    Merge: Fix order of deployments
    
    See merge request armagetronad/armagetronad!75

commit 8922057d7d31cf71a7495ae8fc66e689d1d3074d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 15 Aug 2020 22:23:36 +0200

    Fix order of deployments
    
    First: scp (sourceforge or staging area) and launchpad
    Second: Steam
    Third: Zero Install and download page
    Fourth: PPA
    
    Rationale:
    The first wave can be safely rerun and does not directly affect users.
    
    The first and second wave deployments depend on external
    services and may fail without fault on our part, and if that happens,
    we can only wait and retry.
    
    The third wave only interacts with services under our full control, so
    if they fail, we can fix the problems and try again.
    
    The fourth wave is fire and forget, we don't get to react to errors anyway,
    but reruns cause mail spam.

commit 03c4e793012ef91f68ac6ee252497e9cb516b457
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:24:01 +0200

    Switch over to LP series 0.2.9

commit a4b7d67d1982cb70a617ff73903b5d2113c91bee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 13 Aug 2020 21:17:13 +0200

    Set a desync marker if we do a --playback --record rewrite
    
    so the played back rerecording still gets to know it desynced.

commit 48b8b3def55fa039dc2ef11dc40fb114d1470f7e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 13 Aug 2020 21:16:56 +0200

    Always warn about desyncs in debug mode

commit 507d417163b8bc64985545f27db52e95214f292d
Merge: 1d72875b6 aa8255015
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed, 12 Aug 2020 22:16:11 +0000

    Merge: Refine robust playback mode
    
    Refines https://gitlab.com/armagetronad/armagetronad/-/issues/56
    
    Add ping measurements to recording, they can't be reconstructed
    Don't rely on messageID based cycle turn synching
    
    See merge request armagetronad/armagetronad!74

commit aa8255015d64830856f7c3dae68633c795b7c1ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 12 Aug 2020 23:48:26 +0200

    Disable desync warning on playback version mismatch
    
    It's more or less expected, then.

commit 52003a9c8f1ee43bc30c8917c96c71f7ab2c32a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 12 Aug 2020 23:38:56 +0200

    In desynced mode, fallback to old destination selection
    
    The new and simple destination selection (what associates an
    incoming cycle sync with the closest turn command given
    from the client) is based on network message IDs and those
    are unreliable.

commit 09320fb9e79e42b6f69cabdf3fa182b236978d29
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 12 Aug 2020 21:53:24 +0200

    Move basic desync management into tRecorder
    
    It belongs there, and allows us to immediately
    switch to desynced mode when an expected element
    is missing in the recording.

commit 6875b49aa8f4ae47ed797ab1a6dd45c5a01ee949
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 12 Aug 2020 21:36:17 +0200

    Add recording of ping values
    
    When desynced, we no loger have a reliable source, so
    writing it into the recording itself sounds like a good idea.

commit fa8ca16846ae41561f3ae1367c8173a19b144bb7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 11 Aug 2020 22:13:10 +0200

    On version playback mismatch, only suspect we might desync
    
    Previously, a network desync was assumed and the lenient playback
    mode was activated right away. Now we're just quicker to interpret
    timeouts as desyncs.

commit 1d72875b6c56264204126abc907b3d9d512aa084
Merge: 4275c3ddc d313bc4e5
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon, 10 Aug 2020 22:48:24 +0000

    Merge: More lenient playback
    
    See merge request armagetronad/armagetronad!73
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/56

commit d313bc4e5e811925513bf34ceda72b1f4fea4c57
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 11 Aug 2020 00:24:18 +0200

    Consider clientside playbacks desynced on version mismatch
    
    If, on playback on the client, the recorded version differs from
    the current version, consider the playback desynced. It has a high
    chance of breaking anyway.

commit 6bceaa191b3140b6d911e7310f17a1d2b27da519
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 11 Aug 2020 00:12:05 +0200

    Implement lenient playback mode
    
    If we find we desynced anyway, ignore other problems as well and
    try to move over them:
    Ping estimates are always 1 ms
    Ping variance is always 0 ms
    Timer sync ignores long delays
    network sync ignores outstanding acks

commit a4cb942733a40d993a0f433dddc777fb73df3504
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 11 Aug 2020 00:09:26 +0200

    Add nWaitForAck::DesyncedPlayback()
    
    This static function returns true if we're sure we desynced
    a clientside playback and can enter a more lenient mode where
    we no longer try to follow the original client's execution
    exactly.

commit f762d483168ee7ae52b4469bfcaa4513c6e245ca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 10 Aug 2020 21:16:37 +0200

    If time playback fails, make do with the old time

commit 0d27e07e3e82b85acf08e208cc6e67adcbbafe84
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 10 Aug 2020 21:15:41 +0200

    On playback, skip to network data blocks

commit ad8590002f616ba9c3b45ee817626b347bf9eed9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 10 Aug 2020 21:14:59 +0200

    Allow skipping of unexpected blocks on playback

commit 6afd9bf6bfcac90cf61c69cce5fe61680a9d3233
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Aug 2020 18:30:35 +0200

    Add EXPECT_ACK_ON_CLIENT_PLAYBACK, default to 0
    
    At the default setting, on playback, missing Acks from a server
    are ignored and do not lead to disconnections. It's possible the
    playback can recover.
    
    Of course, the default makes debugging actual netcode problems
    impossible; for that, put it to 1 while recording.

commit 4275c3ddc04f6cb3f14db83087652d67e3486c14
Merge: 6b42241e7 88915a4ea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Aug 2020 17:09:40 +0200

    Merge from legacy_0.2.8.3

commit 88915a4eaf9f0ed5986bdcdfeacd5d952a25dd85
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Aug 2020 17:04:53 +0200

    Adapt to legacy_0.2.8 -> legacy_0.2.9 branch rename

commit c4ab2d3a4b8be981c6cc0ea7383208de4923aa7f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 9 Aug 2020 17:02:45 +0200

    Adapt to master -> trunk branch rename

commit bb4a775ce8e0f625de59c0fc55997d762b0f54e9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Aug 2020 23:00:44 +0200

    Update patch note generator from release_0.2.9

commit a43562e4af733d8b4f75f6eb2ddbb81b07867790
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Aug 2020 22:58:47 +0200

    Update CHANGELOG.md

commit c40c9b3c76093b8ae6d3236b53e8beeb603590fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Aug 2020 22:56:56 +0200

    Sort changelog entry categories like we want them
    
    Give them a prefix internally so we don't have to rely on
    alphabetic sorting being accidentally right.
    Actually sort them. The previous iteration was over an unordered
    hash table.

commit af287c05eaf613a9ff2e2e4996e5dfce2fabc7d6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Aug 2020 22:45:40 +0200

    Transfer changelog generation from legacy_0.2.8

commit cb14440321046e097d85fa45ac89bbc66d904af4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 6 Aug 2020 22:29:35 +0200

    Bump version to 0.2.9.0.1

commit 6b42241e7b59a2f3d08a1054568fadfb3bf6ddab
Merge: 2d486aa19 c9db54efd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Aug 2020 23:25:52 +0200

    Merge from release_0.2.9

commit 2d486aa1986ecd69d16f4400398a2eacb2ddfb7c
Merge: 83184119e d2ffc1193
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Aug 2020 23:25:01 +0200

    Merge from legacy_0.2.8.3

commit c9db54efdd7ef909ddd8ab5fa5f9b5f42199a5c3
Merge: 48262aec2 c9498e73b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 4 Aug 2020 23:41:53 +0000

    Merge: Add missing libraries to AppImage/AppDir (0.2.9.0 hotfix)
    
    See merge request armagetronad/armagetronad!72

commit d2ffc119383f34028ad94976130218e28f889584
Merge: c35b55eb8 c9498e73b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 4 Aug 2020 23:32:02 +0000

    Merge: Add missing libraries to AppImage/AppDir
    
    See merge request armagetronad/armagetronad!71

commit c9498e73b04d5b8d65c5b32fab60a5fbc1472ef9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 5 Aug 2020 01:10:33 +0200

    Refine library inclusion for AppDir
    
    remove libicudata, it seems to be optional (libxml2 depends on it)
    sort libraries alphabetically
    Deal with libraries being symbolic links into other directories
    Add a couple of libraries factually missing from Fedora:
    libcaca, libGLU, libtinfo, libslang and libncursesw.
    
    Refines https://gitlab.com/armagetronad/armagetronad/-/issues/54

commit 83184119e615bb29b3de8d8fcd3fb4a146eb5bd9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 4 Aug 2020 21:45:25 +0200

    Additional AppImage run test in library debug mode
    
    To guard against https://gitlab.com/armagetronad/armagetronad/-/issues/54
    coming up again

commit 3f3b2b4c2d758bff35445a6b71314dc17a6b27b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 30 Jun 2020 21:34:44 +0200

    Add some indirect dependencies to libraries
    
    Cherry pick from 0.2.9 alpha;
    fixes https://gitlab.com/armagetronad/armagetronad/-/issues/54

commit c35b55eb867c9692098af6247324d79f115da419
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 3 Aug 2020 07:47:37 +0200

    Correct LP names for Zero Install archives

commit b9ff0cefa6e5d903dd3d26d1f45b7f203a8202ba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 22:15:58 +0200

    Tooltip tweaks: no spectator toggle, activate chat
    
    Nobody needs to know about the spectator toggle, and prompting
    the player to press it and deduce what it does (it's not immediate)
    is probably counterproductive.
    Chat, however, should be in. Fell out by accident.

commit 6d9c2acff86d4e61c2c2ca1d26b9597564d4194f
Merge: 0d9228cc8 36a6ab008
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 21:07:50 +0200

    Merge from origin/legacy_0.2.8.3

commit 36a6ab008168b6ebc70854e6ab808ee4076af551
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 21:06:44 +0200

    Fix DOWNLOAD_URI_BASE if caller has not set PACKAGE_VERSION

commit 7a998ea149a168dfe1212f0180bb030c63976597
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 16:27:37 +0200

    Add upcoming groovy to list of Ubuntu target versions

commit 0d9228cc841c098c6fda5bc70bc2b44983991265
Merge: 06efeab4d 14cd03935
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 2 Aug 2020 14:21:04 +0000

    Merge branch 'legacy_0.2.8_releasenotes2' into 'legacy_0.2.8'
    
    Add Release Notes from 0.2.8.3
    
    See merge request armagetronad/armagetronad!70

commit 07bf8fbc9ba7f9d869647f8bc18a32c586011a15
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:58:20 +0200

    Change title of releases on download site
    
    to make them visibly different from builds

commit 14cd0393575f3423a01b5e384dfa63568c47c76b
Merge: 17bb774ec 48262aec2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 16:00:52 +0200

    Merge from release_0.2.9

commit 17bb774ec0fae2181e5b2bc2a5987bd9fc468fb0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 15:58:03 +0200

    Update armadeploy image with pandoc

commit b1232cf4996cd041d8a4493888feeefc6497bbe8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 15:32:59 +0200

    Update CHANGELOG.md and NEWS

commit a10df9d9096a0e8637fc17a179de96afc0943542
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 15:32:13 +0200

    Use pandoc to update plain text NEWS
    
    Was using a hacked sed script before, which worked well enough,
    but pandoc is nicer.

commit 0569141f2cefcb552a9ac216e7000b4bee025386
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 15:26:07 +0200

    Adapt release notes

commit 5bce17b08632cf29b45268acba9c8d99b1bcab20
Merge: 06efeab4d f8023e735
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 15:25:04 +0200

    Merge from legacy_0.2.8.3

commit d00ce938702c74085ded150a6ed410a816686bdf
Merge: f8023e735 28927a5e7
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 2 Aug 2020 11:45:39 +0000

    Merge: Test download links go to sourceforge, not launchpad
    
    See merge request armagetronad/armagetronad!69

commit 28927a5e7486b7c90d40137d72eea658e92ca5ea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 13:28:42 +0200

    Reference non-release downloads from sourceforge
    
    Not launchpad. On Launchpad, releases clutter the UI, and we want to be
    able to delete them without having to think about the download pages
    and Zero Install versions we have to delete, too.

commit 97462d8b5c51b882abbefe5819f6d29370236433
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 2 Aug 2020 13:27:10 +0200

    Add missing = to output

commit f8023e735c979b568cf4a3b7e810551b578682a6
Merge: 971598f9c a374d6e10
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 1 Aug 2020 23:48:42 +0000

    Merge: Release Notes
    
    See merge request armagetronad/armagetronad!68

commit a374d6e1012f6c153994707e7b91a3aaf2b153ee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 23:25:29 +0200

    Correct names for LP uploads

commit 5f0f09b17d7ea8222e4172c9ad330f7a2eda96a6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 23:04:22 +0200

    Add release notes and patch notes to LP uploads

commit bce0765a1145c7ce6ed02175ec401e33160d8a4e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 23:04:01 +0200

    Add release notes to download site news items

commit 1b83ac984fdabd0d85e8b667afae48c1dc742f68
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 23:03:37 +0200

    Add release notes to download directory

commit f2fa898efa9ca6297eaeb5c567d35dbd7c35e27e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 22:41:32 +0200

    Add pandoc to armadeploy docker image

commit 971598f9c4a1a2e1b4d128e28d2bce27ac85615e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 1 Aug 2020 22:45:31 +0200

    Add script to re-tag all our docker images at once

commit 48262aec2e50ee1ad4239240d876e478b0231121
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 23:00:00 +0200

    Made new ladderlog messages in changelog useful

commit 537fd7988a369402a32307c4d71735f58b5bb687
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:58:20 +0200

    Change title of releases on download site
    
    to make them visibly different from builds

commit f781a90461bcc87f2d306d5542376d8717555f46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:32:26 +0200

    Update CHANGELOG.md and NEWS

commit 6768bfd9cd95217a9d6d437b66f0bf686b5819df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:30:21 +0200

    Update Changelog.md and NEWS

commit 06efeab4db9957d19446b94a7c57c03fb2d00ee2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 22:24:01 +0200

    Switch over to LP series 0.2.9

commit c803f9edd368a37952345846af49fe6ef7e7c00c
Merge: 442411604 26dec14e0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 00:59:59 +0200

    Merge from legacy_0.2.8.3

commit 26dec14e0257f512af1b51135b940761253489ba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 00:59:02 +0200

    Adapt to .AppImage extension

commit 7c8b502127b69458824badecb97571324690aafc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 29 Jul 2020 00:53:24 +0200

    Use proper debian version for release candidates
    
    One that is considered lower than the final release version.

commit bf893acd4a042c14194b38f57e38c46c553a63b0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 28 Jul 2020 23:18:16 +0200

    AppImages get .AppImage extension
    
    and correct name in Launchpad upload.

commit 442411604b7f96d00e7863baee8c29dde4e15aad
Merge: b86b8faf5 ffcb07c33
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 27 Jul 2020 23:30:09 +0200

    Merge from release_0.2.9

commit b86b8faf52b62518f0724e1ecbd98326337e056f
Merge: 56618740c 429a73915
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 27 Jul 2020 23:29:30 +0200

    Merge from legacy_0.2.8.3

commit 429a739151d42ba9d726cf9186889761a39ecec2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon, 27 Jul 2020 23:12:35 +0200

    Patch note generator handles multiple tags now
    
    Since we had no proper test case, some processing orders were wrong.
    
    Also take over contributor crediting from 0.2.9.

commit 56618740c92a3955d8b1002439532b337b56acff
Merge: 84bfd3835 344a69ea4
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 26 Jul 2020 20:59:58 +0000

    Merge: Better onboarding game
    
    See merge request armagetronad/armagetronad!66

commit 344a69ea4f66f238050b55c63139aded9fa22905
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Jul 2020 22:37:21 +0200

    Change settings of onboarding game
    
    Higher rubber for friendlier feel
    Smaller arena for more engagement
    Finite trail for non-blocking off
    (though the AIs still like to do their death spiral)
    Lower turn delay so together with the lowered speed, it feels
    normal
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/39

commit 84bfd3835ba4f24aaab2e6816f42f138f75789f1
Merge: 511c7e2dd 2839b8be9
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun, 26 Jul 2020 12:17:49 +0000

    Merge: Less tooltip spam
    
    See merge request armagetronad/armagetronad!65

commit 2839b8be9163ff7574774c6b89d26070c9cf39a5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Jul 2020 13:57:55 +0200

    Give players a hint where they can disable all tooltips
    
    If three tips given in a row are the same, start pointing them
    towards the input configuration menu.
    
    Implements part of https://gitlab.com/armagetronad/armagetronad/-/issues/36

commit 4226019e973fa818f0ae9ac5347685093732877a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Jul 2020 01:10:15 +0200

    Disable tooltips by opening the player input menu
    
    Implements more of https://gitlab.com/armagetronad/armagetronad/-/issues/36

commit 86cfbce3438cf22f7ac7e88513781e4d073f0c66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 26 Jul 2020 00:55:27 +0200

    Reduce tooltip repeat counts across the board
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/36
    to some extent.

commit 511c7e2ddd71e8d6c100bf4aa0d35037c515a0e2
Merge: 6377dbfa9 8dffee3c6
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat, 25 Jul 2020 17:57:52 +0000

    Merge: Playback simplification
    
    --playback now optional in common case of .aarec recordings
    
    See merge request armagetronad/armagetronad!64

commit 8dffee3c662925575a09c784ddf4177fda9f3acf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 19:31:21 +0200

    Make --playback argument optional
    
    For recordings ending in .aarec, just writing
    armagetronad recording.aarec
    will play them back.
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/37

commit 26c808d5cf1b3dde9d7503b4bfe1e95eb646758f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 17:49:29 +0200

    Add multipass command line analysis
    
    Give analyzers a second chance if nobody picked up an option

commit 19b79d1a9c15e9783bc0f059b07288c281a47f30
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 17:40:35 +0200

    Mark command line parser overrides as such

commit ffcb07c3339e5c164d9839f010491281ba35bb2e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 09:51:48 +0200

    Change default camera to custom
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/35

commit 6377dbfa902e53467adf437c905c85010c0289ee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 09:51:48 +0200

    Change default camera to custom
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/35

commit 0444b7a83a321f02f232e10565157af84cb6db6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 25 Jul 2020 09:48:12 +0200

    Renamed function: nObserverPtr::GetPointer -> get
    
    to get it in line with std:: smart pointers

commit 452e7b3071cbc7115601cfc8037795925a48d8a5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 24 Jul 2020 23:18:59 +0200

    Add installscript to Steam
    
    Installs .aarec playback registry keys
    Registers firewall exceptions
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/38

commit 854976281e0f9bc8488717ff2269f6e17c2f7ae3
Merge: 7421776ce 216d35012
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 21 Jul 2020 22:13:46 +0200

    Merge from legacy_0.2.8.3

commit 7421776ce51487fa58a4c0b689119cedd65bf119
Merge: ec22b3d1c 3e0659359
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 21 Jul 2020 22:11:59 +0200

    Merge from beta_0.2.9

commit 216d350120aabbbf5b11263c3c586b8374402cfa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 21 Jul 2020 21:02:30 +0200

    Set owner on TakeOwnership
    
    Avoids the trouble later in ClearKnows when the previous owner quits.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/34
    (The two fixes are independent, one would suffice)

commit 30912f5d929fb1c3790601f5148588d96c701f12
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue, 21 Jul 2020 21:05:37 +0200

    Do not use freed nNetObject in ClearKnows
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/34
    (The two fixes are independent, one would suffice)

commit ec22b3d1c170869a20a40901bd67eb8a62e7da41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun, 19 Jul 2020 00:02:56 +0200

    Add comment on merge conflict resolution

commit 3e065935987ea8abb6b7ca62c6710335c243d758
Merge: f8595c91e 58bc942c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 23:51:57 +0200

    Merge from legacy_0.2.8.3

commit 58bc942c558d79bef4009e26ec256c6878ddf1a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 23:32:40 +0200

    Update gits
    
    The codeblocks update adds a DPI scaling manifest
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/33

commit 5d6b32868637c6f45fbfb44aa3141c2f3041566d
Merge: 67cbfa672 e61d8ac46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 18:28:51 +0200

    Merge from legacy_0.2.8.3

commit e61d8ac465ac9cefdd9c6ee604ab6b99c3833db1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 18:26:58 +0200

    Handle dashes in version number for Debian builds
    
    Debian does not like dashes in versions, replace with +.
    Fixes debtest and ppa deployment for ap builds.

commit f0e5ec9e3821ba472202d84bff514d2c77fbc0d1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 18:03:37 +0200

    Add docker build cache folder to .bzrignore

commit 67cbfa67249dce3d618db1813a0e9205275fcf78
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 13:41:25 +0200

    Add .get() method to smart pointers
    
    All the std:: ones have it, it's the most standard way
    to safely convert a smart pointer to its raw couterpart.

commit b71126d3cf149600bb0e7f19258201818363c7f7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 13:03:49 +0200

    Update author replacements to what is found in trunk

commit 0e30ac7a22869bda5bbaf6ffae7efafbbaa18301
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat, 18 Jul 2020 13:06:11 +0200

    Add comment on clearenv being optional

commit e4c5130dc4e236efaa13e523aaeb15da5b4848eb
Merge: 7969daf6d f8595c91e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 17 Jul 2020 19:50:21 +0200

    Merge from release_0.2.9

commit f8595c91ef1b3d750651b3bd29e1be72d4ebcd6e
Merge: 627a12799 afdebdf0b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 17 Jul 2020 19:49:19 +0200

    Merge from legacy_0.2.8.3

commit afdebdf0b85de48b214d7955cab73436cc9bab6e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri, 17 Jul 2020 19:32:26 +0200

    Check whether clearenv() is available
    
    Seems like it did not make it into the POSIX standard.
    Fixes OpenBSD compilation.

commit 7969daf6d0ffef57607334da54b369d9e2f857a6
Merge: 4ec6c66f7 627a12799
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 21:41:38 +0200

    Merge from release_0.2.9

commit 627a1279950fc7a1790ae41d0bc17709031fb0ba
Merge: 7910e6194 b6c973d32
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 21:40:16 +0200

    Merge from legacy_0.2.8.3

commit b6c973d321d91be915b80758f5293c28ffc20876
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 20:13:29 +0200

    Initialize leak tracking variables
    
    before reading to them from the leak log file; that file may be empty or
    at the end and not fill the variables, causing undefined behavior in
    processing.
    
    Code was never active in release mode, so no harm.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit a596905432f91e762443123a47ccc36eab18fe23
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 20:05:06 +0200

    Pass input of correct length to ioctl
    
    in nSocket::Create
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit 31740af4b279c5f505d1264375cc68a980523eac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 19:55:34 +0200

    Clear environment on exit
    
    The system variable environment, that is. We register allocated strings
    in it before clearing out those strings, they need to be deregistered.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit a51bab155594603e35b1b84010cc869adc3a56b4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 19:22:48 +0200

    Do the list removing before releasing the cylce
    
    only that fully guarantees we're tearing down things in the right order.

commit b83b09d64382d64c13d67bb2019ec58f74ebf83f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 19:19:34 +0200

    Remove wall from linked lists in ::ReleaseData()
    
    Prevents the situation that caused
    https://gitlab.com/armagetronad/armagetronad/-/issues/26,
    cycles getting destroyed before their (former) walls.

commit 4ec6c66f73563ef6991bfae6be5b99e40822250c
Merge: 5188d8b5d 8a19204f1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 17:20:40 +0200

    Merge from legacy_0.2.8.3

commit 5188d8b5dbe627ff4e9ae42b300f3376bc7a3c42
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 17:19:42 +0200

    Make tListItemBase safer
    
    While not the cause of any actual crash, the sytem now handles
    items without anchor.

commit 8a19204f199d924e416f48578411c2e4d6b361fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 17:13:05 +0200

    Add destructor to gCycleWallsDisplayListManager
    
    cleaning up the wall render lists.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/26

commit 76d78583bfad57eee198b51fffda1efda9a70e61
Merge: c0fe0550d 06ad24087
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 00:38:12 +0200

    Merge from legacy_0.2.8.3

commit c0fe0550d5bffbab9f4ca80a3133da9d550132b3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 00:26:15 +0200

    Fix clang warning another way
    
    std::abs is not fully developed on g++ on Ubuntu 16.04.

commit 3d337908f110c668af29297aff3ba43f2711a66e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 00:16:58 +0200

    Fix parentheses in if statement
    
    The statement was supposed to guarantee that if there are cycle turns
    pending the server is allowed to simulate up to, it will do so.
    The fault was only in a small subtest that probably was not significant
    often.
    
    Found by clang warning.

commit 08c49ab12fc21658c18d10ef15edba58216b06b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 00:13:15 +0200

    Fix various harmless clang warnings
    
    around the usage of various abs() functions.

commit 06ad2408757db0907381831bb193d3e01c3e9cb6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu, 16 Jul 2020 00:08:33 +0200

    Fix tiny memory leak
    
    auto_ptr/unique_ptr.release() does not delete anything. Replace
    with .reset().

commit f056ac90e63354f397a2d2c31eb86f4e3442590b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 23:49:29 +0200

    Remove undefined dereference behavior
    
    Found by clang warning: a smart pointer was checked for nullness
    via !(&(*p)), which the compiler is allowed to always assume
    to be false, because *p on a null p would be illegal.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/28

commit 870313a4b505c8b43bf1ac0fa8830ac691ada740
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:51:37 +0200

    Add German translations to IP hiding items

commit 4052a7231da42379ae6c9b0136c18f4e1a3a0470
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:48:43 +0200

    Show 'yours' as IP instead of 127.0.0.1
    
    so it does not look like you're connected to the server locally,
    somehow

commit 5bcf8c3582256d97ec57115928c86d0dae0ec5c2
Merge: 51179f07a 0ca6d1c0a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:33:39 +0200

    Merge from legacy_0.2.8.3

commit 0ca6d1c0aa38d29a0485a820c05572d44689faa3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:27:35 +0200

    Change build_prepare to when: always
    
    Merge request checking builds don't start any more, maybe it's because
    there is no primary unconditional job?

commit 51179f07a226fe9c6bf528ec75d4418306dce0bb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:21:48 +0200

    Update git submodules

commit 00ba398cc6461f94a630d3219aa240888bb92212
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:21:35 +0200

    Update branch to use on submodules

commit 00ca088e1bece574682a2ae25d3d0d936a0362b7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 22:17:26 +0200

    Add 'git pull' before recording git revision
    
    Updating to recent changes in submodules were not properly
    recorded before.

commit 7e7e623ef2a703a8a92d88a06cdec7545f45d694
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 18:19:40 +0200

    Replace const with constexpr
    
    Both together are not accepted by our mingw version, but either
    one alone is. With that choices, constexpr > const.

commit 40c7025038006c82e2aaefd7311289e44d4eab83
Merge: 9a309e1e5 7910e6194
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 01:54:20 +0200

    Merge from release_0.2.9

commit 9a309e1e5673795eabf52d1f68530ed2ddb3525f
Merge: 9601a45fc 86eafb691
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue, 14 Jul 2020 22:59:10 +0000

    Merge branch 'legacy_0.2.8_show_ip' into 'legacy_0.2.8'
    
    Do not show a player's own IP on the client
    
    See merge request armagetronad/armagetronad!63

commit 86eafb69165313af4edd8ff014d5be79b4dc0976
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed, 15 Jul 2020 00:33:28 +0200

    Hide requester's IP in /players output
    
    Show IP = 127.0.0.1 instead.
    
    Fixes rest of https://gitlab.com/armagetronad/armagetronad/-/issues/27

commit 7994a095e375f7adf6083c0c5c32a58977bb492a
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Wed, 15 Jul 2020 00:25:32 +0200

    Improve local chat command detection
    
    No longer accept /consolewhatever as /console

commit ae35daa20ddf9c25d9d100fb27938a8d579b39c1
Author: Armanelgtron <armanelgtron@gmail.com>
Date:   Wed, 15 Jul 2020 00:20:12 +0200

    Make se_ListPlayers callable on the client

commit 35c212859647593a0c915c321f14df043a87aba2
Author: SwagTron <unknown>
Date:   Wed, 15 Jul 2020 00:13:28 +0200

    Add SHOW_OWN_IP
    
    Based on https://bazaar.launchpad.net/~swag/armagetronad/0.2.9-sty+ct+ap-fork/revision/1120
    
    SHOW_OWN_IP - Should your public IP be displayed when connecting
    to the master server? (Got Address IP:PORT)
